Introduction à TubeShaper

TubeShaper est le logiciel d'Hexagon Metrology dédié à l'inspection de tubes à l'aide de bras absolus ROMER. Il est compatible avec les palpeurs tactiles conventionnels et les palpeurs de tube non tactiles ROMER.

Exemples de palpeur tactile conventionnel (gauche) et de palpeur de tube non tactile ROMER (droite)

Avantages de TubeShaper

  • Versatilité : TubeShaper a été conçu pour accepter tous les besoins de mesures associés au design et à la fabrication de tubes et de tuyaux. Il s'agit d'une solution unique pour l'ingénierie inverse, l'inspection, l'acceptation et le contrôle de production des tubes et des tuyaux.

  • Facilité d'emploi : grâce à son interface moderne, TubeShaper est simple à utiliser et demande peu d'apprentissage.

  • Vitesse d'utilisation : TubeShaper a été conçu pour être aussi rapide que possible à utiliser, permettant ainsi aux opérateurs d'obtenir des résultats probants en un minimum de temps.

Rubriques associées :

Terminologie et principes de base des tubes

Interface TubeShaper

Activation d'une licence TubeShaper en ligne

Utilisation de touches de raccourci

Recherche de mises à jour

Réglages d'application

Outils

Création d'un projet

Enregistrement et exportation de projets

Configuration de la cintreuse

Modification d'un projet

Mesure d'un tube

Création d'éléments

Création d'alignements

Éléments construits

Dimensions

Rapports

Mode atelier


Terminologie et principes de base des tubes

Un tube peut être défini de façon mathématique de différentes façons :

  • Les coordonnées XYZ permettent de définir la position 3D de chaque point d'intersection (PI) dans l'espace.

  • Les valeurs LRA permettent de définir les paramètres nécessaires pour faire le tube.

Un tube (ou tuyau) ayant été soumis à un processus de cintrage est généralement composé d'une série de sections droites, de rotations et de courbures, comme illustré ci-dessous.

1 - Extrémité A
2 - Diamètre du tube
3 - Droite 1 (S1) = Valeur "L"
4 - Droite 2 (S2) = Valeur "L"
5 - Droite 3 (S3) = Valeur "L"
6 - Angle de courbure = Valeur "A"
7 - Droite 4 (S4) = Valeur "L"
8 - Rayon de courbure = Valeur "R"
9 - Droite 5 (S5) = Valeur "L"
10 - Extrémité B
11 - Points de tangente (PT)
12 - Points d'intersection (PI)

Les termes suivants sont employés pour décrire le tube au terme du processus de cintrage :

  • Extrémité A - Aussi appelée Point A, le point sur l'axe du tube qui se trouve à la "première" extrémité du tube. Il définit normalement à partir de quelle extrémité la machine de cintrage commence à construire le tube (et à partir de quelle extrémité le tube est mesuré.)

  • Droite - Les sections d'un tube se trouvant entre deux courbes. À partir de l'extrémité A, la convention de dénomination de chaque droite est "Droite 1", "Droite 2", "Droite 3" et ainsi de suite, la dernière droite contenant l'extrémité B. Les droites sont généralement désignées par "D1", "D2", "D3", etc.

  • Point de tangente (PT) - Points figurant sur l'axe du tube, aux extrémités maximum de chaque droite (point de début et de fin). Ils sont exprimés sous forme de coordonnées XYZ et correspondent généralement aux points permettant de déterminer si un tube se trouve dans la tolérance. Les points de tangente d'une droite spécifique sont désignés par PT1 et PT2.

Pour faire la différence entre les points de tangente le long d'un tube, ils sont souvent désignés par leur droite relative. Par exemple, les points de tangente pour la troisième droite d'un tube (D3) s'appellent "D3 PT1" et "D3 PT2".

Remarque : les points de tangente (plus que les points d'intersection) servent en général à déterminer si un tube se trouve dans la tolérance.

  • Point d'intersection (PI) - Point théorique à l'intersection des axes de deux droites, exprimé sous forme de coordonnées XYZ. Comme les points de tangente, les points d'intersection sont qualifiés par la droite qui leur est associée (par exemple, "D2 PI1", "D2 PI2").

  • Diamètre du tube - Diamètre du tube (valeur généralement connue pour ces applications.)

  • Rayon de courbure - Rayon du moule servant à cintrer le tube (valeur généralement connue).

  • Extrémité B - Aussi appelée Point B, le point de mesure "final" sur l'axe du tube. Il définit normalement le dernier point calculé (et mesuré) sur le tube, exprimé sous forme de coordonnées XYZ.

Les tubes sont généralement conçus dans des systèmes CAO utilisant des données de coordonnées XYZ. Les cintreuses de tubes prennent toutefois d'autres paramètres afin de cintrer le tube, appelés Longueur, Rotation, Angle (LRA). Leurs définitions sont disponibles ci-après.

  • L - Définit la longueur d'un segment de droite entre les courbes, correspondant à la quantité de tube inséré dans une cintreuse avant chaque courbure. Il s'agit en général de la distance entre deux points de tangent d'une droite déterminée.

  1. Tube inséré dans la machine de cintrage

  2. Le tube est cintré autour d'un moule circulaire

  • R - Définit la rotation que le tube effectue autour de son axe droit afin de créer des courbures dans différents plans. Pour la première courbe d'un tube, cette valeur est toujours 0 (zéro).

  • A - Définit l'angle par lequel le tube est cintré. Il s'agit de l'angle entre deux droites sur un côté d'une courbure.

Rubriques associées :

Extrémité A et extrémité B

Définition et mesure de droites

Points d'intersection

Points de tangente et points médians

Alignement Best Fit de point de tangente


Extrémité A et extrémité B

Exemple de points d'extrémité A et d'extrémité B d'un tube

Extrémité A est le terme le plus souvent employé pour décrire le point auquel la mesure d'un tube commence. Extrémité B sert à décrire le point auquel la mesure prend fin.

Un tube utilisé dans un processus de machine de cintrage doit être arrondi et rigide.

Rubriques associées :

Définition et mesure de droites

Points d'intersection

Points de tangente et points médians

Alignement Best Fit de point de tangente


Définition et mesure de droites

A - Extrémité A
B - Extrémité B
C - Droite #1
D - Droite #2
E - Droite #3
F - Droite #4
G - Droite #5

Exemple de tube avec des droites définies

Avant de définir et de mesurer des droites, vous devez disposer des informations suivantes :

  • le diamètre du tube

  • le nombre de droites

  • les rayons de tous les courbures

Rubriques associées :

Extrémité A et extrémité B

Points d'intersection

Points de tangente et points médians

Alignement Best Fit de point de tangente


Points d'intersection

A - Extrémité A
B - Extrémité B
C - Droite #1
D - Droite #2
E - Droite #3
F - Droite #4
G - Droite #5

Exemple montrant les points d'intersection I1 - I6

Les points d'intersection sont définis par la ligne médiane du tube et ses plans d'extrémités.

Rubriques associées :

Extrémité A et extrémité B

Définition et mesure de droites

Points de tangente et points médians

Alignement Best Fit de point de tangente


Points de tangente et points médians

A - Extrémité A
B - Extrémité B
C - Droite #1
D - Droite #2
E - Droite #3
F - Droite #4
G - Droite #5

Exemple montrant les points de tangente PT1 - PT2 pur les droites C - G

Les points de tangente (T1 - T2) de chaque droite se basent sur les lignes médianes du tube et le rayon de courbure correspondant.

Les points médians (PM) sont centrés entre T1 et T2 de chaque droite.

Rubriques associées :

Extrémité A et extrémité B

Définition et mesure de droites

Points d'intersection

Alignement Best Fit de point de tangente


Alignement Best Fit de point de tangente défini

TubeShaper : Home | Introduction à TubeShaper | Terminologie et principes de base des tubes | Alignement Best Fit de point de tangente défini

Alignement Best Fit de point de tangente

A - Extrémité A
B - Extrémité B
C - Droite #1
D - Droite #2
E - Droite #3
F - Droite #4
G - Droite #5

Exemple montrant un calcul d'alignement Best Fit de point de tangente

Un Best Fit est possible à l'aide de ces trois points :

  • PT2 de Droite 1

  • PT1 de Droite N - la dernière droite du tube

  • Tracez une ligne entre ces deux points, puis déterminez le PT le plus loin possible pour terminer le triangle Best Fit.

Rubriques associées :

Extrémité A et extrémité B

Définition et mesure de droites

Points d'intersection

Points de tangente et points médians


Interface TubeShaper

La vue principale Projet apparaît au premier démarrage de l'application TubeShaper.

Vue principale Projet de TubeShaper

La vue principale Projet comporte ces sections :

  1. Barre de menu principal et de titre - Contient des boutons pour activer et désactiver le mode atelier, les options d'outils, les réglages d'application et les options d'aide. Inclue aussi les fonctions standard de fenêtre que sont réduire, agrandir et fermer l'application. Si vous êtes dans l'espace de travail de projet, le nom du projet ouvert apparaît en haut à gauche.

  2. Panneau Menu - Options pour accéder aux projets, aux cintreuses et aux rapports de projets.

  3. Zone Liste des projets - Liste des liens disponibles aux projets enregistrés, qui peuvent être présentés en mosaïque ou dans une vue détaillée.

  4. Zone Détails sur le projet - Contient des informations sur le projet sélectionné dans la zone Liste des projets.

  5. Barre de menu du projet - Fournit des options pour créer un projet, ainsi que copier, supprimer, éditer et mesurer un projet sélectionné.

    6. Remarque : même si les descriptions fournies concernent la vue principale Projet, elles sont aussi applicables aux vues Cintreuses et Rapports de projets dont les sections sont similaires.

Infobulles

Placez le curseur sur un bouton sans texte pour afficher une infobulle décrivant sa fonction.

Exemple montrant l'infobulle quand le curseur est sur le bouton du menu Nouvelle version disponible

Rubriques associées :

Barre de menu principal

Onglets du menu Projet

Zone Liste des projets

Zone Détails du projet

Barre de menu Projet


Barre de menu principal et de titre

La barre de menu principal et de titre montre le logo TubeShaper et le titre à gauche.

Le côté droit de la barre de menu principal et de titre contient un ensemble de boutons fonctionnels et standard TubeShaper. Les boutons sont, de gauche à droite :

    Nouvelle version disponible. - Ce bouton est uniquement disponible si le logiciel détecte qu'une nouvelle version est détectée. Cliquez dessus pour télécharger et installer la dernière version de TubeShaper. Pour des détails sur les mises à jour de TubeShaper, voir le chapitre "Recherche de mises à jour".

    Mode atelier - Cliquez dessus pour passer TubeShaper en mode atelier. Pour des détails sur le travail en mode atelier de TubeShaper, voir le chapitre "Mode atelier".

    Bouton Outils - Cliquez dessus pour ouvrir la boîte de dialogue Outils. Cette boîte de dialogue sert à mesurer différentes propriétés de tube ou de tuyau comme la longueur, le rayon de courbure et le diamètre. Si vous l'utilisez avec un artéfact de calibrage, vous pouvez vous servir de l'onglet Droite ou Diamètre du tube pour confirmer l'exactitude du système de mesure. Pour des détails sur la boîte de dialogue Outils, voir la rubrique "Outils".

    Réglages d'application - Ouvre la boîte de dialogue TubeShaper Réglages d'application pour définir et adapter les options d'apparence et d'application de TubeShaper. Voir la rubrique "Réglages d'applications" pour des détails. Ces réglages sont appliqués à tous les nouveaux projets TubeShaper.

    Remarque : pour changer les propriétés d'un projet de tube, vous devez modifier celles d'un projet ouvert via le panneau Vue Propriétés du projet slide-out.

    Aide - Si vous cliquez dessus, le menu déroulant suivant apparaît.

      Aide - Montre la documentation d'aide de TubeShaper.

      À propos - Montre les informations sur l'application TubeShaper.

      Rechercher les mises à jour - Ouvre une boîte de dialogue se connectant au serveur de téléchargement d'Hexagon Metrology pour vérifier s'il existe des mises à jour pour l'application TubeShaper. Pour des détails sur la mise à jour de l'application TubeShaper, voir la rubrique "Rechercher de mises à jour depuis le menu principal" au chapitre "Recherche de mises à jour".

    Les boutons standard sont, de gauche à droite :

      Réduire - Réduit la fenêtre de l'application TubeShaper dans la barre d'état.

      Agrandir - Agrandit la fenêtre de l'application TubeShaper.

      Fermer - Sort de l'application TubeShaper.

Rubriques associées :

Onglets du menu Projet

Zone Liste des projets

Zone Détails du projet

Barre de menu Projet


Panneau Afficher sélection

Le panneau Afficher sélection comporte des liens aux trois écrans principaux de TubeShaper :

Projets - L'écran principal des projets montre la liste de tous les projets TubeShaper enregistrés. Cliquez une fois sur un projet dans la zone Liste des projets pour afficher les détails dans la zone Détails du projet. Des projets peuvent être créés et ceux existants peuvent être sélectionnés. En cas de sélection, vous pouvez copier, supprimer, éditer, mesurer ou simplement consulter le projet.

Cintreuses - Montre l'écran principal des cintreuses avec la liste de toutes les interfaces de machines de cintrage enregistrées dans l'application TubeShaper. Pour des détails sur la création ou la configuration d'interfaces de cintreuses, voir la rubrique "Configuration de la cintreuse".

Rapports - Montre l'écran principal des rapports avec la liste de tous les projets de tube pour lesquels des rapports ont été générés. Cliquez sur l'un des projets pour afficher la liste de tous les rapports créés pour lui. Pour des détails sur l'affichage, la création, l'édition, l'enregistrement ou l'impression de rapports, voir le chapitre "Rapports".

Rubriques associées :

Barre de menu principal

Zone Liste des projets

Zone Détails du projet

Barre de menu Projet


Zone Liste des projets

La zone Liste des projets contient la liste des projets de tube actuellement enregistrés. La zone Recherche de projet figurant en haut à gauche fait partie de cet écran.

Vue de la zone Liste des projets de l'écran principal de TubeShaper

La liste peut être divisée en deux vues :

  • Cliquez sur le bouton Vue mosaïque [image]. Les fichiers de projet apparaissent sous forme de mosaïque comme illustré ci-dessus.

  • Cliquez sur le bouton Vue détaillée [image]. Les fichiers de projet apparaissent dans une vue détaillée comme illustré ci-dessous :

Recherche d'un projet

Si la zone de liste comporte plusieurs projets, une barre de défilement vertical est disponible pour parcourir manuellement les projets.

Vous pouvez aussi rechercher un fichier de projet à l'aide de la zone Filtre.

Entrez le nom ou une partie du nom d'un projet dans la zone Filtre. La liste est mise à jour de façon dynamique quand des correspondances sont trouvées. Tous les projets trouvés qui contiennent des caractères entrés sont affichés ; les autres sont filtrés.

Création d'un projet

Il y a deux façons de créer un projet ; ces options se trouvent en bas à gauche de la zone Liste des projets :

  • Cliquez sur Nouveau projet en bas à gauche pour ouvrir l'espace de travail du nouveau projet.

  • Cliquez sur Nouveau projet avec importation pour ouvrir l'espace de travail du nouveau projet. Une boîte de dialogue vous demande le nom et l'emplacement du modèle CAO à importer dans votre nouveau projet.

Ouverture d'un projet

Il y a deux façons d'ouvrir un projet de tube existant :

  • Double-cliquez sur un projet dans la zone Liste des projets pour ouvrir le projet dans son espace de travail.

  • Clquez sur une mosaïque de projet dans la zone Liste des projets et cliquez sur le bouton Modifier à l'extrémité droite de la barre de menu du projet. Le projet apparaît dans son espace de travail.

Rubriques associées :

Création d'un projet

Création d'un projet avec importation

Modification d'un projet

Barre de menu principal

Onglets du menu Projet

Zone Détails du projet

Barre de menu Projet


Zone Détails du projet

La zone Détails sur le projet montre des informations sur le projet actuellement sélectionné. Les informations affichées sont :

    date de création - Date d'origine à laquelle le projet de tube a été créé.

    créé par - Nom de connexion de la personne ayant accédé au PC pour créer le projet de tube.

    date de modification - Horodatage de la dernière fois que le projet de tube a été modifié.

    Fichier CAD - Nom du fichier CAD qui a été créé ou importé dans le projet de tube.

    cintreuse - Nom de la machine de cintrage associée au projet.

    instruction - Instructions, remarques et commentaires propres au projet de tube. Vous entrez le texte dans la section Général du panneau Propriété du projet/tube slide-out quand le projet est ouvert dans l'espace de travail du projet. Pour des détails sur le panneau Propriétés du projet/tube slide-out, voir la rubrique "Vue Propriétés du projet/tube".

À son premier démarrage, TubeShaper sélectionne par défaur le premier projet dans la zone Liste des projets.

Cliquez sur l'un des projets dans la zone Liste des projets pour en consulter les détails.

Mise à jour des vignettes de la liste des projets

Le tube affiché dans la zone Détails sur le projet est une vue CAO en direct. Quand vous faites pivoter la CAO, elle change automatiquement pour s'adapter à la zone d'affichage.

Pour changer la vignette d'un projet dans la zone Liste des projets :

  1. Faites pivoter la CAO dans la zone Détails sur le projet pour un affichage optimal.

  2. Cliquez sur le bouton Utiliser comme vignette [image]. L'image associée du projet dans la zone Liste des projets est mise à jour.

Rubriques associées :

Barre de menu principal

Onglets du menu Projet

Zone Liste des projets

Barre de menu Projet


Barre de menu Projet

La barre Menu du projet contient les options suivantes :

    Nouveau projet - Affiche un nouveau projet dans un nouvel espace de travail.

    Nouveau projet avec importation - Cliquez sur le lien Nouveau projet avec importation ouvre la boîte de dialogue Rechercher un fichier CAD pour importer un modèle CAO. Une fois un fichier CAD sélectionné, cliquez sur Ouvrir. Le modèle CAO est ouvert et apparaît dans l'espace de travail d'un nouveau projet.

    Copier - Quand vous cliquez dessus, une boîte de dialogue Copier un projet s'ouvre pour vous permettre de renommer la copie du projet actuellement sélectionné. Cliquez sur Ok pour créer une copie du projet avec le nouveau nom. Le nouveau projet est répertorié dans la zone "Liste des projets".

    Supprimer - Ouvre la boîte de dialogue Supprimer le projet pour supprimer le fichier de projet actuellement sélectionné.

    Modifier - Ouvre un projet sélectionné dans son espace de travail pour que les données de tube et les paramètres de mesure soient modifiables avant de mesurer le tube.

    Mesurer - Ouvre un projet sélectionné dans son espace de travail et connecte automatiquement TubeShaper au bras absolu ROMER pour qu'il puisse être immédiatement mesuré.

Rubriques associées :

Barre de menu principal

Onglets du menu Projet

Zone Liste des projets

Zone Détails du projet


Activation d'une licence TubeShaper en ligne

Remarque : pour activer une licence hors ligne, voir la rubrique "Processus de licence hors ligne" dans l'aide de Client License Management (CLM).

TubeShaper vérifie au démarrage qu'une licence valide est disponible. Dans le cas contraire, le message suivant apparaît :

Pour activer votre licence en ligne :

  1. Entrez, en respectant la casse, l'ID d'autorisation de 25 caractères alphanumériques fourni avec le support d'installation ou par votre représentant Hexagon Metrology.

  2. Cliquez sur le bouton Activer pour lancer le processus d'activation. Si vous cliquez sur Sortir, l'application TubeShaper se ferme automatiquement.

    3. Une fois l'activation effectuée, TubeShaper peut être utilisé.

  3. Si l'activation échoue, vérifiez que vous avez correctement saisi l'ID d'autorisation. Veillez à respecter la casse. Si le problème persiste, contactez un représentant Hexagon Metrology pour obtenir de l'assistance.

Rubriques associées :

Introduction à TubeShaper

Interface TubeShaper

Recherche de mises à jour


Utilisation de touches de raccourci

Le tableau permet de se référer aux touches de raccourci disponibles. Pour plus d'informations sur la fonction de chaque option, reportez-vous à la rubrique correspondante de la documentation.

Touche de raccourci | Description
Vue Rapport
Ctrl+B | Revient à l'écran principal Rapport si vous avez ouvert le rapport directement dans cet écran. Si vous avez ouvert le rapport depuis l'onglet Rapport après l'ouverture d'un projet, le logiciel vous renvoie à la vue principale Projet.
Ctrl+E | Ouvre la boîte de dialogue Exporter
Ctrl+P (ou touche Imprimer) | Ouvre la boîte de dialogue Imprimer
Ctrl+S | Enregistre automatiquement le rapport ouvert
Ctrl+W | Ouvre l'espace de travail de projet pour le projet de rapport ouvert
Vue Projet
Ctrl+B | Renvoie au dernier écran Projet ou Rapport ayant été affiché
Ctrl+R | Ouvre la vue Rapport pour le projet de rapport ouvert
Ctrl+S | Enregistre automatiquement le projet ouvert
Ctrl+Z | Effectue un zoom best fit automatique du graphique dans lécran Projet


Recherche de mises à jour

Vous pouvez rechercher des mises à jour de l'application TubeShaper des façons suivantes :

  • Activez l'option Chercher une nouvelle version au démarrage dans les réglages d'application. Pour des détails sur la recherche de la dernière version de TubeShaper au démarrage, voir la rubrique "Chercher une nouvelle version au démarrage".

  • Recherchez manuellement des mises à jour via l'option Aide/À propos [image].

Rubriques associées :

Chercher une nouvelle version au démarrage

Rechercher des mises à jour depuis le menu principal

Barre de menu principal


Chercher une nouvelle version au démarrage

L'option Chercher une nouvelle version au démarrage peut être activée et désactivée à tout moment. Quand elle est activée, à chaque démarrage, TubeShaper vérifie sur le serveur de téléchargement d'Hexagon Metrology si une nouvelle version de TubeShaper est disponible pour téléchargement et installation. Le bouton Nouvelle version disponible [image] apparaît à gauche de la barre de menu principale quand une nouvelle version est trouvée.

Barre de menu principal de TubeShaper montrant le bouton Nouvelle version disponible

Pour activer l'option Chercher une nouvelle version au démarrage :

  1. Cliquez sur le bouton Réglages d'application [image] pour ouvrir la boîte de dialogue Réglages d'application.

  2. Cliquez sur l'onglet Avancé.

    3. Boîte de dialogue Réglages d'application

  3. Cochez la case Chercher une nouvelle version au démarrage.

Une fois cochée, à chaque démarrage, TubeShaper interroge automatiquement le serveur de téléchargement d'Hexagon Metrology pour trouver de nouvelles mises à jour à installer.

Pour télécharger et installer un nouvelle version :

  1. Cliquez sur le bouton Nouvelle version disponible dans la barre de menu principal. La boîte de dialogue Mises à jour s'ouvre.

    2. Boîte de dialogue Mises à jour du logiciel Hexagon

  2. Une fois les détails de la nouvelle version affichés, cliquez sur Télécharger la mise à jour pour télécharger la dernière version de TubeShaper.

  3. Au terme du téléchargement, cliquez sur Installer la mise à jour pour installer le package de mise à jour téléchargé. L'installation démarre automatiquement et TubeShaper se ferme et redémarre après la mise à jour.

    4. Vous disposez désormais de la dernière version de TubeShaper sur votre système.

Rubriques associées :

Recherche de mises à jour

Rechercher des mises à jour depuis le menu principal

Barre de menu principal


Rechercher des mises à jour depuis le menu principal

TubeShaper : Home | Introduction à TubeShaper | Recherche de mises à jour | Rechercher des mises à jour depuis le menu principal

Recherche de mises à jour depuis le menu principal

Vous pouvez rechercher manuellement des mises à jour de l'application TubeShaper depuis le menu principal.

  1. Cliquez sur le bouton Aide/À propos [image] pour afficher le menu suivant :

    2. Menu déroulant Aide/À propos

  2. Cliquez sur l'option Rechercher des mises à jour pour ouvrir la boîte de dialogue Mises à jour. Si une mise à jour est disponible, ses détails apparaissent dans cette boîte de dialogue.

    3. Boîte de dialogue Mises à jour du logiciel Hexagon

  3. Une fois les détails de la nouvelle version affichés, cliquez sur Télécharger la mise à jour pour télécharger la dernière version de TubeShaper.

  4. Au terme du téléchargement, cliquez sur Installer la mise à jour pour installer le package de mise à jour téléchargé. L'installation démarre automatiquement et TubeShaper se ferme et redémarre après l'installation.

    5. Vous disposez désormais de la dernière version de TubeShaper sur votre système.

Rubriques associées :

Recherche de mises à jour

Chercher une nouvelle version au démarrage

Barre de menu principal


Réglages d'application

Cliquez sur le bouton Réglages d'application [image] dans la barre Menu principal pour ouvrir la boîte de dialogue Réglages d'application.

La boîte de dialogue Réglages d'application compte quatre onglets servant à modifier les différents réglages TubeShaper :

  • L'onglet Général sert à définir :

    • le langage employé à travers l'application TubeShaper

    • le thème utilisé pour définir le mode d'affichage de TubeShaper

    • les unités de mesure

    • le degré de précision des mesures

    • la protection par mot de passe

    • le contrôle au démarrage de la mise à jour de la version de TubeShaper

    • les réglages par défaut pour les projets, les tubes et les rapports

    Pour des détails sur l'onglet Général, voir la rubrique "Réglages d'application - onglet Général".

  • L'onglet Visibilité permet de définir vos préférences d'affichage quand vous travaillez dans l'espace de travail. Pour des détails sur l'onglet Visibilité, voir la rubrique "Réglages d'application - onglet Visibilité".

  • L'onglet Affichage permet de personnaliser les graphiques quand vous travaillez dans l'espace de travail. Pour des détails sur l'onglet Affichage, voir la rubrique "Réglages d'application - onglet Affichage".

  • L'onglet Parcours permet de définir les emplacements d'enregistrement pour les projets de tube, de cintreuse et de rapport. Pour des détails sur l'onglet Parcours, voir la rubrique "Réglages d'application - onglet Parcours".

  • L'onglet Éléments permet de définir les tolérances d'élément par défaut. Pour des détails sur l'onglet Éléments, voir la rubrique "Réglages d'application - Éléments".

  • L'onglet Avancé permet de définir l'accès par mot de passe, la recherche de mises à jour au démarrage et l'activation de la journalisation de TubeShaper. Pour des détails sur l'onglet Avancé, voir la rubrique "Réglages d'application - onglet Avancé".

Cliquez sur OK pour enregistrer les changements effectués ou cliquez sur Annuler pour sortir de la boîte de dialogue.

Rubriques associées :

Réglages d'application - onglet Général

Réglages d'application - onglet Visibilité

Réglages d'application - onglet Affichage

Réglages d'application - onglet Parcours

Réglages d'application - onglet Éléments

Réglages d'application - onglet Avancé


Réglages d'application - onglet Général

Les options suivantes sont disponibles :

    Langue - Sélectionnez la langue que l'application TubeShaper doit utiliser dans la liste déroulante Langue. Cliquez sur Terminé pour changer le texte de l'interface utilisateur dans la langue choisie.

    Unités - Définit les unités linéaires et angulaires que TubeShaper utilise pour les mesures.

    Décimales affichées - Entrez le nombre de décimales à afficher pour les unités mm et pouces dans votre projet.

    Remarque : les unités angulaires ne sont pas affectées par ce réglage et apparaissent toujours avec cinq décimales.

    Valeurs par défaut du nouveau projet - Cette section fournit les options suivantes :

    • Cliquez sur Projets/Tubes pour définir les options de projet par défaut pour tous les nouveaux projets. Pour définir des options ne concernant que le projet actuellement ouvert, voir la rubrique "Vue Propriétés du projet".

    • Cliquez sur Valeurs par défaut du rapport pour définir les options de rapport par défaut pour tous les nouveaux rapports. Pour définir des options ne concernant que le rapport actuellement ouvert, voir la rubrique "Options de rapport" au chapitre "Rapports".

Rubriques associées :

Réglages d'application

Valeurs par défaut du projet/tube

Options de rapport


Réglages d'application - Valeurs par défaut du projet

TubeShaper : Home | Introduction à TubeShaper | Réglages d'application | Réglages d'application - onglet Général | Valeurs par défaut du projet/tube

Réglages d'application - Valeurs par défaut des projets/tubes

Dans la section Valeurs par défaut du nouveau projet de l'écran principal Réglages d'application, cliquez sur Projets/Tubes pour afficher la boîte de dialogue Valeurs par défaut du projet/tube .

Les réglages et les valeurs choisis dans cette boîte de dialogue sont appliqués à tous les nouveaux projets.

Remarque : pour effectuer des changements uniquement appliqués au projet actuellement ouvert, voir la rubrique "Propriétés des options de rapport" dans la section "Vue propriétés du projet/tube" de l'aide.

Ces réglages d'application et valeurs par défaut du projet/tube peuvent être définis :

    Options de rapport - Cette section détermine les options de rapport par défaut que vous pouvez choisir.

    • Créer automatiquement un rapport - Avec cette option, un rapport est créé chaque fois qu'un tube est mesuré.

    • Unités - Sélectionnez l'option d'unités linéaires dans lesquelles les données mesurées doivent être exprimées pour les nouveaux rapports. Par exemple, si le tube a été mesuré en mm mais vous voulez le rapport en pouces, choisissez l'option Pouces. Les unités mesurées sont converties de mm en pouces (si besoin est) pour tous les nouveaux rapports.

    • Unités angulaires - Sélectionnez l'option d'unités angulaires dans lesquelles les données mesurées doivent être exprimées pour les nouveaux rapports. Par exemple, si le tube a été mesuré en degrés mais vous voulez le rapport en radians, choisissez l'option Rad. Les unités mesurées sont converties de degrés en radians (si besoin est) pour tous les nouveaux rapports.

    Pour des détails sur la configuration de sortie de votre rapport (Enregistrer, Exporter ou Imprimer), voir la rubrique "Propriétés des options de rapport".

    Tolérances - Cette section sert à définir les valeurs du projet pour les tolérances affichées. Pour plus d'informations sur les propriétés de tolérances, voir la rubrique "Propriétés de tolérances".

    Options d'inspection - Cette section sert à définir les options d'inspection et les valeurs associées. Pour plus d'informations sur le réglage des options d'inspection, voir la rubrique "Propriétés des options d'inspection".

    Options de correction - Cette section sert à définir les options de correction et les valeurs associées. Pour plus d'informations sur le réglage des options de correction, voir la rubrique "Propriétés des options de correction".

Cliquez sur OK pour enregistrer les changements effectués et revenir à la boîte de dialogue Réglages d'application. Cliquez sur Annuler pour sortir sans enregistrer.

Rubriques associées :

Réglages d'application - onglet Général

Réglages d'application - Options de rapport


Réglages d'application - Valeurs par défaut du rapport

TubeShaper : Home | Introduction à TubeShaper | Réglages d'application | Réglages d'application - onglet Général | Options de rapport

Réglages d'application - Options de rapport

Dans la section Valeurs par défaut du nouveau projet de l'écran principal Réglages d'application, cliquez sur Rapports pour afficher la boîte de dialogue Options de rapport.

Les réglages et les valeurs choisis dans la boîte de dialogue Options de rapport sont appliqués à tous les nouveaux rapports.

Remarque : pour effectuer des changements uniquement appliqués au projet actuellement ouvert, voir la rubrique "Options de rapport" au chapitre "Créer un rapport".

Cochez la case à droite de chaque étiquette d'option pour les sélectionner. Les sections de rapport suivantes sont disponibles :

  • Logo de l'entreprise

  • Vue CAO

  • Données du PT (données du point de tangente)

  • Statistiques de fin

  • CLRA

  • LRA

  • ALRA

  • XYZ

  • Éléments

  • Propriétés du tube

Les options de rapport avec plusieurs choix ont trois réglages :

  • Quand la case est cochée [image], toutes les options dans le groupe sont sélectionnées.

  • Quand la case est de couleur [image], des options individuelles dans le groupe sont sélectionnées.

  • Quand la case est vide [image], aucune option dans le groupe n'est sélectionnée.

Pour réorganiser les sections dans le rapport, cliquez et faites glisser chacune d'elles dans la boîte de dialogue Options de rapport afin de les organiser dans l'ordre souhaité. Tous les nouveaux rapports apparaissent ensuite en fonction des changements effectués.

Cliquez sur Terminé pour enregistrer les changements effectués et revenir à la boîte de dialogue Réglages d'application. Cliquez sur Annuler pour sortir sans enregistrer.

Pour des détails sur la définition des options de rapport, voir la section "Options de rapport" au chpitre "Rapports".

Rubriques associées :

Réglages d'application - onglet Général

Réglages d'application - Valeurs par défaut du projet/tube


Réglages d'application - onglet Visibilité

TubeShaper : Home | Introduction à TubeShaper | Réglages d'application | Réglages d'application - onglet Visibilité

Réglages d'application - onglet Parcours

L'onglet Visibilité permet d'activer et de désactiver les étiquettes dans l'espace de travail du projet.

    Visibilité des étiquettes - Quand la case Afficher les étiquette est cochée, vous pouvez configurer les étiquettes pour les composants de tube répertoriés :

    • On - Les étiquettes sont toujours affichées.

    • Off - Les étiquettes ne sont jamais affichées.

    • Auto - Les étiquettes s'affichent automatiquement quand la grille de données correspondante apparaît.

    Ppoints d'intersection - Cochez les cases appropriées pour afficher les étiquettes de points d'intersection :

      Cochez la case Mesuré ou Écarts pour afficher ou masquer les étiquettes de points d'intersection mesurés ou d'écart.

Rubriques associées :

Réglages d'application


Réglages d'application - onglet Affichage

L'onglet Affichage permet de personnaliser l'affichage des graphiques quand vous travaillez dans l'espace de travail.

    Thème - Vous pouvez passer d'un thème clair à obscur et inversement pour TubeShaper. Cochez la case Agrandi pour afficher le texte et les icônes dans une vue plus grande, semblable au mode atelier. Pour des détails sur le mode atelier de TubeShaper, voir le chapitre "Mode atelier".

    Améliorer les graphiques - Définit la largeur de trait des éléments dessinés. Cochez cette case pour activer cette fonction, puis sélectionnez une option dans la liste Afficher l'épaisseur afin de choisir la valeur d'épaisseur souhaitée.

    Transparence - Définit le valeur de transparence en pourcentage pour le graphique du tube ; plus elle est élevée, plus le graphique est transparent. En déplaçant le curseur, vous rendez la ligne médiane plus ou moins visible, en fonction du réglage de la vue graphique. Pour des détails sur la zone de la vue graphique d'un projet de tube, voir la rubrique Vue Espace de travail.

    Vous pouvez utiliser les sélecteurs pour définir la couleur des graphiques et des indicateurs dans l'espace de travail. Les options du sélecteur de couleur sont :

      Couleur CAO - Définit la couleur d'une CAO importée dans l'espace de travail.

      Couleur élt nominal - Définit la couleur du tube nominal et des éléments nominaux dans l'espace de travail.

      Couleur élt mesuré - Définit la couleur du tube mesuré et des éléments mesurés dans l'espace de travail.

      Couleur de surlignement - Définit la couleur du tube ou de l'élément sélectionné.

      Couleur d'indicateur de mesure - Définit la couleur pour une région de mesure plus spécifique d'une section en évidence du tube.

      Couleur élt incomplete - Définit la couleur d'un tube incomplet.

Rubriques associées :

Réglages d'application


Réglages d'application - onglet Parcours

Les options de l'onglet Parcours indiquent où sont enregistrés vos fichiers.

Les options de parcours de TubeShaper sont :

    Chemin d'accès aux projets - Définit l'emplacement où les fichiers de projets TubeShaper sont enregistrés.

    Chemin d'accès aux cintreuses - Définit l'emplacement où les fichiers de cintreusesTubeShaper sont enregistrés.

    Chemin d'accès aux rapports - Définit l'emplacement où les fichiers de rapportsTubeShaper sont enregistrés.

    Entrez manuellement le chemin ou cliquez sur le bouton Parcourir [image] pour ouvrir la boîte de dialogue Parcourir le dossier afin de naviguer vers un emplacement de dossier.

Rubriques associées :

Réglages d'application


Réglages d'application - onglet Éléments

L'onglet Éléments permet de définir les valeurs de tolérances d'éléments par défaut pour les données X, Y, Z, Diamètre, Longueur, Largeur, Angle et Distance 3D.

Rubriques associées :

Réglages d'application


Réglages d'application - onglet Avancé

L'onglet Avancé permet ce qui suit :

    Case à cocher Activer l'accès par mot de passe - Quand elle est cochée, la boîte de dialogue Définir le mot de passe s'affiche.

    Entrez u nmot de passe et cliquez sur OK pour l'enregistrer. Vérifiez que le mot de passe est stocké à un endroit sûr pour le retrouver si besoin est.

    Remarque : si vous avez oublié le mot de passe, contactez le support technique d'Hexagon Metrology afin d'en obtenir un temporaire. Une fois le mot de passe temporaire reçu, cliquez sur le bouton Réglages d'application puis sur Changer le mot de passe avant d'entrer le mot de passe temporaire. Vous devez ensuite saisir un nouveau mot de passe à deux reprises.

    Informations de contact du support technique d'Hexagon Metrology

    Le support technique en ligne est disponible à l'adresse http://hexagonmetrology.us/contact-us ou sur le site www.pcdmis.com.

    Vous pouvez aussi joindre le support technique d'Hexagon Metrology au 1-800-343-7933.

    Case à cocher Rechercher une nouvelle version au démarrage - Quand cette case est cochée et si vous êtes connecté à Internet, à chaque démarrage, TubeShaper se connecte au serveur d'Hexagon Metrology pour vérifier si une nouvelle version est disponible pour téléchargement et installation. Pour des détails sur les mises à jour, voir le chapitre "Recherche de mises à jour".

    Case à cocher Activer la journalisation - Quand cette case est cochée, TubeShaper consigne les informations concernant les problèmes se produisant. Le fichier journal peut ensuite être envoyé au support technique d'Hexagon Metrology pour faciliter le débogage du système. Utilisez la zone de chemin d'accès du fichier journal pour entrer une nouvel emplacement, ou cliquez sur le bouton Parcourir pour changer l'emplacement de stockage du fichier journal.

Rubriques associées :

Réglages d'application


Outils

Cliquez sur le bouton Outils [image] depuis la barre de menu principal.

Boîte de dialogue Outils

La boîte de dialogue Outils sert à mesurer différentes propriétés de tube ou de tuyau comme la longueur, le rayon de courbure et le diamètre. Si vous l'utilisez avec un artéfact de calibrage, vous pouvez vous servir de l'onglet Droite ou Diamètre du tube pour confirmer l'exactitude du système de mesure.

Les options suivantes sont disponibles dans les onglets :

    Onglet Diamètre du tube - Permet de mesurer un diamètre inconnu d'un tube ou d'un tuyau. Si vous utilisez cette option sur un artéfact de calibrage, la précision du système de mesure peut aussi être déterminée. Vous pouvez aussi utiliser l'onglet Diamètre du tube pour l'ingénierie inverse d'un tube.

    Onglet Droite - Permet de mesurer la longueur d'une droite sur un tube ou un tuyau. Si vous utilisez cette option sur un artéfact de calibrage, la précision du système de mesure peut aussi être déterminée. Pour des détails sur l'onglet Droite, voir la rubrique "Onglet Droite".

    L'onglet Droite est parfois nécessaire pour déterminer le retour élastique. La longueur du tube droit calculée est la valeur Longueur de coupe dans l'onglet Retour élastique. Pour des détails sur l'onglet Retour élastique, voir la rubrique "Vue retour élastique".

    Onglet Rayon de courbure - Permt de mesurer un rayon de courbure inconnue sur un tube ou un tuyau. Cette option est utile en cas d'ingénierie invere d'un tube.

Les détails sur chaque onglet se trouvent dans les rubriques individuelles de ce chapitre.

Rubriques associées :

Onglet Diamètre du tube

Onglet Droite

Onglet Rayon de courbure


Onglet Diamètre du tube

Pour mesurer une droite :

  1. Cliquez sur le bouton Outils [image] depuis la barre de menu principal.

  2. Sélectionnez l'onglet Diamètre du tube pour ouvrir l'écran Diamètre du tube.

  3. Cliquez sur le bouton Mesurer [image] et suivez les instructions au bas de la boîte de dialogue pour mesurer deux emplacements sur le cylindre afin de connaître le diamètre.

    4. Remarque : la vue graphique montre la zone à mesurer en doré. Les zones rouges vous indiquent de ne pas trop vous rapprocher des arêtes de la droite ou de sortir de la courbe.

    Pour des détails sur la fonctionnalité standard de bras ROMER à trois boutons, voir la rubrique "Boutons du bras ROMER".

    Les instructions montre un nombre minimum de palpages recommandés sur le cylindre à mesurer. Vous pouvez prendre d'autres palpages pour une plus grande précision.

    Cliquez sur Arrêter [image] à tout moment pour terminer le processus de mesure.

    Remarque : pour des détails sur le processus de mesure, voir la rubrique "Mesure d'un tube".

  4. Consultez les données dans la zone Diamètre du tube. Faites de nouvelles mesures si besoin est.

  5. Cliquez sur Enregistrer pour accepter la mesure. La valeur est ajoutée à la liste Longueur du tube dans la boîte de dialogue Créer un tube.

    6. Cliquez sur OK pour quitter la boîte de dialogue. Pensez à enregistrer d'abord la valeur de mesure.

Rubriques associées :

Outils

Onglet Droite

Onglet Rayon de courbure


Onglet Droite

Pour mesurer une droite :

  1. Cliquez sur le bouton Outils [image] depuis la barre de menu principal.

  2. Cliquez sur l'onglet Droite pour faire apparaître l'écran Droite.

  3. Cliquez sur le bouton Mesurer [image] et suivez les instructions au bas de la boîte de dialogue pour mesurer les éléments requis de la droite.

    4. Remarque : la vue graphique montre la zone à mesurer en doré. Les zones rouges vous indiquent de ne pas trop vous rapprocher des arêtes de la droite ou de sortir de la courbe.

    Pour des détails sur la fonctionnalité standard de bras ROMER à trois boutons, voir la rubrique "Boutons du bras ROMER".

    Les instructions montre un nombre minimum de palpages recommandés pour la droite et deux extrémités mésurées. Vous pouvez prendre d'autres palpages pour une plus grande précision.

    Cliquez sur Arrêter [image] à tout moment pour terminer le processus de mesure.

    Remarque : pour des détails sur le processus de mesure, voir la rubrique "Mesure d'un tube".

  4. Consultez les données dans la zone Longueur du tube droit. Faites de nouvelles mesures si besoin est.

  5. Cliquez sur Enregistrer pour accepter la valeur de mesure enregistrée à cet emplacement :

    • La liste Longueur du tube dans la boîte de dialogue Créer un tube

    • La liste Longueur de coupe du tube dans la section Propriétés physiques du panneau slide-out Propriétés du projet

    • La liste Longueur de coupe du tube dans le panneau slide-out Retour élastique

    Cliquez sur OK pour quitter la boîte de dialogue. Pensez à enregistrer d'abord la valeur de mesure.

Rubriques associées :

Outils

Onglet Diamètre du tube

Onglet Rayon de courbure


Onglet Rayon de courbure

Pour mesurer un rayon de courbure :

  1. Cliquez sur le bouton Outils [image] depuis la barre de menu principal.

  2. Cliquez sur l'onglet Rayon de courbure pour que l'écran Rayon de courbure s'ouvre.

  3. Cliquez sur le bouton Mesurer [image] et suivez les instructions au bas de la boîte de dialogue pour prendre des mesures.

    4. Remarque : la vue graphique montre la zone à mesurer en doré. Les zones rouges vous indiquent de ne pas trop vous rapprocher des arêtes de la droite ou de sortir de la courbe.

    Pour des détails sur la fonctionnalité standard de bras ROMER à trois boutons, voir la rubrique "Boutons du bras ROMER".

    Les instructions montre un nombre minimum de palpages recommandés pour les droites et la section courbe à mesurer. Vous pouvez prendre d'autres palpages pour une plus grande précision.

    Cliquez sur Arrêter [image] à tout moment pour terminer le processus de mesure.

    Remarque : pour des détails sur le processus de mesure, voir la rubrique "Mesure d'un tube".

  4. Au terme des mesures, consultez les données affichées dans la zone Rayon de courbure estimé. Faites de nouvelles mesures si besoin est.

  5. Cliquez sur Enregistrer pour accepter la mesure. La valeur est ajoutée à la liste Rayon de courbure dans la boîte de dialogue Créer un tube.

    6. Cliquez sur OK pour quitter la boîte de dialogue. Pensez à enregistrer d'abord la valeur de mesure.

Rubriques associées :

Outils

Onglet Diamètre du tube

Onglet Droite


Création d'un projet

Il y a deux façons de créer un projet de tube :

  • Création d'un projet de tube sans modèle CAO. Pour des détails, voir la rubrique "Création d'un tube par ingénierie inverse".

  • Création d'un projet de tube avec un modèle CAO importé. Pour des détails, voir la rubrique "Création d'une projet avec importation".

Cliquez sur Nouveau projet dans l'écran principal pour afficher l'espace de travail du projet vide.

Exemple d'espace de travail de nouveau projet sans modèle CAO importé

L'espace de travail de projet montre un titre par défaut dans l'angle supérieur gauche, suivi d'un astérisque (*). L'astérisque indique que le projet est nouveau ou que des changements ont été effectués mais n'ont pas encore été enregistrés.

Pour des détails sur les différentes sections de l'espace de travail de projet, voir la rubrique "Interface du nouveau projet".

Enregistrez ou exportez le projet à tout moment en cliquant sur le bouton Menu Enregistrer/Exporter [image] en bas à droite de l'écran.

Pour des détails sur l'enregistrement et l'exportation d'un projet, voir la rubrique appropriée au chapitre "Enregistrement et exportation de projets".

Si vous cliquez sur le bouton Retour [image], une boîte de dialogue Enregistrer sous apparaît.

Entrez un nom unique et cliquez sur Oui pour l'enregistrer. Cliquez sur Non pour sortir sans enregistrer ou sur Annuler pour sortir de la boîte de dialogue et revenir à votre projet.

Rubriques associées :

Interface du nouveau projet

Création d'un projet de tube à retour élastique

Création d'un tube en entrant manuellement des données

Création d'un tube par ingénierie inverse

Création d'un projet de tube avec importation

Configuration de la cintreuse


Interface du nouveau projet

TubeShaper : Home | Création d'un projet | Interface du nouveau projet

Espace de travail du nouveau projet

Une fois le projet créé, un espace de travail de projet vide apparaît.

Espace de travail de projet vide

L'écran Espace de travail du projet contient ce qui suit :

    Zone Barre de menu principal et de titre - Pour des détails sur cette zone, voir la rubrique "Zone de navigation Espace de travail".

    Barre d'outils Opération graphique - Pour des détails sur cette barre d'outils, voir la rubrique "Barre d'outils Opération graphique".

    Zone Espace de travail - Pour des détails sur cette zone, voir la rubrique "Vue Esapce de travail". Vous pouvez afficher le projet actuel dans son espace de travail ou dans sa vue Rapport en cliquant sur l'onglet approprié.

    Panneau Slide-out et barre d'outils - Pour des détails sur le panneau slide-out et la barre d'outils, voir la section "Barre d'outils du panneau coulissant" de ce chapitre.

    Zone Statut du projet - Pour des détails sur cette zone, voir la rubrique "Zone Statut du projet".

    Barre d'action - Pour des détails sur la barre d'action, voir la rubrique "Barre Action sur le projet".

Rubriques associées :

Zone de navigation de l'espace de travail

Barre d'outils Opération graphique

Vue Espace de travail

Barre d'outils du panneau coulissant

Zone de statut du projet

Barre Action sur le projet


Zone de navigation de l'espace de travail

Remarque : si le texte du titre du projet est en orange, la définition de l'élément de tube est incomplète et le projet ne peut pas être enregistré. Mettez à jour l'ensemble de données de l'élément de tube pour corriger le problème, puis enregistrez le projet.

La zone de navigation Espace de travail montre le nom du nouveau projet et la fonctionnalité suivante :

    Bouton Retour - Vous renvoie à la vue Projet.

    Si des changements ont été faits dans le projet et que vous cliquez sur le bouton Retour avant d'enregistrer :

    • Si le projet est nouveau et n'a jamais été enregistré, une boîte de dialogue Enregistrer sous s'ouvre.

      • Entrez un nom unique et cliquez sur Oui pour l'enregistrer. Cliquez sur Non pour sortir sans enregistrer ou sur Annuler pour sortir de la boîte de dialogue et revenir à votre projet.

    • Si le projet a déjà été enregistré, une boîte de dialogue Avertissement s'ouvre et vous demande si vous voulez enregistrer les changements.

      • Cliquez sur Oui pour enregistrer vos changements et revenir à la vue Projet. Cliquez sur Non pour sortir de la boîte de dialogue et de votre projet sans enregistrer les changements. Cliquez sur Annuler pour sortie de la boîte de dialogue et revenir à votre projet.

    Onglet Espace de travail - Cliquez dessus pour ouvrir l'écran Espace de travail. Pour des détails, voir la rubrique "Vue Espace de travail".

    Onglet Rapport - Cliquez dessus pour ouvrir l'écran Rapport du projet en cours. Pour des détails, voir le chapitre "Rapports".

Rubriques associées :

Barre d'outils Opération graphique

Vue Espace de travail

Barre d'outils du panneau coulissant

Zone de statut du projet

Barre d'action


Barre d'outils Opération graphique

La barre d'outils Opération graphique comporte quatre boutons permettant de contrôler et de manipuler les données dans la vue Espace.

Barre d'outils Opération graphique

Cette barre d'outils compte quatre boutons :

    Zoom - Si vous cliquez dessus, vous faites un zoom avant du graphique. Utilisez le bouton approprié de la souris pour fair eun panoramique du graphique afin de le centrer dans l'espace de travail.

    Pan - Affecte au bouton droit de la souris la fonctionnalité de panoramique.

    Rotation 3D - Affecte au bouton droit de la souris la fonctionnalité de rotation 3D autour du centre.

    Rotation 2D - Affecte au bouton droit de la souris la fonctionnalité de rotation 2D autour du centre.

    Zoomer pour ajuster - Centre et zoome le graphique pour l'ajuster au mieux à la zone de l'espace de travail.

    Vues graphiques - Un menu apparaît avec les options de vue graphique servant à afficher la pièce dans l'espace de travail de la vue graphique :

      Améliorer les graphiques bascule la valeur améliorée pour les graphiques. Pour des détails sur l'option Améliorer les graphiques dans les réglages d'application, voir la rubrique "Réglages d'application - onglet Affichage".

      Ligne médiane uniquement bascule la vue graphique pour montrer uniquement la ligne médiane et tous les éléments liés à elle.

      Vue X+ montre la vue X+.

      Vue X- montre la vue X-.

      Vue Y+ montre la vue Y+.

      Vue Y- montre la vue Y-.

      Vue Z+ montre la vue Z+.

      Vue Z- montre la vue Z-.

      Vue isométrique montre une vue isométrique.

      Grille bascule la grille 3D dans l'espace de travail de la vue graphique.

      Quadrillage/Ombré bascule le graphique entre la vue solide et quadrillage.

      Arêtes du quadrillage améliore les arêtes des surfaces en ajoutant un contour gras à la pièce.

Fonctionnement standard de la souris

Remarque : ci-après la description du fonctionnement standard de la souris pour l'application TubeShaper. La description de ces fonctions peut varier selon la configuration des boutons de votre souris.

Le fonctionnement standard de la souris graphique TubeShaper est le suivant :

    Bouton gauche - Clique, maintenez enfoncé et déplacez le curseur pour reacer un rectangle de sélection autour d'une zone du graphique dans l'espace de travail. Quand vous relâchez le bouton, tous les composants graphiques dans la zone sélectionnée sont mis en évidence pour indiquer qu'ils ont été sélectionnés.

    Bouton droit - Cliquez, maintenez enfoncé et déplacez le curseur pour faire un panoramique du graphique dans l'espace de travail. Le graphique se déplace dans la même direction que le curseur.

    Roulette centrale - Vous obtenez un zoom avant ou arrière du graphique, selon la direction dans laquelle vous faites pivoter la roulette.

    Bouton de la roulette centrale - Cliquez, maintenez enfoncé et déplacez le curseur pour faire pivoter le graphique dans l'espace de travail.

Rubriques associées :

Zone de titre et navigation

Vue Espace de travail

Barre d'outils du panneau coulissant

Zone de statut du projet

Barre d'action


Vue Espace de travail

Vue Espace de travail de TubeShaper

La vue Espace de travail montre le graphique du tube et permet de le manipuler en 3D. Dans la vue Espace de travail, vous pouvez manipuler un modèle CAO importé, des éléments géométriques mesurés, un tube généré à partir des valeurs insérées, etc.

La vue Espace de travail occupe tout l'écran de TubeShaper.

Une ligne médiane mesurée est toujours visible pour les vues nominale et mesurée et peut être encore plus marquée à l'aide du curseur Transparence dans Réglages d'application.

Vue nominale d'un tube montrant la ligne médiane avec une transparence à 50 %

Vue nominale d'un tube montrant la ligne médiane avec une transparence à 100 %

Rubriques associées :

Zone de titre et navigation

Barre d'outils Opération graphique

Barre d'outils du panneau coulissant

Zone de statut du projet

Barre d'action


Barre d'outils du panneau coulissant

TubeShaper : Home | Création d'un projet | Interface du nouveau projet | Barre d'outils du panneau coulissant

Barre d'outils du panneau Slide-out

Barre d'outils du panneau Slide-out

La barre d'outils du panneau Slide-out se compose de six panneaux slide-out :

    Le bouton Vue de données sert à afficher les données du tube comme :

    • valeurs de coordonnées XYZ pour afficher les données des points d'intersection du tube

    • valeurs LRA pour afficher les données des droites du tube

    • valeurs ALRA pour afficher les données des valeurs LRA absolues du tube

    Pour des détails sur ce panneau slide-out, voir la rubrique "Vue de données du tube".

    Le bouton Points de tangente permet d'afficher les erreurs de points de tangente après la mesure d'un tube. Pour des détails sur ce panneau slide-out, voir la rubrique "Vue de données des points de tangente".

    Le bouton CLRA permet d'afficher les paramètres de cintrage du tube corrigé. Pour des détails sur ce panneau slide-out, voir la rubrique "Vue Grille de données LRA corrigées".

    La vue programme permet de mesurer, de construire et d'éditer des éléments géométriques comme des plans, des cercles, etc. Pour des détails sur ce panneau slide-out, voir la rubrique "Vue Programme".

    Le panneau Propriétés du projet/tube permet d'afficher et de modifier les propriétés du tube pour ce projet. De nombreuses propriétés peuvent aussi être indiquées dans la zone Réglages d'application. Pour des détails sur ce panneau slide-out, voir la rubrique "Vue Propriétés du projet".

    Le bouton Retour élastique sert à afficher, sélectionner et calculer le retour élastique du projet et les valeurs d'allongement. Pour des détails sur ce panneau slide-out, voir la rubrique "Vue Retour élastique".

    Le bouton Options de rapport sert à définir les options de vos rapports de projet de tube. Pour des détails sur ce panneau slide-out, voir la rubrique d'aide "Vue Options de rapport".

    Les panneaux slide-out sont un aspect important dans la création d'un projet. Si le panneau n'est pas visible, cliquez sur l'un des boutons décrits ci-dessus. Masquez le panneau en cliquant sur le bouton actif (affiché en bleu sarcelle). Les boutons inactifs apparaissent en noir.

Rubriques associées :

Vue des données du tube

Vue des données des points de tangente

Vue Données LRA corrigées

Vue programme

Vue Propriétés du projet/tube

Vue du retour élastique

Vue Options de rapport

Création d'un tube en entrant manuellement des données


Vue Données du tube

Panneau slide-out Vue de données montrant la grille de données XYZ

Pour afficher les détails sur les données :

  1. Cliquez sur le bouton Vue de données [image] pour ouvrir le panneau Vue de données slide-out.

  2. Cliquez sur le bouton XYZ/LRA/ALRA [image] en haut à droite du panneau slide-out pour ouvrir le menu contextuel de sélection XYZ/LRA/ALRA :

  3. Sélectionnez l'ensemble de données à afficher dans les options disponibles (XYZ, LRA et ALRA). Le panneau est mis à jour en conséquence.

  4. Cliquez sur Ajouter une droite [image] ou Supprimer une droite [image]. Quand vous ajoutez une ligne, celle sélectionnée est dupliquée. Cliquez dans chaque cellule pour mettre à jour sa valeur.

    5. Quand vous ajoutez une ligne :

    • TubeShaper crée la ligne avant celle sélectionnée.

    • Si vous ne sélectionnez pas de ligne, TubeShaper ajoute la nouvelle avant la dernière ligne.

    Quand vous supprimez une ligne :

    • Si vous ne sélectionnez pas de ligne, TubeShaper supprime la dernière ligne.

    • Si vous sélectionnez la dernière ligne, celle au-dessus devient alors la dernière. Pour cette ligne, TubeShaper réinitialise les valeurs Angle de courbure et Rayon à 0 (zéro).

    Remarque : le graphic dans l'espace de travail montre les détails du projet (comme les points d'intersection et les points de tangente) en fonction des réglages d'application.

    Le bouton Ingénierie inverse [image] permet de créer un tube maître. Pour des détails sur la procédure d'ingénierie inverse d'un tube, voir la rubrique "Création d'un tube par ingénierie inverse".

    Le bouton Inverser le tube [image] permet d'inverser les composants d'un tube. Si vous cliquez dessus, les extrémités A et B sont immédiatement permutées. Tous les autres composants du tube (PI, PT, etc.) sont renumérotés en conséquence.

    Le bouton Mettre le tube en miroir [image] permet de mettre le tube en miroir le long du plan Y. Si vous cliquez dessus, le tube est immédiatement mis en miroir.

    La section Propriétés du tube nominal contient ces propriétés :

    • Distance entre deux extrémités

    • Angle entre deux extrémités

    • Longueur du tube

    Quand vous mettez à jour des données dans la grille, les informations dans la section Propriétés du tube nominal sont mises à jour en conséquence.

Rubriques associées :

Barre d'outils du panneau coulissant

Vue des données des points de tangente

Vue Données LRA corrigées

Vue programme

Vue Propriétés du projet/tube

Vue du retour élastique

Vue Options de rapport


Vue Données des points de tangente

Cliquez sur le bouton Points de tangente [image] pour afficher le panneau Points de tangente slide-out. Le panneau slide-out Points de tangente permet de consulter les erreurs de points de tangente (PT) de votre projet une fois le tube mesuré.

Panneau slide-out Points de tangente

Rubriques associées :

Barre d'outils du panneau coulissant

Vue des données du tube

Vue Données LRA corrigées

Vue programme

Vue Propriétés du projet/tube

Vue du retour élastique

Vue Options de rapport

Création d'un tube en entrant manuellement des données


Vue Données LRA corrigées

Cliquez sur le bouton CLRA [image] afin d'afficher le panneau CLRA slide-out.

Panneau slide-out Données LRA corrigées (CLRA)

Le panneau Données CLRA slide-out permet d'afficher les détails sur les Longueur (L), Rotation (R) et Angle (A) corrigés de votre projet une fois le tube mesuré.

La grille Informations de longueur du tube montre les données de longueur concernant le tube actuel. Utilisez la barre de défilement sur le côté droit de la grille pour voir les propriétés non visibles.

Les propriétés suivantes sont répertoriées dans cette section :

  • Longueur du tube mesuré - Longueur de la ligne médiane du tube mesuré ; valeur non modifiable.

  • Longueur du tube développé - Longueur du tube calculée à partir des données CLRA ; valeur non modifiable.

  • Longueur de coupe du tube - Longueur du tube droit avant d'être cintré. Vous pouvez entrer une nouvelle valeur ou en sélectionner une dans la liste.

  • Différence de longueur du tube - Différence entre les valeurs Longueur du tube développé et Longueur de coupe du tube ; valeurs non modifiables.

  • Balise de différence de l'extrémité A - Valeur Différence de longueur du tube moins la valeur Balise de différence de l'extrémité B ; valeur modifiable. La valeur Balise de différence de l'extrémité B est automatiquement mise à jour.

  • Balise de différence de l'extrémité B - Valeur Différence de longueur du tube moins la valeur Balise de différence de l'extrémité A ; valeur modifiable. Cette valeur ne peut pas être supérieure à la valeur Différence de longueur du tube. Vous pouvez aussi utiliser la zone Pourcentage de diff extrémité B ou le curseur pour ajouter un pourcentage de la valeur Différence de longueur du tube.

  • Pourcentage de diff extrémité B - Pourcentage de la valeur Différence de longueur du tube à appliquer à la valeur Balise de différence de l'extrémité B ; valeur modifiable. Le curseur devient disponible quand vous la souris sur la zone à droite. Vous pouvez aussi utiliser la zone Balise de différence de l'extrémité B pour ajouter tout ou partir de la valeur Diiférence de longueur du tube à la valeur de différence de l'extrémité B.

Si l'une des propriétés modifiables a été éditée, cliquez en dehors de la cellule pour appliquer automatiquement la nouvelle valeur. Si le pourcentage de différence de l'extrémité B a été changé, cliquez sur le bouton Appliquer [image] pour stocker la nouvelle valeur. La valeur dans la zone Balise de différence de l'extrémité A est appliquée à la première droite et la valeur dans la zone Balise de différence de l'extrémité B à la dernière.

Pour des détails incluant une vue graphique de diverses propriétés de longueur du tube, voir la rubrique "Propriétés physiques".

Cliquez sur Mettre à jour [image] une fois le tube mesuré ou si des changements ont été effectués dans les propriétés de longueur du tube pour recalculer les données CLRA. Les données peuvent ensuite être renvoyées à la cintreuse en cliquant sur le bouton Envoyer la définition du tube [image] pour générer le tube "parfait". Pour des détails sur les boutons de la barre Action sur le projet, voir la rubrique "Barre Action sur le projet".

Cliquez sur Annuler [image] pour restaure les données à leur dernière mise à jour.

Cliquez sur Réinitialiser [image] pour restaurer les données CLRA aux valeurs CLRA maîtres.

Important : vous pouvez uniquement restaurer les données CLRA maîtres si les valeurs Retour élastique et Étirement n'ont PAS été appliquées. Si elles ont été appliquées, les données LRA diffèrent légèrement des valeurs maîtres réelles.

Remarque : la valeur Longueur de coupe du tube est toujours plus longue que celle Longueur du tube théorique. C'est pourquoi il y a en général un longueur supplémentaire dans la première et/ou la dernière droite (balise de différence de longueur pour l'extrémité A ou B). Quand le tube est mesuré sans compensation de cette longueur extra, la longueur d'une extrémité à l'autre (la distance entre les extrémités A et B) est hors tolérance. Les valeurs de balise de différence de longueur des extrémités A/B sont utilisées dans le calcul de la longueur du tube d'une extrémité à l'autre afin de refléter la longueur réelle. De cette façon, l'ensemble de données CLRA suivant ne peut pas entraîner une correction incorrecte du tube.

Rubriques associées :

Barre d'outils du panneau coulissant

Vue des données du tube

Vue des données des points de tangente

Vue programme

Vue Propriétés du projet/tube

Vue du retour élastique

Vue Options de rapport

Création d'un tube en entrant manuellement des données


Vue programme

Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

Panneau slide-out Vue programme

Le panneau Vue programme slide-out montre une vue arborescente de la routine de mesure du projet. Il inclut des informations sur les éléments créés et construits, les dimensions et les alignements.

Les options suivantes sont disponibles :

    Éléments - Montre la barre d'éléments. Pour des détails sur la création d'éléments mesurés, voir la rubrique "Mesure d'éléments".

    Alignements - Montre la barre d'alignements pour créer divers alignements dans votre routine de mesure. Pour des détails sur la création d'alignements, voir la rubrique "Création d'alignements".

    Constructions - Montre la barre de constructions pour construire des éléments. Pour des détails sur les éléments construits, voir la rubrique "Construction d'éléments".

    Dimensions - Montre la barre de dimensions pour créer des dimensions linéaires et angulaires entre les éléments. Pour des détails sur la création de dimensions, voir la rubrique "Dimensions".

    Utilitaires - Montre la barre d'utilitaires pôur ajouter des invites de palpeur et des commentaires aux routines de mesure. Pour des détails sur l'ajout d'invites de palpeur, voir la rubrique "Ajout d'un invite de palpeur à une routine de mesure". Pour des détails sur l'ajout de commentaires, voir la rubrique "Ajout de commentaires à une routine de mesure".

Rubriques associées :

Barre d'outils du panneau coulissant

Vue des données du tube

Vue des données des points de tangente

Vue Données LRA corrigées

Vue Propriétés du projet/tube

Vue du retour élastique

Vue Options de rapport

Création d'un tube en entrant manuellement des données


Vue Propriétés du projet/tube

Panneau slide-out Propriétés du projet/tube

Cliquez sur le bouton Propriétés du projet/tube [image] pour afficher le panneau slide-out du même nom. Si un projet sans tube est ouvert, seule la section Options de rapport apparaît.

Le panneau slide-out Propriétés du projet/tube permet de consulter et de modifier les propriétés du projet actuel. Les changements effectués dans les propriétés affectent uniquement le projet actuellement ouvert.

Remarque : pour changer les propriétés pour tous les nouveaux projets, ouvrez la boîte de dialogue Réglages d'application. Pour des détails sur la boîte de dialogue Réglages d'application, voir la rubrique "Réglages d'application".

Les sections dans le panneau slide-out Propriétés du projet/tube sont :

  • Propriétés des options de rapport - Cette section détermine les options par défaut liées au rapport. Voir la rubrique "Propriétés Options de rapport" pour des détails sur les options de rapport.

  • Propriétés générales - Elles permettent d'entrer des informations générales sur le projet (numéro de pièce par exemple). Pour des détails, voir la rubrique "Propriétés générales".

  • Propriétés physiques - Entrez les détails sur les propriétés physiques du tube, tels que :

    • Diamètre du tube

    • Valeurs de longueur et de diamètre étendu/réduit à l'extrémité A et à l'extrémité B

    • Longueurs de décalage de l'extrémité A et de l'extrémité B

    Pour des détails incluant une vue graphique de diverses propriétés de longueur du tube, voir la rubrique "Propriétés physiques".

  • Propriétés de tolérances - Entrez les valeurs de tolérances du projet des points de tangente et d'intersection ainsi que les enveloppes de qualification. Pour des détails, voir la rubrique "Propriétés de tolérances".

  • Propriétés Options d'inspection - Les options disponibles sont :

    • Sélectionnez Mode automatique ou Mode manuel pour l'inspection.

    • Définissez la valeur Seuil fit de cylindre max.

    • Définissez la valeur Erreur de mesure d'intersection maximum.

    • Indiquez sir l'inspection de l'extrémité A et de l'extrémité B doit être ignorée.

    • Activez et désactivez les décalages d'outil à l'extrémité A et l'extrémité B.

    Pour des détails, voir la rubrique "Propriétés des options d'inspection".

  • Propriétés Options de correction - Les options disponibles sont :

    • Activez ou désactivez la correction de longueur partielle, la correction de rotation partielle et la correction d'angle partielle.

    • Définissez les valeurs pour Longueur de conflit de correction et Angle de conflit de correction.

    • Définissez la valeur pour Retour élastique fixe.

    • Définissez la valeur pour Pourcentage de retour élastique proportionnel.

    • Définissez la valeur pour Pourcentage d'allongement du tube.

    Pour des détails, voir la rubrique "Propriétés des options de correction".

Rubriques associées :

Barre d'outils du panneau coulissant

Propriétés des options de rapport

Propriétés générales

Propriétés physiques

Propriétés de tolérances

Propriétés des options d'inspection

Propriétés des options de correction

Vue des données du tube

Vue des données des points de tangente

Vue Données LRA corrigées

Vue programme

Vue du retour élastique

Vue Options de rapport


Propriétés des options de rapport

Les réglages et les valeurs choisis dans cette boîte de dialogue sont uniquement appliqués au projet ouvert.

Remarque : pour effectuer des changements appliqués à tous les nouveaux projets, voir la rubrique "Valeurs par défaut du projet/tube" dans la section "Réglages d'application" de l'aide.

Ces réglages d'application et valeurs par défaut du projet/tube peuvent être définis :

  • Créer automatiquement un rapport - Avec cette option, un rapport est créé chaque fois qu'un tube est mesuré.

  • Unités - Sélectionnez l'option d'unités linéaires dans lesquelles les données mesurées doivent être exprimées pour les nouveaux rapports. Par exemple, si le tube a été mesuré en mm mais vous voulez le rapport en pouces, choisissez l'option Pouces. Les unités mesurées sont converties de mm en pouces (si besoin est) pour tous les nouveaux rapports.

  • Unités angulaires - Sélectionnez l'option d'unités angulaires dans lesquelles les données mesurées doivent être exprimées pour les nouveaux rapports. Par exemple, si le tube a été mesuré en degrés mais vous voulez le rapport en radians, choisissez l'option Rad. Les unités mesurées sont converties de degrés en radians (si besoin est) pour tous les nouveaux rapports.

Rubriques associées :

Vue Propriétés du projet/tube

Propriétés générales

Propriétés physiques

Propriétés de tolérances

Propriétés des options d'inspection

Propriétés des options de correction


Propriétés générales

La section Propriétés générales de ce panneau fournit des informations générales sur le projet actuel. Les options dans cette section sont les suivantes :

    Numéro de pièce - Le logiciel insère par défaut le nom de fichier du projet dans la zone Numéro de pièce, sauf si un modèle CAO d'un tube est créé ou importé dans le projet. Si un modèle CAO est inclus dans le projet, le numéro de pièce assigné est identique au nom de ce modèle.

    Les numéros de pièces sont notamment important lors du rappel de tubes depuis certaines cintreuses. Pour des détails sur le rappel de tubes depuis des cintreuses, voir la section "Rappel des données nominales depuis la cintreuse".

    Instruction - Vous pouvez entrer des instructions, des remarques et des commentaires propres au projet de tube.

Rubriques associées :

Vue Propriétés du projet/tube

Propriétés des options de rapport

Propriétés physiques

Propriétés de tolérances

Propriétés des options d'inspection

Propriétés des options de correction


Propriétés physiques

La section Propriétés physiques du panneau Propriétés du projet/tube slide-out fournit des informations sur les caractéristiques physiques du tube en cours de traitement. Toutes les valeurs peuvent être éditées, sauf les propriétés de longueur de tube mesurées et théoriques.

Les propriétés dans cette section du panneau sont :

    Diamètre du tube

    Diamètre étendu/réduit à l'extrémité A

    Longueur étendue/réduite à l'extrémité A

    Diamètre étendu/réduit à l'extrémité B

    Longueur étendue/réduite à l'extrémité B

    Cliquez pour afficher l'exemple d'un tube avec une extrémité étendue ou réduite :

    A - Diamètre de l'extrémité étendue du tube
    B - Diamètre de l'extrémité réduite du tube
    C - Extrémité A
    D - Longueurs étendues et réduites (la première mesure au moins doit être prise sur cette partie du tube)
    E - Diamètre du tube

    Exemple illustrant des tubes avec les extrémités étendues et réduites

    Longueur de décalage à l'extrémité A

    Longueur de décalage à l'extrémité B

    Exemples illustrant quand une valeur Longueur de décalage positive est employée

    • L'extrémité de tube physique est cachée sous une bague, ou

    • Si un bouchon ne peut pas être introduit dans l'extrémité du tube (par exemple, avec une valeur Longueur de décalage négative)

    Sachant que la position de l'extrémité du tube ne peut pas être mesurée, le palpeur tactile sert à mesurer la bague sur le plan. La longueur de décalage positive est égale à la distance entre le plan mesuré et le point d'extrémité réel du tube. Elle est ensuite ajoutée à la longueur du tube mesuré, à partir de la position du plan mesuré.

    Cliquez pour afficher un exemple de tube avec une longueur de décalage positive :

    A - Extrémité physique du tube
    B - Partie du tube cachée dans la bague, ce qui empêche la mesure de la position de l'extrémité.
    C - En raison de la longueur de décalage positive, le point d'extrémité du tube est calculé ici, au même point que l'extrémité du tube réel.
    D - Longueur de décalage positive d'extrémité
    E - Pour une longueur de décalage positive, l'extrémité du tube peut être mesurée ici, sur le plan de la bague, à l'aide du palpeur tactile.

    Exemple illustrant le tube avec une longueur de décalage positive

    Une valeur Longueur de décalage négative est utilisée si l'extrémité du tube est trop grande pour être mesurée avec le palpeur du tube. Par exemple, si une bride se trouve à l'extrémité du tube mais que le point d'extrémité du tube doit quoi qu'il arrive être mesuré. Un bouchon est placé à l'extrémité du tube qui a un diamètre inférieur et il peut être mesuré par le palpeur de tube. La longueur de décalage est alors égale à celle du bouchon. Quand l'extrémité du tube est mesurée, la mesure se fait depuis l'extrémité du bouchon. La valeur de longueur de décalage est soustraite de la longueur du tube afin de calculer la position réelle de l'extrémité du tube.

    Cliquez pour afficher un exemple de tube avec une longueur de décalage négative :

    A - Le bouchon est placé dans l'extrémité du tube
    B - L'extrémité physique du tube (le diamètre est trop grande pour être mesuré avec le palpeur de tube)
    C - -Longueur de décalage positive d'extrémité
    D - En raison de la longueur de décalage négative, le point d'extrémité du tube est calculé ici, au même point que l'extrémité du tube réel
    E - L'extrémité du tube doit être mesurée ici

    Exemple illustrant le tube avec une longueur de décalage positive ou négative

Rubriques associées :

Vue Propriétés du projet/tube

Propriétés des options de rapport

Propriétés générales

Propriétés de tolérances

Propriétés des options d'inspection

Propriétés des options de correction


Propriétés de tolérances

La section Tolérances du panneau Propriétés du projet slide-out indique les réglages des propriétés concernant les valeurs de tolérances pour le projet.

Les propriétés dans ce panneau sont les suivantes :

    Point de tangente/Enveloppe de qualification - Définit la tolérance de point de tangente pour les projets nouveaux ou actuels.

    Point d'intersection - Définit la tolérance de point d'intersection pour les projets nouveaux ou actuels.

    Tolérance de décalage entre deux extrémités - Définit la tolérance pour le décalage entre deux extrémités.

    Tolérance d'erreur d'angle entre deux extrémités - Définit la tolérance pour l'erreur d'angle entre deux extrémités.

    Enveloppe de qualification de longueur de l'extrémité A - L'erreur de longueur de l'extrémité A est la distance entre le point de l'extrémité A sur le tube nominal et sa projection sur le tube mesuré. L'enveloppe de qualification de longueur de l'extrémité A est la valeur de tolérance imposées à cette erreur.

    Enveloppe de qualification de longueur de l'extrémité B - L'erreur de longueur de l'extrémité B est la distance entre le point de l'extrémité B sur le tube nominal et sa projection sur le tube mesuré. L'enveloppe de qualification de longueur de l'extrémité B est la valeur de tolérance imposées à cette erreur.

    Tolérance d'enveloppe de qualification du décalage à l'extrémité A - Définit la valeur de tolérance de l'erreur de décalage pour l'enveloppe de qualification de l'extrémité A.

    Tolérance d'enveloppe de qualification du décalage à l'extrémité B - Définit la valeur de tolérance de l'erreur de décalage pour l'enveloppe de qualification de l'extrémité B.

    Enveloppe de Qualification d'angle de l'extrémité A - Une erreur d'angle de l'extrémité A est l'angle entre la première droite du tube nominal et la première droite du tube mesuré. L'enveloppe de qualification d'angle de l'extrémité A est la valeur de tolérance pour cette erreur d'angle.

    Enveloppe de Qualification d'angle de l'extrémité B - Une erreur d'angle de l'extrémité B est l'angle entre la première droite du tube nominal et la première droite du tube mesuré. L'enveloppe de qualification d'angle de l'extrémité B est la valeur de tolérance pour cette erreur d'angle.

Rubriques associées :

Vue Propriétés du projet/tube

Propriétés des options de rapport

Propriétés générales

Propriétés physiques

Propriétés des options d'inspection

Propriétés des options de correction


Propriétés des options d'inspection

La section Options d'inspection du panneau Propriétés du projet slide-out indique les réglages des propriétés concernant les options d'inspection pour le projet.

Les propriétés dans ce panneau sont les suivantes :

    Mode mesure - Cliquez sur la flèche déroulante pour sélectionner le mode mesure pour votre projet :

      Mode automatique - Sélectionnez cette option pour travailler en mode auto simple. Lors de la mesure d'un tube en mode automatique, les mesures (points) sont uniquement pris sur un côté du tube. Deux points sont enregistrés à chaque balayage. Pour chaque droite, un balayage (deux points) est effectué près de chaque extrémité de la droite, en commençant à l'extrémité A et en avançant jusqu'à l'extrémité B. Après chaque balayage réussi, le bras émet un son pour que vous mesuriez l'autre extrémité de la droite. Après deux balayages réussis de chaque droite, le bras émet un son de réussite pour que vous mesuriez l'élément, l'extrémité ou la droite d'après. Si la mesure de la droite ou de l'extrémité n'a pas abouti, un son d'échec est émis et un invite vous demande de lancer à nouveau la mesure de la droite ou de l'extrémité.

      Ce mode se distingue du mode manuel car TubeShaper vous passe automatiquement à la mesure suivante après chaque mesure réussie. Il est ainsi plus simple et plus rapide de mesurer un tube.

      Le mode automatique peut être utilisé avec des types de palpeurs à précision simple et double .

      Remarque : pour rappel en mode automatique, le diamètre du tube n'est pas mesuré. La ligne médiane du tube est déterminée comme la distance de rayon du tube depuis chaque faisceau. Dans ce cas, les mesures des tubes déformés ou non arrondis sont, pour une certaine raison, mois précises que si vous utilisez un palpeur à précision double en mode manuel.

      Mode manuel - Sélectionnez cette option pour travailler en mode manuel, le mode de mesure par défaut de TubeShaper. Dans ce mode, vous pouvez relever autant de points que vous souhaitez sur chaque droite ou sur les extrémités du tube. Vous devez prendre des données sur les deux côtés du tube en descendant autant que possible le palpeur à chaque balayage.

    Seuil fit de cylindre max - Sert à définir la valeur de seuil fit de cylindre maximum autorisée qui est appliquée lors de la mesure des cylindres et des plans des extrémités d'un tube. Si la mesure dépasse cette valeur, un avertissement apparaît. La valeur par défaut est 0,750 mm.

    Erreur de mesure d'intersection max - Sert à définir la distance d'erreur maximum entre la ligne médiane d'une droite mesurée et la ligne médiane de la droite antérieure avant qu'un avertissement soit émis. Elle est calculée selon la distance la plus courte entre deux droites dans un espace 3D. La valeur par défaut est 2,000 mm.

    Ignorer l'extrémité A - Permet d'ignorer l'inspection de la mesure du plan de l'extrémité A. Elle est notamment utile si un tube est monté à une extrémité (par exemple, quand un tuyau d'échappement est monté sur un bloc moteur.)

    Ignorer l'extrémité B - Permet d'ignorer l'inspection de la mesure du plan de l'extrémité B.

    Décalage d'outil à l'extrémité A - Quand un outil d'extrémité est associé à l'extrémité A d'un tuyau, un décalage d'outil est créé. Quand cette option est sélectionnée, l'inspection du décalage d'outil à l'extrémité A du tube est activée.

    Décalage d'outil à l'extrémité B - Identique au décalage d'outil à l'extrémité A, sauf que l'option s'applique à l'extrémité B du tuyau.

    Cliquez pour afficher les détails d'un processus de cintrage à l'aide de l'outil d'extrémité :

    A - Position de l'extrémité A calculée
    B - Outil d'extrémité A

    Exemple de processus de cintrage à l'aide de l'outil d'extrémité

Rubriques associées :

Vue Propriétés du projet/tube

Propriétés des options de rapport

Propriétés générales

Propriétés physiques

Propriétés de tolérances

Propriétés des options de correction


Propriétés des options de correction

La section Options de correction du panneau Propriétés du projet/tube slide-out fournit des réglages qui appliquent des corrections spécifiques aux données mesurées.

Les propriétés dans ce panneau sont les suivantes :

    Correction de longueur partielle - Avec cette option, la longueur de la section droite EST connectée si ce qui suit se vérifie :

    • Sa valeur nominale est supérieure ou égale à celle Longueur de conflit de correction.

    • La valeur corrigée obtenue est supérieure ou égale à celle Longueur de conflit de correction.

    Correction de rotation partielle - Avec cette option, la valeur de la rotation EST connectée si ce qui suit se vérifie :

    • Les valeurs nominales de la longueur droite pour les trois droites consécutives qui forment la rotation sont supérieures ou égales à la valeur Longueur de conflit de correction.

    • Les valeurs nominales des deux angles de courbure sur les deux côtés de la rotation sont supérieures ou égale à la valeur Angle de conflit de correction. Définissez la valeur Angle de conflit de correction entre 10 et 20 degrés.

    Correction d'angle partielle - Avec cette option, la valeur de l'angle de courbure EST connectée si les valeurs nominales de la longueur droite pour les deux droites de chaque côté de la courbure sont supérieures ou égales à la valeur Longueur de conflit de correction.

    Remarque : la valeur Correction d'angle partielle n'est PAS affectée par la valeur Angle de conflit de correction.

    Longueur de conflit de correction - Limite de longueur utilisée quand la case Correction de longueur partielle est cochée.

    Angle de conflit de correction - Limite d'angle utilisée quand la case Correction d'angle partielle est cochée.

    Retour élastique fixe - Quantité de retour élastique par degré de courbure. La valeur dépend du matériau du tube et est comprise entre 0 à 360 (inclus).

    Pourcentage de retour élastique proportionnel - Valeur de retour élastique en pourcentage, proportionelle à l'angle de courbure. Les valeurs sont comprises entre 0 et 100 (inclus).

    Pourcentage d'allongement du tube - Pourcentage d'allongement du tube par degré de courbure. La valeur dépend du matériau du tube et est comprise entre 0 à 100 (inclus).

Rubriques associées :

Vue Propriétés du projet/tube

Propriétés des options de rapport

Propriétés générales

Propriétés physiques

Propriétés de tolérances

Propriétés des options d'inspection


Vue Retour élastique

Cliquez sur le bouton Retour élastique [image] pour afficher le panneau Retour élastique slide-out.

Panneau slide-out Retour élastique

Le panneau Retour élastique slide-out sert à calculer les nouvelles valeurs Retour élastique fixe, Pourcentage de retour élastique proportionnel et Pourcentage d'allongement du tube. Le projet de tube doit contenir des données de mesure valides afin de calculer ces nouvelles valeurs.

Calcul des nouvelles valeurs de retour élastique

Pour calculer les nouvelles valeurs de retour élastique pour un projet de tube à retour élastique :

  1. Ouvrez l'un des projets de tube standard à retour élastique dans la zone Liste des projets de l'écran principal Projet. Avant la mesure, le projet de tube doit être préparé pour refléter les dimensions du tube physique à retour élastique. Servez-vous des fonctions dans le menu Outils pour mesurer la longueur du tube, les rayons de courbure et le diamètre.

    2. Retour : un projet de tube avec retour élastique ressemble à n'importe quel autre projet de tube, sauf qu'il sert à calculer l'ensemble des valeurs de retour élastique. Il est par ailleurs limité à un certain nombre de courbures (en général deux, de 60 degrés et de 120 degrés) et n'a aucune rotation.

    TubeShaper est fourni avec deux projets de tube standard avec retour élastique : deux courbures (20-120 degrées) et quatre courbures (10-20-60-120 degrés).

  2. Modifiez la valeur du tube à retour élastique en changeant le diamètre, le rayon de courbure ou la droite dans la vue de données LRA du panneau Vue de données du tube slide-out. Vous pouvez aussi éditer les valeurs Longueur de coupe du tube, Rayon de courbure ou Diamètre du tube dans le panneau slide-out Retour élastique :

    1. La zone Longueur de coupe du tube doit contenir la valeur mesurée. La valeur peut toutefois aussi être modifiée manuellement dans la zone Longueur de coupe du tube en saisissant une nouvelle valeur ou à l'aide de la liste déroulante pour sélectionner une valeur stockée (si elle a été mesurée auparavant avec l'option Outils).

    2. Cliquez sur le bouton Appliquer à droite une fois terminé. La nouvelle longueur de coupe du tube est automatiquement appliquée à votre projet.

    3. Modifiez le valeur de rayon de courbe dans la zone Rayon de courbure, saisissez-en un nouveau ou utilisez la liste déroulante pour sélectionner une valeur stockée (si elle a été mesurée auparavant dans la section Outils).

    4. Cliquez sur le bouton Appliquer à droite une fois terminé. L'avertissement suivant apparaît :

    5. Cliquez sur OK pour confirmer ou sur Annuler pour quitter la boîte de dialogue.

    6. Modifiez le valeur de diamètre du tube dans la zone Diamètre du tube, saisissez-en un nouveau ou utilisez la liste déroulante pour sélectionner une valeur stockée (si elle a été mesurée auparavant dans la section Outils).

    7. Cliquez sur le bouton Appliquer à droite une fois terminé. L'avertissement suivant apparaît :

  3. Le tube à retour élastique est maintenant prêt pour la mesure. Cliquez sur le bouton Exécuter [image] dans la barre d'action du projet. (Pour des détails sur la mesure de tubes avec le bras ROMER, voir la rubrique Mesure d'un tube.)

  4. Une fois les mesures terminées, cliquez sur le bouton Calculer les valeurs de retour élastique [image]. Les valeurs Retour élastique fixe, Pourcentage de retour élastique proportionnel et Pourcentage d'allongement du tube sont mises à jour en conséquence.

  5. Cliquez sur le bouton Enregistrer le retour élastique [image] pour stocker le nouvel ensemble de valeurs de retour élastique pour d'autres projets. Ces données sont enregistrées sous le même nom que celui du projet ouvert. Cliquez sur la zone déroulante pour éditer le nom actuel ou entrez un autre nom si nécessaire.

Une fois les valeurs de retour élastique calculées et enregistrées, elles sont disponibles pour n'importe quel projet.

Appliquer la valeur de retour élastique à un projet de tube existant

Important : vous pouvez uniquement restaurer les données CLRA maîtres si les valeurs Retour élastique et Étirement n'ont PAS été appliquées. Si elles ont été appliquées, les données LRA diffèrent légèrement des valeurs maîtres réelles.

Pour appliquer les valeurs de retour élastique à un projet existant :

  1. Dans la zone Liste des projets de l'écran principal Projet, ouvrez le projet de tube auquel vous voulez appliquer les nouvelles valeurs de retour élastique.

  2. Mesurez le tube. (Pour des détails sur la mesure de tubes avec le bras ROMER, voir la rubrique Mesure d'un tube.)

  3. Cliquez sur le bouton Vue Retour élastique [image] pour afficher le panneau Retour élastique slide-out.

  4. Sélectionnez le fichier approprié dans la liste Nom de l'ensemble de valeurs de retour élastique. L'ensemble des valeurs de retour élastique est automatiquement appliqué à votre projet.

  5. Cliquez sur Enregistrer/Exporter [image] en bas à droite de l'écran pour enregistrer les mises à jour de votre projet.

Remarque : chaque fois que vous changez le fichier Nom de l'ensemble de valeurs de retour élastique ou éditez l'une des valeurs de retour élastique, les valeurs CLRA sont automatiquement recalculées.

Rubriques associées :

Barre d'outils du panneau coulissant

Vue des données du tube

Vue des données des points de tangente

Vue Données LRA corrigées

Vue programme

Vue Propriétés du projet/tube

Vue Options de rapport

Création d'un projet de tube à retour élastique


Vue Options de rapport

Cliquez sur le bouton Options de rapport [image] pour afficher le panneau Options de rapport slide-out.

Les changements effectués affectent seulement les nouveaux rapports créés pour le projet actuellement ouvert.

Pour des détails sur la définition des options de rapport, voir la section "Options de rapport" au chpitre "Rapports".

Les options de réglages pour les rapports sont également accessibles dans la boîte de dialogue Réglages d'application. Pour des détails sur les réglages de rapport et de projet, voir le chapitre "Réglages d'application".

Remarque : tous les changements effectués dans la boîte de dialogue Réglages d'application affectent uniquement les nouveaux projets.

Barre d'outils du panneau coulissant

Vue des données du tube

Vue Points de tangente

Vue Données LRA corrigées

Vue programme

Vue Propriétés du projet

Vue du retour élastique

Création d'un projet de tube à retour élastique


Zone Statut du projet

La zone de statut de projet se trouve entre le panneau slide-out et la barre d'action en bas à droite de l'écran.

L'objectif de la zone de statut est de vous informer :

  • du mode dans lequel vous travaillez (en ligne ou hors ligne)

  • des unités dans lesquelles le projet est configuré (mm ou pouces)

Quand vous travaillez hors ligne, la zone de statut montre le message et les unités hors ligne :

Quand vous travaillez en ligne, la zone de statut montre les positions XYZ du bras et les unités :

Rubriques associées :

Zone de titre et navigation

Barre d'outils Opération graphique

Espace de travail graphique

Barre d'outils du Slide-out

Barre d'action


Barre Action sur le projet

La barre Action contient des boutons qui exécutent des fonctions pour interagir avec l'espace de travail graphique.

Les boutons suivants sont disponibles :

    Bouton Mesurer/arrêter le programme - Quand vous cliquez dessus, la mesure du tube commence. Si la mesure du tube requiert aussi celle d'éléments géométriques (alésages, plans, etc), cliquez sur le bouton Mesurer/Arrêter le programme lance le processus de mesure du tube et des éléments. Le bouton devient Arrêter l'exécution [image] quand vous cliquez dessus. Si vous cliquez sur le bouton Arrêter l'exécution, la mesure du tube s'arrête et le bouton revient à Exécuter. Si vous cliquez sur le bouton Arrêter l'exécution lors de la mesure d'un tube, toutes les mesures effectuées auparavant sont restaurées.

    Bouton Recalculer - Le bouton est uniquement activé quand un tube a été mesuré. Si vous cliquez dessus, les données CLRA du tube sont recalculées.

    Bouton Envoyer à la cintreuse - Envoie les données de définition du tube local à la machine de cintrage sélectionnée. Le bouton est uniquement activé quand une machine de cintrage a été définie, configurée et sélectionnée.

    Liste Cintreuses disponibles - Cliquez pour afficher la liste contextuelle de machines de cintrage définies dans votre système. Sélectionnez la machine dans la liste pour le projet actuel. Sélectionnez la machine dans la liste pour le projet actuel. Quand une cintreuse est sélectionnée, TubeShaper teste sa connexion. Si la connexion fonctionne correctement, le nom de la cintreuse est affiché en vert. Si un problème se produit lors de la tentative de connexion, le nom de la cintreuse s'affiche en rouge.

    Bouton Rappeler de la cintreuse - Récupère les données de définition du tube local de la machine de cintrage sélectionnée. Le bouton est uniquement activé quand une machine de cintrage a été définie, configurée et sélectionnée.

    Bouton Menu Enregistrer/Exporter- Quand vous cliquez dessus, le menu Enregistrer/Exporter s'ouvre.

    Pour des détails sur l'enregistrement et l'exportation d'un projet, voir la rubrique appropriée au chapitre "Enregistrement et exportation de projets".

    Par défaut, tous les fichiers de projet sont stockés en local dans le dossier "C:\Users\Public\Documents\WAI\TubeShaper".

    Pour des détails sur l'emplacement d'enregistrement des fichiers TubeShaper et comment le modifier, voir la rubrique "Réglages de l'application".

    Bouton Afficher le sélecteur - Quand vous cliquez dessus, le bouton Afficher le sélecteur ouvre le menu contextuel Afficher le sélecteur.

    Ce menu permet de sélectionner ce qui doit apparaître dans l'espace de travail graphique.

    Les options sont :

    • Vue CAO - Uniquement disponible si un modèle CAO a été importé dans le projet. La vue graphique CAO apparaît de couleur pourpre.

    • Vue nominale - Disponible quand les valeurs nominales ont été entrées manuellement, récupérées d'une machine de cintrage ou extratites d'un modèle CAO importé. La vue graphique nominale apparaît de couleur bleu carnard.

    • Vue mesurée - Disponible une fois le tube mesuré. La vue graphique mesurée apparaît de couleur charbon.

      • Remarque : un nouveau projet sans modèle CAO importé montre uniquement la vue Nominale initiale. Une fois les valeurs nominales créées pour le tube et exécutées via une machine de cintrage, la vue Mesurée devient disponible.

Rubriques associées :

Zone de titre et navigation

Barre d'outils Opération graphique

Espace de travail graphique

Barre d'outils du panneau coulissant

Zone de statut du projet


Création d'un tube en entrant manuellement des données

Pour créer un tube :

  1. Cliquez sur Nouveau projet dans l'écran principal de TubeShaper pour ouvrir l'espace de travail du nouveau projet.

  2. Un panneau slide-out de grille de données vide apparaît sur la droite de l'espace de travail. Sélectionnez la vue de données avec le type correct pour votre tube. Par exemple :

    • Si vous entrez des valeurs LRA, cliquez sur le bouton XYZ/LRA (YBC)/ALRA [image] et sélectionnez l'option LRA.

    • Si vous entrez des coordonnées XYZ de point d'intersection, cliquez sur le bouton XYZ/LRA (YBC)/ALRA [image] et sélectionnez l'option XYZ.

  3. Cliquez sur le bouton Ajouter une droite [image] pour ouvrir la boîte de dialogue Créer un tube.

    4. Insérez le nombre droites de votre tube, le rayon de courbure et le diamètre du tube. Si le diamètre du tube ou le rayon de courbure sont inconnus, cliquez sur le bouton Outils [image] pour les mesurer. Pour des détails sur les options Outils, voir la section appropriée du chapitre "Outils".

    Si l'une des extrémités de votre tube a un capuchon ou un bouchon, cliquez sur le bouton Options avancées [image] pour afficher les options suivantes.

    Faites les mises à jour suivantes comme requis :

    1. Entrez la ou les valeurs pour les zones Longueur étendue/réduite. Pour des détails sur les longueurs étendues et réduites, voir la rubrique "Propriétés physiques".

    2. Entrez la ou les valeurs pour les zones Diamètre étendu/réduit. Pour des détails sur les diamètres étendus et réduits, voir la rubrique "Propriétés physiques".

    3. Entrez la ou les valeurs Longueur de décalage pour les extrémités A et B. Pour des détails sur les longueurs de décalage aux extrémités A et B, voir la rubrique "Propriétés physiques".

    4. Pour ignorer la mesure d'une extrémité, cochez la case Ignorer la mesure de fin appropriée. Pour des détails sur comment éviter des mesures de fin, voir la rubrique "Ignorer la mesure de fin".

    Remarque : la valeur Longueur de décalage doit être négative si un plug-in est ajouté à une extrémité. Par exemple, si vous ajoutez un plug-in de 30 mm à l'extrémité A, la valeur Longueur de décalage pour cette extrémité doit être de -30.

  4. Sélectionnez l'option de vue de données LRA ou XYZ affichée quand vous avez terminé.

  5. Une fois terminé, cliquez sur OK. La grille de données est prête pour y entrer des valeurs de données. Le titre de projet devient orange, la grille de données est entourée d'un cadre orange et un message vous informe qu'un ensemble de données est incomplet.

    6. Si le panneau slide-out est masqué, le message "Tube incomplet." s'affiche dans la zone Statut de l'espace de travail.

  6. Cliquez dans chaque cellule et entrez les valeurs pour chaque section de tube. Utilisez la touche Tab de votre clavier pour passer d'une ligne à l'autre. Le graphique dans l'espace de travail se met automatiquement à jour quand vous ajoutez les données. Quand toutes les cellules contiennent des données valides, le titre revient à sa couleur normale et le cadre orange et le message disparaissent.

    7. Remarque : les deux dernières cellules de la dernière ligne dans le panneau de la vue de données LRA (YBC) ne doivent pas être mises à jour. Sachant que les valeurs n'ont aucune signification pour ces deux cellules pour la dernière droite, un tiret est inséré.

    Si le tube n'est pas valide (par exemple, si les valeurs entrées donnent au tube une forme de bretzel), un cadre rouge apparaît autour de la grille de données. Un message apparaît sous la grille avec une courte description de l'erreur.

    Le message "Tube non valide." apparaît aussi dans la zone Statut de l'espace de travail si le panneau est fermé.

    Effectuez les corrections appropriées pour que le tube soit correct.

  7. En cas d'erreur, cliquez sur le bouton Ajouter une droite [image] ou Supprimer une droite [image]. Quand vous créez une droite en ajoutant une ligne, la ligne sélectionnée est dupliquée. Cliquez dans chaque cellule pour mettre à jour sa valeur.

    8. Quand vous ajoutez une ligne :

    • TubeShaper crée la ligne avant celle sélectionnée.

    • Si vous ne sélectionnez pas de ligne, TubeShaper ajoute la nouvelle avant la dernière ligne.

    Quand vous supprimez une ligne :

    • Si vous ne sélectionnez pas de ligne, TubeShaper supprime la dernière ligne.

    • Si vous sélectionnez la dernière ligne, celle au-dessus devient alors la dernière. Pour cette ligne, TubeShaper réinitialise les valeurs Angle de courbure et Rayon à 0 (zéro).

    Remarque : le graphic dans l'espace de travail montre les détails du projet (comme les points d'intersection et les points de tangente) en fonction des réglages d'application.

  8. Une fois le tube défini, cliquez sur le bouton Exécuter/Arrêter le programme [image] pour commencer la mesure.

  9. Cliquez sur le bouton Menu Enregistrer/Exporter [image] en bas à droite de l'espace de travail de projet.

    Pour des détails sur l'enregistrement et l'exportation d'un projet, voir la rubrique appropriée au chapitre "Enregistrement et exportation de projets".

Rubriques associées :

Ignorer la mesure de fin

Vue des données du tube

Vue des données des points de tangente

Vue Données LRA corrigées

Vue programme

Vue Propriétés du projet/tube

Vue du retour élastique

Vue Options de rapport


Ignorer la mesure de fin

Le fait d'ignorer la fin d'une mesure est parfois nécessaire ; par exemple, quand un tube est monté sur un collecteur. Les cases à cocher Ignorer la mesure de fin sont utilisées dans ce but et peuvent être appliquées aux extrémités A et B du tube.

Boîte de dialogue Créer un tube avec les cases à cocher Ignorer la mesure de fin

Quand vous cochez la case Ignorer la mesure de fin pour l'extrémité A, la routine de mesure ne vous demande pas de mesurer cette extrémité. La séquence de mesure est alors :

  1. Droite 1 Passage 1

  2. Droite 1 Passage 2

  3. Droite 2 Passage 1

  4. Droite 2 Passage 2, etc.

    1. Si la position exacte du tube n'a pas d'importance, la mesure de fin est ignorée. Tel est le cas si le tube a une bague à la fin ou s'il est monté sur un autre composant.

    2. Deux balayages sont effectués pour mesurer la droite du tube.

    3. Le point final du tube est calculé ici, au point mesuré le plus extrême.

    Remarque : il est conseillé dans ce cas de toujours utilise un alignement best fit de point de tangente (qui n'utilise pas les points de fin pour l'alignement).

    Exemple quand la case Ignore la mesure de fin est cochée

Remarque : vous pouvez aussi ignorer manuellement les mesures de fin en appuyant longtemps sur le bouton central de votre palpeur. Pour des détails, voir la section "Exceptions" de la rubrique "Boutons du bras ROMER".

Rubriques associées :

Création d'un tube en entrant manuellement des données


Création d'un tube par ingénierie inverse

Un tube "maître" physiquepeut servir de tube nominal dans TubeShaper. De cette façon, toutes les mesures de tubes peuvent être comparée à cette pièce.

Le tube maître est créé par ingénierie inverse du tube concerné.

  1. Cliquez sur Nouveau projet dans la barre Menu Projet de l'écran principal. Un écran Espace de travail de projet vide s'ouvre.

  2. Si TubeShaper est déjà connecté à un bras ROMER, cliquez sur le bouton Ingénierie inverse [image] dans le panneau Vue de données slide-out pour ouvrir la boîte de dialogue Créer un tube. Cliquez sur le bouton Ajouter une droite [image] pour ouvrir cette boîte de dialogue, ce qui est utile lors d'un travail hors ligne.

    3. Si l'une des extrémités de votre tube a un capuchon ou un bouchon, cliquez sur le bouton Options avancées [image] pour afficher d'autres options.

    Faites les mises à jour suivantes comme requis :

    1. Entrez la ou les valeurs pour les zones Longueur étendue/réduite. Pour des détails sur les longueurs étendues et réduites, voir la rubrique "Propriétés physiques".

    2. Entrez la ou les valeurs pour les zones Diamètre étendu/réduit. Pour des détails sur les diamètres étendus et réduits, voir la rubrique "Propriétés physiques".

    3. Entrez la ou les valeurs Longueur de décalage pour les extrémités A et B. Pour des détails sur les longueurs de décalage aux extrémités A et B, voir la rubrique "Propriétés physiques".

    4. Pour ignorer la mesure d'une extrémité, cochez la case Ignorer la mesure de fin appropriée. Pour des détails sur comment éviter des mesures de fin, voir la rubrique "Ignorer la mesure de fin".

    Remarque : la valeur Longueur de décalage doit être négative si un plug-in est ajouté à une extrémité. Par exemple, si vous ajoutez un plug-in de 30 mm à l'extrémité A, la valeur Longueur de décalage pour cette extrémité doit être de -30.

  3. Entrez le nombre droites de votre tube, le rayon de fin et le diamètre du tube.

  4. Sélectionnez l'option de vue de données LRA ou XYZ affichée quand vous avez terminé. Cliquez sur OK quand vous êtes prêt.

  5. Suivez la procédure pour mesurer le tube comme illustré au bas de l'écran.

    6. Remarque : si le logiciel détecte un angle supérieur à 175 degrés, le bras envoie une notification sonore et des instructions apparaissent au bas de l'écran. Suivez les instructions pour mesurer la zone de courbure détectée et mesurer à nouveau la seconde droite. Une mesure exacte est ainsi enregistrée.

Rubriques associées :

Rappel des données nominales depuis la cintreuse

Création d'un projet avec importation

Configuration de la cintreuse

Modification d'un projet

Création d'éléments

Construction d'éléments

Création d'alignements

Mesure d'un tube


Rappel des données nominales depuis la cintreuse

Un tube nominal peut être généré depuis le fichier de tube stocké sur la machine de cintrage.

La machine de cintrage doit être définie et configurée. Voir la rubrique "Configuration de la cintreuse" pour des détails.

Une fois la machine de cintrage définie et configurée :

  1. Cliquez sur Cintreuses dans le panneau de sélection de l'écran principal.

  2. Sélectionnez la machine de cintrage appropriée dans la section Liste des cintreuses.

  3. Cliquez sur le bouton Rappeler depuis la cintreuse [image] pour rappeler les détails du fichier de tube depuis la cintreuse sélectionnée. La boîte de dialogue Rappeler depuis la cintreuse s'ouvre.

  4. Dans la zone Numéro de pièce, entrez le numéro de pièce du tube et cliquez sur OK pour rappeler les détails du tube. Vous trouverez le numéro de pièce d'un projet dans la section Général du panneauslide-out Propriétés du projet/tube. Pour des détails sur les propriétés du projet, voir la rubrique "Vue Propriétés du projet/tube".

    5. Si un projet de tube avec le même numéro de pièce est déjà défini, un message d'avertissement s'affiche.

    • Cliquez sur OK pour ouvrir le tube rappelé dans l'espace de travail du projet avec le même nom que le projet de tube existant.

    • Cliquez sur Annuler pour sortir de la boîte de dialogue.

  5. Une fois le projet de tube enregistré, cliquez sur Projets dans les onglets du menu de projet, puis cliquez sur Nouveau projet pour ouvrir l'espace de travail vide du nouveau projet.

  6. Cliquez sur le bouton de liste Cintreuses disponibles [image] dans la barre Action pour afficher la liste contextuelle de machines de cintrage. Sélectionnez la machine appropriée dans cette liste. L'espace de travail de projet montre alors la vue nominale du tube rappelé depuis la machine de cintrage.

  7. Mettez si besoin est à jour l'ensemble de données nominales.

Rubriques associées :

Création d'un tube par ingénierie inverse

Création d'un projet avec importation

Configuration de la cintreuse


Création d'un projet avec importation

Vous pouvez créer un projet avec un modèle CAO importé.

Pour créer un projet avec un fichier CAD importé :

  1. Cliquez sur Nouveau projet avec importation dans l'écran principal de TubeShaper, barre Menu Projet. La boîte de dialogue Rechercher le fichier s'ouvre.

  2. Servez-vous de la liste déroulante Filtre de fichier pour sélectionner le type de fichier, puis accédez au fichier CAD et cliquez dessus.

    3. Liste des types de fichiers pris en charge par TubeShaper

    TubeShaper prend en charge les types de fichiers suivants :

      • Types de fichiers ACIS : *.sab, *.sat

      • Types de fichiers AutoCAD : *.dxf, *.dwg

      • Types de fichiers BLM : *.blm

      • Types de fichiers Catia : *.3dxml, *.cat, *.CATPart, *.CATProduct, *.exp, *.iso, *.mod

      • Types de fichiers CAD courants : *.iges, *.igs, *.jt, *.des, *.stp, *.step, *.stl, *.vda, *.xyz

      • Types de fichiers DOCS : *.ds

      • Types de fichiers GTube : *.gtt

      • Types de fichiers Inventor : *.iam, *.ipt

      • Types de fichiers ParaSolid : *.x_t, *.x_b, *.xmt_txt, *.xmt_bin

      • Types de fichiers PC-DMIS : *.cad, *.draw

      • Types de fichiers ProE : *.prt, *.xas, *.xpr

      • Types de fichiers SolidEdge : *.asm, *.par

      • Types de fichiers SolidWorks : *.sldasm, *.sldprt

      • Types de fichiers SupraVision : *.$$$

  3. Cliquez sur Ouvrir pour importer le modèle CAO dans l'espace de travail de projet en tant que nouveau projet de tube. La géométrie du tube est automatiquement extraite.

  4. Effectuez les opérations nécessaires.

  5. Une fois terminée, cliquez sur Enregistrer pour enregistrer ou exporter votre nouveau projet. Voir la rubrique "Barre Action sur le projet" pour des détails sur l'enregistrement et l'exportation d'un projet.

Rubriques associées :

Création d'un projet

Interface du nouveau projet

Création d'un projet de tube à retour élastique

Création d'un tube par ingénierie inverse

Enregistrement et exportation de projets

Configuration de la cintreuse

Modification d'un projet

Création d'éléments mesurés

Construction d'éléments

Création d'alignements

Mesure d'un tube


Création d'un projet de tube à retour élastique

Retour : un projet de tube avec retour élastique ressemble à n'importe quel autre projet de tube, sauf qu'il sert à calculer l'ensemble des valeurs de retour élastique. Il est par ailleurs limité à un certain nombre de courbures (en général deux, de 60 degrés et de 120 degrés) et n'a aucune rotation.

TubeShaper est fourni avec deux projets de tube standard avec retour élastique : deux courbures (20-120 degrées) et quatre courbures (10-20-60-120 degrés).

Deux projets de tube à retour élastique sont fournis avec chaque licence de TubeShaper. Vous pouvez toutefois créer d'autre sprojets à retour élastique. Pour ce faire :

  1. Mesurez la longueur de coupe du tube en cliquant sur le bouton Outils [image] dans la barre de menu principal de l'un des écrans de TubeShaper.

  2. Cliquez sur l'onglet Droite dans la boîte de dialogue Outils, cliquez sur le bouton Mesurer [image] et suivez les instructions au bas de l'écran.

  3. Dans l'écran du projet, cliquez sur le bouton Retour élastique [image] afin d'afficher le panneau Vue de retour élastique slide-out.

  4. La zone Longueur de coupe du tube doit contenir la valeur mesurée à l'étape 2. La valeur de longueur de coupe du tube peut toutefois aussi être modifiée manuellement dans la zone Longueur de coupe du tube en saisissant une nouvelle valeur ou à l'aide de la liste déroulante pour sélectionner une valeur stockée (si elle a été mesurée auparavant avec l'option Outils).

  5. Cliquez sur le bouton Appliquer à droite une fois terminé. La nouvelle longueur de coupe du tube est automatiquement appliquée à votre projet.

  6. Modifiez le valeur de rayon de courbe dans la zone Rayon de courbure, saisissez-en un nouveau ou utilisez la liste déroulante pour sélectionner une valeur stockée (si elle a été mesurée auparavant dans la section Outils).

  7. Cliquez sur le bouton Appliquer à droite une fois terminé. L'avertissement suivant apparaît :

  8. Cliquez sur OK pour confirmer ou sur Annuler pour quitter la boîte de dialogue.

  9. Modifiez le valeur de diamètre du tube dans la zone Diamètre du tube, saisissez-en un nouveau ou utilisez la liste déroulante pour sélectionner une valeur stockée (si elle a été mesurée auparavant dans la section Outils).

  10. Cliquez sur le bouton Appliquer à droite une fois terminé. L'avertissement suivant apparaît :

  11. Cliquez sur OK pour confirmer ou sur Annuler pour quitter la boîte de dialogue.

  12. Cliquez sur le bouton Mesurer/Arrêter le programme [image] en bas à gauche de l'écran de TubeShaper pour lancer la mesure du tube à retour élastique. Suivez les instructions au bas de l'écran.

  13. Une fois les mesures terminées, le bouton Calculer les valeurs de retour élastique [image] est disponible. Cliquez sur le bouton Calculer les valeurs de retour élastique pour générer la nouvelle série de valeurs de retour élastique.

  14. La zone Nom de l'ensemble de valeurs de retour élastique correspond par défaut au nom du projet actuellement ouvert. Si besoin est, remplacez-le par un nom unique afin d'identifier facilement le nouvel ensemble de valeurs de retour élastique.

  15. Cliquez sur le bouton Menu Enregistrer/Exporter [image] en bas à droite de l'écran et enregistrez les changements effectués.

    Pour des détails sur l'enregistrement et l'exportation d'un projet, voir la rubrique appropriée au chapitre "Enregistrement et exportation de projets".

Une fois enregistré, le nouvel ensemble de valeurs de retour élastique peut être appliqué à n'importe quel projet de tube en le sélectionnant dans la liste déroulante Nom de l'ensemble de valeurs de retour élastique.

Rubriques associées :

Création d'un projet

Interface du nouveau projet

Création d'un tube en entrant manuellement des données

Création d'un tube par ingénierie inverse

Création d'un projet avec importation


Enregistrement et exportation de projets

Cliquez sur le bouton Menu Enregistrer/Exporter [image] en bas à droite de l'espace de travail de projet.

Si les modifications des projets ouverts n'ont pas été enregistrées et que vous tentez de sortir de l'espace de travail de projet, un message d'avertissement s'affiche.

Message d'avertissement pour enregistrer un projet modifié

  • Cliquez sur Oui pour enregistrer le projet sous le nom du projet de tube en cours.

  • Cliquez sur Non pour quitter l'espace de travail du projet. Les changements effectués dans le projet ne sont pas enregistrés.

  • Cliquez sur Annuler pour sortir de la boîte de dialogue mais rester dans l'espace de travail de projet.

Cliquez sur le bouton Menu Enregistrer/Exporter pour afficher le menu suivant.

Menu Enregistrer/Exporter

    Enregistrer - Enregistrer les modifications apportées au projet sous le nom du projet actuellement ouvert. Si le projet est nouveau et n'a jamais été enregistré, la boîte de dialogue Enregistrer sous s'ouvre.

    Enregistrer sous - Ouvre la boîte de dialogue Enregistrer sous.

    Boîte de dialogue Enregistrer sous

    Entrez un nom unique name pour le projet et cliquez sur Terminé pour l'enregistrer. Les fichiers de projets sont enregistrés à l'emplacement indiqué dans la boîte de dialogue Réglages d'application.

    Pour des détails sur l'emplacement d'enregistrement des fichiers TubeShaper et comment le modifier, voir la rubrique "Réglages de l'application".

    Les options d'exportation servent à exporter le projet en tant que sortie SV ou CAD.

    • Pour des détails sur l'exportation du projet en tant que sortie SV, voir la rubrique "Exporter un projet en tant que sortie SV".

    • Pour des détails sur l'exportation du projet en tant que sortie CAD, voir la rubrique "Exporter un projet en tant que sortie CAD".

Rubriques associées :

Exporter un projet en tant que sortie SV

Exporter un projet en tant que sortie CAD

Réglages d'application


Exporter un projet en tant que sortie SV

TubeShaper : Home | Enregistrement et exportation de projets | Exporter un projet TubeShaper en tant que sortie SV

Exportation d'un projet en tant que sortie SV

Pour exporter un projet TubeShaper en tant que fichier SV :

  1. Cliquez sur le bouton Menu Enregistrer/Exporter [image] en bas à droite de l'espace de travail de projet. Le menu Enregistrer/Exporter apparaît.

  2. Cliquez sur l'option Exporter SV ; la boîte de dialogue Exporter le projet pour la sortie SV apparaît.

Boîte de dialogue Exporter un projet pour la sortie SV

  3. Si besoin est, naviguez au dossier d'exportation du fichier de projet SV. La boîte de dialogue s'ouvre à l'emplacement du dossier par défaut indiqué dans la boîte de dialogue Réglages d'application.

    Pour des détails sur l'emplacement d'enregistrement des fichiers TubeShaper et comment le modifier, voir la rubrique "Réglages de l'application".

  4. Entrez un nom unique dans la zone Nom de fichier. Le nom du projet actuel est utilisé par défaut. Utilisez la liste déroulante Filtre de fichier pour afficher uniquement les types de fichiers sélectionnés.

  5. Cliquez sur OK pour exporter le projet en tant que fichier SV. Cliquez sur Annuler pour quitter la boîte de dialogue.

Rubriques associées :

Enregistrement et exportation de projets

Exporter un projet TubeShaper en tant que sortie CAD

Réglages d'application


Exporter un projet en tant que sortie CAD

TubeShaper : Home | Enregistrement et exportation de projets | Exporter un projet TubeShaper en tant que sortie CAD

Exportation d'un projet en tant que sortie CAD

Pour exporter un projet TubeShaper en tant que fichier CAD :

  1. Cliquez sur le bouton Menu Enregistrer/Exporter [image] en bas à droite de l'espace de travail de projet. Le menu Enregistrer/Exporter apparaît.

  2. Cliquez sur l'option Exporter CAO ; la boîte de dialogue Exporter s'ouvre.

Boîte de dialogue Exporter la sélection CAO

  3. Sélectionnez les options d'exportation appropriées ; l'option Tube nominal est sélectionnée par défaut.

  4. Cliquez sur OK pour ouvrir la boîte de dialogue Exporter un projet pour la sortie CAD.

Boîte de dialogue Exporter un projet pour la sortie CAD

  5. Si besoin est, naviguez au dossier d'exportation du fichier de projet CAD. La boîte de dialogue s'ouvre à l'emplacement du dossier par défaut indiqué dans la boîte de dialogue Réglages d'application.

    Pour des détails sur l'emplacement d'enregistrement des fichiers TubeShaper et comment le modifier, voir la rubrique "Réglages de l'application".

  6. Entrez un nom unique dans la zone Nom de fichier. Le nom du projet actuel est utilisé par défaut. Utilisez la liste déroulante Filtre de fichier pour afficher uniquement les types de fichiers sélectionnés.

  7. Cliquez sur OK pour exporter le projet en tant que fichier CAD. Cliquez sur Annuler pour quitter la boîte de dialogue.

Rubriques associées :

Enregistrement et exportation de projets

Exporter un projet en tant que sortie SV

Réglages d'application


Modification d'un projet

Pour modifier un projet, double-cliquez sur un fichier de projet dans la zone Liste des projets de l'écran principal afin d'ouvrir le projet de tube dans l'espace de travail. Vous pouvez aussi cliquer une fois sur un projet, puis cliquer sur Modifier [image] en bas à droite de l'écran.

Exemple de projet de tube ouvert dans l'espace de travail pour édition

Remarque : quand un projet est ouvert et est associé à une interface de cintreuse supprimée ou renommée, l'association n'existe plus. Dans ce cas, vous pouvez supprimer l'association ou la remapper vers une autre interface de cintreuse ou vers l'interface renommée. Pour des détails sur la réconciliation des données entre le projet de tube et une autre interface de cintreuse, voir la section "Réconciliation des données de cintreuse" de la rubrique "Suppression d'une cintreuse".

Modification des données nominales du tube

  1. Cliquez sur le bouton XYZ/LRA/ALRA [image] et sélectionnez la vue appropriée (XYZ, LRA, or ALRA) pour modifier les valeurs nominales. Pour des détails sur le panneau Vue de données slide-out, voir la rubrique "Vue de données du tube".

  2. Vous pouvez cliquer sur n'importe quelle cellule dans le panneau Vue de données slide-out pour modifier des valeurs nominales. Une fois les données nominales mises à jour et si le tube a déjà été mesuré, vous pouvez cliquer sur le bouton CLRA [image] puis sur le bouton Recalculer [image] pour recalculer les données CLRA. Si les nouvelles données CLRA ne sont pas satisfaisantes, cliquez sur le bouton Réinitialiser [image] dans le panneau Données CLRA slide-out pour changer revenir aux données CLRA d'origine.

  3. Cliquez sur le bouton Envoyer à la cintreuse [image] pour renvoyer les données de définition du tube à jour à la machine de cintrage.

Modification des réglages du projet actuellement ouvert

Cliquez sur le bouton Propriétés du projet/tube [image] pour afficher et modifier les propriétés du projet de tube ouvert. Les modifications apportées aux réglages, comme les propriétés physiques, les tolérances et les options d'inspection, peuvent se faire dans ce panneau. Les changements effectués affectent seulement le projet de tube actuellement ouvert. Pour des détails sur les propriétés de projet, voir la rubrique "Vue Propriétés du projet".

Application d'un nouvel ensemble de valeurs de retour élastique au projet

Vous pouvez appliquer un nouvel ensemble de valeurs de retour élastique au projet ouvert via le panneau Vue Retour élastique slide-out. Pour des détails, voir la rubrique "Vue Retour élastique".

Une fois tous les changements faits, cliquez sur le bouton Menu Enregistrer/Exporter [image] afin d'enregistrer ou d'exporter ces changements dans le projet.

Pour des détails sur l'enregistrement et l'exportation d'un projet, voir la rubrique appropriée au chapitre "Enregistrement et exportation de projets".


Configuration de la cintreuse

La configuration d'une interface de cintreuse pour votre projet se fait dans les onglets Menu du projet.

  1. Cliquez sur l'onglet Cintreuses dans l'écran principal pour ouvrir l'écran Hub des cintreuses. Sauf si les interfaces ont déjà été configurées, la zone Liste des cintreuses est vide.

  2. Si des interfaces de cintreuse ont déjà été définies, sélectionnez-en une dans la zone Liste des cintreuses et cliquez sur Modifier dans l'angle inférieur droit. La boîte de dialogue Modifier la cintreuse s'ouvre (voir "Modification d'une cintreuse" pour des détails.) Sinon, cliquez sur Nouvelle cintreuse pour ouvrir la boîte de dialogue Nouvelle cintreuse et créez un fichier de configuration. Pour des détails sur la création d'une cintreuse, voir la rubrique "Création d'une cintreuse".

  3. Modifiez les réglages de configuration pour la cintreuse et cliquez sur Terminé pour enregistrer les changements. Cliquez sur Annuler pour sortir de la boîte de dialogue sans enregistrer les changements effectués.

    4. Remarque : pour des détails sur la configuration d'une interface de cintreuse, voir "Configuration d'une cintreuse BLM", Configuration d'une cintreuse Eaton Leonard VeLog" ou "Configuration d'une cintreuse SV Network".

La cintreuse nouvelle ou sélectionnée est mise à jour avec les nouveaux réglages de configuration.

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Modification d'une cintreuse

Suppression d'une cintreuse

Rappel des données de tube depuis une machine de cintrage


Détails sur l'écran de la cintreuse

Cliquez sur l'onglet Cintreuses dans l'écran principal pour ouvrir l'écran Hub des cintreuses. Si aucune cintreuse n'est définie, un écran vide s'affiche comme illustré ci-dessous.

Écran Hub des cintreuses de TubeShaper

L'écran Hub des cintreuses a les mêmes composants que l'écran Détails du projet, sauf qu'il est spécifique aux machines de cintrage.

L'écran Hub des cintreuses comporte ces sections :

    Barre de menu principal et de titre - Pour des détails sur la barre de menu principal et de titre, voir la rubrique "Barre de menu principal et de titre".

    Onglets du menu - Pour des détails sur les onglets du menu, voir la rubrique "Panneau de menu du projet".

    Zone Liste des cintreuses - Pour des détails sur la zone de liste, voir la rubrique "Zone Liste des cintreuses".

      Cette zone de l'écran Cintreuses comporte une liste des cintreuses enregistrées.

      Recherche d'une cintreuse

      Si la zone de liste comporte plusieurs cintreuses, une barre de défilement vertical est disponible pour parcourir manuellement les cintreuses.

      Vous pouvez aussi rechercher une cintreuse à l'aide de la zone Filtre.

      Entrez le nom ou une partie du nom d'une cintreuse dans la zone Filtre. En cas de correspondance, toutes les cintreuses contenant les caractères saisis apparaissent, les autres non.

    Zone Détails sur la cintreuse - La zone Détails sur la cintreuse montre des informations sur la cintreuse actuellement sélectionnée. Cliquez une fois sur l'une des cintreuses dans la zone de liste pour en consulter les détails.

    Barre de menus de la cintreuse - La barre de menus de la cintreuse inclut ces options :

      Nouvelle cintreuse - Ouvre la boîte de dialogue Nouvelle cintreuse pour configurer une nouvelle machine de cintrage. Voir la rubrique "Création d'une cintreuse" pour des détails.

      Copier - Crée une copie de la cintreuse actuellement sélectionnée.

      Supprimer - Ouvre la boîte de dialogue Supprimer la cintreuse pour supprimer la cintreuse actuellement sélectionnée.

      Modifier - Ouvre la boîte de dialogue Modifier la cintreuse pour modifier la configuration de la cintreuse actuellement sélectionnée. Voir la rubrique "Modification d'une cintreuse" pour des détails.

      Rappel - Ouvre la boîte de dialogue Entrée utilisateur pour entrer le numéro de pièce du fichier de tube à rappeler depuis une machine de cintrage spécifique.

      Pour des détails sur le rappel des données de tube depuis une cintreuse, voir la rubrique "Rappel des données de tube depuis une machine de cintrage".

      Pour des détails sur le rappel des données nominales depuis une cintreuse, voir la rubrique "Rappel des données nominales depuis la cintreuse".

Rubriques associées :

Création d'une cintreuse

Modification d'une cintreuse

Suppression d'une cintreuse

Rappel des données de tube depuis une machine de cintrage

Configuration de la cintreuse


Création d'une cintreuse

Pour créer une cintreuse :

  1. Cliquez sur Nouvelle cintreuse dans la barre de menu Cintreuse. La boîte de dialogue Nouvelle cintreuse s'ouvre.

  2. Entrez un nom unique pour la cintreuse.

    3. Remarque : si une cintreuse portant le même nom est entrée, un message d'erreur indique qu'un fichier du même nom existe déjà. Si vous cliquez sur Terminé, vous devez confirmer que vous voulez bien écraser le fichier existant. Le remplacement d'un fichier existant est irrémédiable.

  3. Sélectionnez le type de cintreuse dans la liste déroulante Type. Les options sont les suivantes :

    • Cintreuse BLM

    • Cintreuse Eaton Leonard VeLog

    • Cintreuse SV Network

  4. Consultez les propriétés et les paramètres décrits dans la rubrique de configuration de la machine appropriée. Cliquez dans la zone à droite de chaque propriété pour en modifier si besoin est la valeur. Pour des détails sur les paramètres de la machine, voir la rubrique "Configuration d'une cintreuse BLM", "Configuration d'une cintreuse Eaton Leonard VeLog" ou "Configuration d'une cintreuse SV Network".

  5. L'image de la machine de cintrage peut être mise à jour. Cliquez sur l'image pour ouvrir la boîte de dialogue Rechercher un fichier image.

  6. Naviguez au dossier approprié et sélectionnez le nouveau fichier image.

  7. Cliquez sur Ouvrir pour changer l'image de la cintreuse. Cliquez sur Annuler pour fermer la boîte de dialogue sans changer l'image.

  8. Cliquez sur OK pour enregistrer la nouvelle configuration. Cliquez sur Annuler pour fermer la boîte de dialogue.

Rubriques associées :

Configuration d'une cintreuse BLM

Configuration d'une cintreuse Eaton Leonard VeLog

Configuration d'une cintreuse SV Network

Détails sur l'écran de la cintreuse

Modification d'une cintreuse

Suppression d'une cintreuse

Rappel des données de tube depuis une machine de cintrage

Configuration de la cintreuse


Configuration d'une cintreuse BLM

Pour configurer une nouvelle interface de cintreuse BLM :

  1. Cliquez sur Cintreuses dans les onglets Menu du projet.

  2. Cliquez sur Nouvelle cintreuse dans l'angle inférieur gauche de l'écran Cintreuses pour ouvrir la boîte de dialogue Nouvelle cintreuse et sélectionnez le type de cintreuse BLM dans la liste déroulante Type.

  3. Entrez un nom unique pour la cintreuse. Si le nom est identique à une cintreuse existante, un message d'avertissement s'affiche. Si vous cliquez sur OK, un invite vous demande de confirmer si vous voulez écraser les réglages d'interface de la cintreuse existante avec la nouvelle définition.

  4. Cliquez sur l'image de la cintreuse pour la mettre à jour.

  5. Consultez les propriétés et les paramètres décrits dans la section de propriétés générales ci-dessous. Cliquez dans la zone à droite de chaque propriété pour en modifier si besoin est la valeur.

  6. Cliquez sur OK pour enregistrer la nouvelle interface de cintreuse. Cliquez sur Annuler pour sortir de la boîte de dialogue sans enregistrer la configuration.

Section de propriétés générales

    Type de cintreuse - Correspond par défaut au type de cintreuse sélectionné dans la liste déroulante Type.

    Répertoires des pièces - Emplacement que TubeShaper utilise pour enregistrer les fichiers de pièces de tube.

      PC 32 bits : "C:\Program Files\WAI\<version>\Benders"

      PC 64 bits : "C:\Program Files (x86)\WAI\<version>\Benders"

      où <version> correspond à la version de TubeShaper installée.

    Répertoire d'échange - Répertoire que TubeShaper utilise pour communiquer avec des machine de cintrage en réseau.

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Configuration d'une cintreuse Eaton Leonard VeLog

Configuration d'une cintreuse SV Network

Modification d'une cintreuse


Configuration d'une cintreuse Eaton Leonard VeLog

Pour configurer une nouvelle interface de cintreuse Eaton Leonard VeLog :

  1. Cliquez sur Cintreuses dans les onglets Menu du projet.

  2. Cliquez sur Nouvelle cintreuse dans l'angle inférieur gauche de l'écran Cintreuses pour ouvrir la boîte de dialogue Nouvelle cintreuse et sélectionnez le type Eaton Leonard VeLog dans la liste déroulante Type.

  3. Entrez un nom unique pour la cintreuse. Si le nom est identique à une cintreuse existante, un message d'avertissement s'affiche. Si vous cliquez sur OK, un invite vous demande de confirmer si vous voulez écraser les réglages d'interface de la cintreuse existante avec la nouvelle définition.

  4. Cliquez sur l'image de la cintreuse pour la mettre à jour.

  5. Consultez les propriétés et les paramètres décrits dans la section de propriétés générales ci-dessous. Cliquez dans la zone à droite de chaque propriété pour en modifier si besoin est la valeur.

  6. Cliquez sur OK pour enregistrer la nouvelle interface de cintreuse. Cliquez sur Annuler pour sortir de la boîte de dialogue sans enregistrer la configuration.

Section de propriétés générales

    Type de cintreuse - Correspond par défaut au type de cintreuse sélectionné dans la liste déroulante Type.

    Numéro de cintreuse - Valeur numérique unique qui définit la cintreuse dans le réseau. Consultez et modifiez la valeur existante si besoin est. Utilisez les flèches haut/bas ou cliquez dans la zone et changer manuellement la valeur actuelle.

    Répertoires des pièces - Définit l'emplacement auquel les fichiers de configuration de la cintreuse SV Network sont enregistrés. Les chemins d'accès par défaut sont :

      PC 32 bits : "C:\Program Files\WAI\<version>\Benders"

      PC 64 bits : "C:\Program Files (x86)\WAI\<version>\Benders"

      où <version> correspond à la version de TubeShaper installée.

    Case à cocher Cintreuse de service - Si elle est cochée, TubeShaper surveille l'activité de la cintreuse pour déterminer quand la machine a besoin de service.

    Port COM - Définit le port COM associé à la cintreuse. Le port par défaut est COM1.

    Débit bauds - Définit la vitesse à laquelle la communication se produit entre le port COM du PC exécutant l'application TubeShaper et la machine de cintrage connectée. Les options disponibles sont : 110, 300, 600, 1200, 2400, 3970, 4800, 9600, 14400, 19200, 28800, 38400, 56000 et 57600. La valeur par défaut est 9600.

    Parité - Définit la méthode de détection d'erreurs employée lors de la transmission de données. Les options disponibles sont : Aucune, Impair, Pair, Marquer et Espace. La valeur par défaut est Pair.

    Bits données - Définit le nombre de bits de données transmis par caractère. Les options disponibles sont : 4, 5, 6, 7 et 8. La valeur par défaut est de 8 bits.

    Bits d'arrêt - Définit le nombre de bits envoyés après la transmission de chaque caractère. De cette façon, le destinataire de la transmission sait quand a lieu la fin de chaque caractère. Les options disponibles sont : Aucun, Un, Deux et Un et demi. La valeur par défaut est Deux.

    Mode normal - Avec cette option, le protocole de transmission envoie un lot plus petit de paramètres machine. Si elle est décochée (par défaut), le mode étendu est implémenté pour envoyer plus de paramètres.

    Utiliser le retour élastique - Avec cette option, TubeShaper implémente la compensation du retour élastique. Si elle est décochée (par défaut), la machine de cintrage l'implémente.

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Configuration d'une cintreuse BLM

Configuration d'une cintreuse SV Network

Modification d'une cintreuse


Configuration d'une cintreuse SV Network

Pour configurer une nouvelle interface de cintreuse SV Network :

  1. Cliquez sur Cintreuses dans les onglets Menu du projet.

  2. Cliquez sur Nouvelle cintreuse dans l'angle inférieur gauche de l'écran Cintreuses pour ouvrir la boîte de dialogue Nouvelle cintreuse et sélectionnez le type de cintreuse SV Network dans la liste déroulante Type.

  3. Entrez un nom unique pour la cintreuse. Si le nom est identique à une cintreuse existante, un message d'avertissement s'affiche. Si vous cliquez sur OK, un invite vous demande de confirmer si vous voulez écraser les réglages d'interface de la cintreuse existante avec la nouvelle définition.

  4. Cliquez sur l'image de la cintreuse pour la mettre à jour. Une boîte de dialogue apparaît et permet de naviguer à une nouvelle image pour remplacer celle actuelle.

  5. Consultez les propriétés et les paramètres décrits dans la section de propriétés générales ci-dessous. Cliquez dans la zone à droite de chaque propriété pour en modifier si besoin est la valeur.

  6. Cliquez sur OK pour enregistrer la nouvelle interface de cintreuse. Cliquez sur Annuler pour sortir de la boîte de dialogue sans enregistrer la configuration.

Section de propriétés générales

    Type de cintreuse - Correspond par défaut au type de cintreuse sélectionné dans la liste Type.

    Numéro de cintreuse - Valeur numérique unique qui définit la cintreuse dans le réseau. Consultez et modifiez la valeur existante si besoin est. Utilisez les flèches haut/bas ou cliquez dans la zone et changer manuellement la valeur actuelle.

    Répertoires des pièces - Définit l'emplacement auquel les fichiers de pièces de tube sont enregistrés. Les chemins d'accès par défaut sont :

      PC 32 bits : "C:\Program Files\WAI\<version>\Benders"

      PC 64 bits : "C:\Program Files (x86)\WAI\<version>\Benders"

      où <version> correspond à la version de TubeShaper installée.

    Répertoire d'échange - Définit le chemin dont TubeShaper se sert pour communiquer avec des cintreuses SV Network.

    Temps imparti - Définit le temps en secondes dont TubeShaper dispose quand il tente d'envoyer ou de recevoir des fichiers SV Network. La valeur par défaut est 25.

    Case à cocher Surveiller la cintreuse - Si elle est cochée :

    • TubeShaper surveille en permanence l'activité pour déterminer quand la machine de cintrage demande ou transmet des fichiers. Chaque fois que la cintreuse demande ou tente de transmettre un fichier de tube, TubeShaper lui répond en conséquence.

    • Si le projet actuel est vide, les demandes de rappel de la cintreuse sont ignorées.

    • La cintreuse peut rappeler le tube du projet actuellement ouvert. Si elle tente de rappeler un autre tube, TubeShaper ignore la demande.

    • Si le projet actuellement ouvert a un tube défini et que la cintreuse envoie un fichier de tube avec le même numéro de pièce, TubeShaper accepte automatiquement le fichier. Si la cintreuse envoie un tube avec un autre numéro de pièce, TubeShaper le rejette.

    • Si aucun élément tube n'est défini dans le projet actuellement ouvert, tout fichier de tube envoyé depuis la cintreuse est automatiquement accepté.

    • Si TubeShaper n'a pas de cintreuse définie dans le projet ouvert, les demandes d'envois et de rappels depuis la cintreuse sont ignorées.

    Case à cocher Rappeler le tube par défaut - Cochez cette case si l'une des cintreuses SV ne prend pas en charge les numéros de pièces lors du rappel de données de tube. Pour ces types de cintreuses, un programme "par défaut" est automatiquement rappelé depuis la cintreuse quand cette case est cochée.

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Configuration d'une cintreuse BLM

Configuration d'une cintreuse Eaton Leonard VeLog

Modification d'une cintreuse


Modification d'une cintreuse

Pour modifier une cintreuse :

  1. Cliquez sur Cintreuses dans l'onglet Menu Projet pour ouvrir l'écran principal Cintreuses.

  2. Double-cliquez sur une interface de cintreuse dans la zone Liste des cintreuses ou cliquez une fois sur une cintreuse puis sur Modifier en bas à droite de l'écran Cinrteuse. La boîte de dialogue Modifier la cintreuse s'ouvre.

  3. Modifiez l'image, le nom ou les propriétés générales de la cintreuse. Voir "Configuration d'une cintreuse BLM", "Configuration d'une cintreuse Eaton Leonard VeLog" ou "Configuration d'une cintreuse SV Network" pour des détails sur la configuration de chaque interface de cintreuse.

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Suppression d'une cintreuse

Rappel des données de tube depuis une machine de cintrage

Configuration de la cintreuse


Suppression d'une cintreuse

Pour supprimer une interface de cintreuse :

  1. Sélectionnez la cintreuse à supprimer dans la vue Hub de cintreuses.

  2. Pour supprimer la cintreuse sélectionnée, cliquez sur le bouton Supprimer la cintreuse [image].

  3. Un invite apparaît pour confirmer la suppression de l'interface de cintreuse sélectionnée. Cliquez sur OK pour confirmer la suppression de la cintreuse sélectionnée. Cliquez sur Annuler si vous ne voulez pas supprimer la cintreuse sélectionnée.

Réconciliation des données de cintreuse

Si une interface de cintreuse est déjà assignée à un projet de tube, les données CLRA entre la cintreuse et le projet de tube sont liées. Quand une interface de cintreuse assignée à un projet de tube est supprimée ou renommée, ce lien est rompu. Si le projet de tube est ouvert, réconciliez les données et associez-les à une nouvelle cintreuse, ou bien supprimez l'association existante.

  1. Ouvrez un projet de tube une fois supprimée ou renommée l'interface de cintreuse associée au projet. La boîte de dialogue Réconcilier les données s'ouvre.

  2. Vous pouvez supprimer l'association ou l'attribuer à une autre interface de cintreuse. Supprimez l'option par défaut quand la boîte de dialogue s'ouvre pour la première fois. Si vous voulez seulement supprimer l'association, cliquez sur OK. Si vous voulez attribuer le projet à une autre interface de cintreuse du même type, cliquez sur Remapper dans la liste.

  3. Si vous sélectionnez l'option Remapper, une autre liste apparaît avec toutes les interfaces de cintreuses du même type.

  4. Sélectionnez l'interface de cintreuse à lier au projet de tube et cliquez sur OK.

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Modification d'une cintreuse

Rappel des données de tube depuis une machine de cintrage

Configuration de la cintreuse


Rappel des données de tube depuis une machine de cintrage

Les données de tube stockées sur une machine de cintrage peuvent être rappelée dans n'importe quel projet TubeShaper existant. La machine de cintrage doit être correctement configurée afin de communiquer avec l'application TubeShaper. Pour des détails sur la configuration d'une machine de cintrage, voir la rubrique "Configuration de la cintreuse".

Vous devez aussi connaître le numéro de pièce associé au fichier de tube sur la machine de cintrage.

Remarque : certaines cintreuses SV Network ne prennent pas en charge les numéros de pièces de tube quand des données de tube sont rappelées. Pour ces cintreuses, au lieu d'utiliser un numéro de pièce pour obtenir un programme de tube déterminé, un programme "par défaut" est rappelé. Pour que tout fonctionne toutefois, vous devez cocher la case Rappeler le tube par défaut lors de la configuration de la cintreuse dans TubeShaper. Pour des détails sur la configuration d'une machine de cintrage SV Network, voir la rubrique "Configuration d'une cintreuse SV Network"

Quand vous rappelez un tube depuis une cintreuse, les données CLRA du tube et les informations des propriétés sont associées à une cintreuse lorsque :

  • Vous rappelez le tube depuis l'écran Cintreuses.

  • Vous rappelez le tube depuis l'espace de travail et projet alors que la cintreuse actuelle est sélectionnée.

  • Vous rappelez le tube depuis l'espace de travail de projet après avoir changé de cintreuse.

Rappel des données de tube dans un projet de tube existant

Pour rappeler les données de tube depuis une machine de cintrage dans un projet de tube existant :

  1. Double-cliquez sur un projet existant dans la zone Liste des projets afin d'ouvrir le projet de tube dans son espace de travail.

  2. Cliquez sur le bouton Cintreuses disponibles [image] pour afficher la liste contextuelle des machines de cintrage configurées.

  3. Sélectionnez la machine de cintrage correcte dans la liste avec la définition de tube que vous voulez rappeler.

  4. Cliquez sur le bouton Rappeler depuis la cintreuse [image]. L'avertissement suivant apparaît.

  5. Cliquez sur Oui pour continue ou sur Non pour sortir. Si vous cliquez sur Oui, la boîte de dialogue Rappeler depuis la cintreuse s'ouvre.

  6. Dans la zone Numéro de pièce, entrez le numéro de pièce du fichier de tube à rappeler, puis cliquez sur OK.

    7. Le logiciel tente de trouver et de rappeler les données de tube en fonction du numéro de pièce entré :

    Quand les données de tube ont été rappelées, la boîte de dialogue montre un message de réussite :

    Si les données de tube n'ont pas été rappelées, la boîte de dialogue montre un message d'erreur :

    Si vous recevez une erreur, les causes les plus probables sont :

    • La machine de cintrage incorrecte a été sélectionnée. Vérifiez que la machine de cintrage sélectionnée est correcte et réessayez.

    • Erreur de communication entre TubeShaper et la machine de cintrage. Vérifiez que la communication entre TubeShaper et la machine de cintrage sélectionnée est active. Pour ce faire, demandez éventuellement à un ingénieur ou à un membre de l'équipe informatique. Vérifiez également les réglages de communication pour la machine de cintrage sélectionnée. Pour des détails sur la configuration des propriétés de l'interface de la machine de cintrage, voir la rubrique sur la configuration de la machine au chapitre "Création d'une cintreuse".

  7. Une fois les données de tube rappelées depuis la cintreuse, le projet est renseigné avec ces données. Accédez au panneau slide-out approprié pour modifier les valeurs si besoin est. Pour des détails sur les différents panneaux slide-out, voir le chapitre "Barre d'outils du panneau coulissant".

  8. Quand les données de tube sont rappelées et mises à jour dans votre projet, cliquez sur le bouton Menu Enregistrer/Exporter [image] situé en bas à droite de l'écran Espace de travail du projet. Vous devez aussi enregistrer le projet si vous tentez de sortir de l'espace de travail avant sauvegarde.

Création d'un tube par ingénierie inverse

Les données de tube sont également rappelées depuis une machine de cintrage quand vous voulez faire l'ingénierie inverse d'un tube. Pour des détails sur l'ingénierie inverse d'un tube à partir des données rappelées, voir le chapitre "Création d'un tube par ingénierie inverse".

Rubriques associées :

Détails sur l'écran de la cintreuse

Création d'une cintreuse

Modification d'une cintreuse

Suppression d'une cintreuse

Création d'un tube par ingénierie inverse

Configuration de la cintreuse


Mesure d'un tube

Remarque : un bras absolu ROMER doit être configuré et connecté pour que TubeShaper puisse effectuer des mesures. Pour des détails sur la fonctionnalité standard de bras ROMER à trois boutons, voir la rubrique "Boutons du bras ROMER".

TubeShaper offre les méthodes suivantes pour mesurer un tube :

Boîte de dialogue Mesurer un tube depuis les outils

Pour vérifier la précision de votre système de mesure, ou pour mesurer une longueur, un diamètre ou un rayon de courbure de tube inconnus, utilisez l'option Outils.

  1. Cliquez sur le bouton Outils [image] dans la barre de menu principal.

  2. Cliquez sur l'onglet Droite, Rayon de courbure ou Diamètre du tube pour ouvrir la boîte de dialogue appropriée. Pour des détails sur la mesure à l'aide de la boîte de dialogue Outils, voir la rubrique "Outils".

  3. Cliquez sur le bouton Mesurer/Arrêter le programme [image] pour lancer le processus de mesure. La vue graphique montre la zone à mesurer en doré. Les zones rouges vous indiquent de ne pas trop vous rapprocher des arêtes de la droite ou de sortir de la courbe.

    4. Remarque : la vue graphique montre la zone à mesurer en doré. Les zones rouges vous indiquent de ne pas trop vous rapprocher des arêtes de la droite ou de sortir de la courbe.

    Exemple de mesure d'une courbure dans la boîte de dialogue Outils

  4. Suivez les instructions au bas de la boîte de dialogue pour mesurer le tube.

Pour des détails sur l'utilisation de ces onglets, voir la rubrique appropriée au chapitre "Outils".

Mesurer un tube depuis l'écran principal de TubeShaper

Vous pouvez mesurer directement un tube depuis la vue principale de projet de TubeShaper en cliquant sur le bouton Mesurer dans la barre de menu de projet.

  1. Sélectionnez un projet dans la zone Liste des projets

  2. Cliquez sur le bouton Mesurer. Le projet sélectionné est ouvert dans l'espace de travail du projet. Suivez les instructions dans la barre d'action pour mesurer le tube.

    3. Exemple de mesure de la droite 1 (D1) dans l'espace de travail du projet

Mesure d'un tube depuis l'espace de travail du projet

Quand un projet est ouvert dans l'espace de travail, cliquez sur le bouton Mesurer dans la barre d'action pour mesurer le tube.

  1. Double-cliquez sur un projet dans la zone Liste des projets pour ouvrir le projet dans l'espace de travail.

  2. Cliquez sur Mesurer en bas à gauche de la barre d'action. Suivez les instructions affichées dans la barre d'action pour mesurer le tube.

Mesure d'un tube rappelé depuis une machine de cintrage

Remarque : pour mesurer un tube, une machine de cintrage de tubes CNC doit être configurée et connectée à TubeShaper.

Vous pouvez aussi mesurer un tube rappelé depuis une machine de cintrage.

  1. Dans l'écran Vue du projet, cliquez sur l'onglet Cintreuses parmi les onglets Menu Projet.

  2. Sélectionnez la machine de cintrage contenant le projet de tube concerné dans la zone Liste des cintreuses.

  3. Cliquez sur le bouton Rappeler depuis la cintreuse [image] dans la barre d'action de la cintreuse.

  4. La boîte de dialogue Entrée utilisateur s'ouvre. Entrez le numéro de pièce du projet et cliquez sur Terminé pour charger le projet depuis la machine de cintrage.

  5. L'espace de travail du projet s'affiche avec le projet de tube rappelé. Cliquez sur Mesurer/Arrêter le programme en bas à gauche de la barre d'action.

  6. Suivez les instructions affichées dans la barre d'action pour mesurer le tube.

Une fois toutes les mesures terminées, consultez les données.

  • Si les résultats des mesures ne sont pas bons, cliquez sur le bouton Nouveau calcul [image] et déterminez si les données recalculées doivent être renvoyées à la machine de cintrage. Dans ce cas, cliquez sur le bouton Envoyer à la cintreuse [image] pour renvoyer les données de tube recalculées à la machine de cintrage.

  • Si les résultats des mesures sont acceptables, le processus de cintrage l'est également et aucune autre action n'est nécessaire.

Rubriques associées :

Boutons du bras ROMER

Application d'un alignement


Boutons du bras ROMER

Bras ROMER avec les trois boutons standard

Les trois boutons standard pour un bras ROMER sont :

  • Blanc - Bouton gauche

  • Rouge - Bouton central

  • Jaune - Bouton droit

Lors de la mesure d'un tube à l'aide d'un palpeur mécanique :

  • Bouton droit - Sert à confirmer la mesure d'une droite ou d'un plan de fin.

  • Bouton central - Sert à prendre des palpages. Voir aussi Exceptions ci-dessous.

  • Bouton gauche - Sert à supprimer le dernier point pris. Voir aussi Exceptions ci-dessous.

Lors de la mesure d'un tube avec un palpeur de tube en mode automatique :

  • Bouton droit - Comme la mesure est automatiquement confirmée après chaque droite, ce bouton est sans fonction.

  • Bouton central - Voir Exceptions ci-dessous.

  • Bouton gauche - Sert à supprimer le dernier point pris. Voir aussi Exceptions ci-dessous.

Lors de la mesure d'un tube avec un palpeur de tube en mode manuel :

  • Bouton droit - Sert à confirmer la mesure d'une droite ou d'un plan de fin.

  • Bouton central - Voir Exceptions ci-dessous. Voir aussi Exceptions ci-dessous.

  • Bouton gauche - Sert à supprimer le dernier point pris. Voir aussi Exceptions ci-dessous.

Lors de la mesure d'un élément à l'aide d'un palpeur mécanique :

  • Bouton droit - Sert à confirmer la mesure d'une droite ou d'un plan de fin.

  • Bouton central - Sert à prendre des palpages. Voir aussi Exceptions ci-dessous.

  • Bouton gauche - Sert à supprimer le dernier point pris. Voir aussi Exceptions ci-dessous.

Exceptions

  • Bouton central - Si vous avez appuyé longtemps sur le bouton central, ces options sont possibles :

    • Si moins de trois droites ont été mesurées, la boîte de dialogue Choisir l'opération de mesure apparait avec uniquement l'option Changer le palpeur active. Suivez les instructions dans la boîte de dialogue pour changer de palpeurs.

    • Si vous êtes à l'invite de mesure pour mesurer l'extrémité A ou B, la boîte de dialogue Choisir l'opération de mesure apparaît. Les options Changer de palpeur et Ignorer l'extrémité sont actives. Suivez les instructions pour exécuter l'opération appropriée.

    • Si trois droites ou plus ont été mesurées, la boîte de dialogue Choisir l'opération de mesure apparait avec les options Déplacer le tube et Changer le palpeur actives. Si le statut de mesure indique que l'extrémité A ou B doit être mesurée sur le tube, l'option Ignorer l'extrémité est également activée. Suivez les instructions pour exécuter l'opération appropriée. Pour des détails sur la fonction Déplacer le tube, voir la rubrique "Déplacer le tube".

      • Remarque : vous devez avoir mesuré au moins trois droites pour que la fonction Déplacer le tube fonctionne.

  • Bouton gauche

    • Mode automatique

    • Au second balayage, appuyez une courte fois dessus pour supprimer les données collectées et revenir au premier balayage de la même droite.

    • Au premier balayage (aucun donnée collectée), appuyez une courte fois de ssus pour revenir à la droite précédente (et donc la remesurer).

    • Appuyez longtemps dessus pour revenir à la droite précédente, qu'il s'agisse du premier ou du second balayage.

    Mode manuel

    • Si le nombre de palpages collectés est supérieur à zéro, appuyez une courte fois dessus pour supprimer le dernier palpage.

    • Si le nombre de palpages collectés est zéro, appuyez une courte fois dessus pour revenir à la droite précédente.

    • Appuyez longtemps dessus pour revenir à la droite précédente, quel que soit le nombre de palpages collectés.

Rubriques associées :

Déplacer le tube

Mesure d'un tube

Application d'un alignement


Déplacer le tube

L'option Déplacer le tube est utilisée quand la longueur du tube est supérieure à la longueur du bras de mesure.

Pour utiliser cette option :

  1. Mesurez au moins trois droites sur le tube.

  2. Appuyez longuement sur le bouton du milieu du bras ROMER pour ouvrir la boîte de dialogue Choisir une opération de mesure avec l'option Déplacer le tube sélectionnée. Pour des détails sur le bras standard ROMER à trois boutons, voir la rubrique "Boutons du bras ROMER".

    3. Vous pouvez aussi cliquer sur l'option Changer le palpeur poru changer le palpeur dans cette boîte de dialogue. Si le statut de mesure indique que l'extrémité A ou B doit être mesurée sur le tube, l'option Ignorer l'extrémité est également activée. Pour des détails sur ces options, voir la section "Exceptions" de la rubrique "Boutons du bras ROMER".

    Remarque : vous ne pouvez effectuer qu'une seule des actions à la fois. Si vous devez exécuter plusieurs actions, vous devez appuyer à nouveau longuement sur le bouton du milieu pour rouvrir la boîte de dialogue.

  3. Suivez les instructions dans la boîte de dialogue.

  4. Cliquez sur OK une fois terminé.

    5. Remarque : vous devez avoir mesuré au moins trois droites pour que la fonction Déplacer le tube fonctionne.

Rubriques associées :

Boutons du bras ROMER

Mesure d'un tube

Application d'un alignement


Création d'éléments

Les éléments sont créés de trois façons :

  • Méthode Apprentissage d'éléments - Cliquez sur l'élément à créer dans la barre d'éléments et prenez des palpages là où cet élément doit figurer. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

  • Méthode Saisie d'éléments - Cliquez sur l'élément à créer dans la barre d'éléments et entrez manuellement les valeurs de cet élément.

  • Méthode Clic sur la CAO - Cliquez sur l'élément à créer dans la barre d'éléments et cliquez sur la CAO, là où cet élément doit figurer.

TubeShaper peut créer les éléments suivants :

  • Tube (via saisie ou importation)

  • Point

  • Droite

  • Plan

  • Cercle

  • Cylindre

  • Logement oblong

  • Sphère

Vous pouvez créer et mesurer des éléments dès que vous ouvrez un projet de tube existant ou quand vous créez un projet. Le projet apparaît ensuite dans l'espace de travail. Cliquez sur le bouton Vue programme [image] sur le côté droite de l'espace de travail pour ouvrir le panneau Vue programme slide-out. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments. La barre d'outils offre des options pour créer un projet comme décrit ci-dessous.

Pour créer un élément dans TubeShaper :

  1. Ouvrez un projet existant en double-cliquant dessus dans la zone Liste des projets. Vous pouvez aussi cliquer une fois sur un projet, puis sur Modifier dans la barre Menu Projet.

  2. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme coulissant.

  3. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    4. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

    Remarque : un élément tube peut être créé en cliquant sur le bouton Ajouter un tube [image] ou Ajouter un tube avec importation [image] dans la barre d'éléments. Un seul tube peut être ajouté par projet.

    Pour des détails sur la création d'un élément tube, voir le chapitre "Création d'un projet".

    Pour des détails sur la création d'un élément tube, voir la rubrique "Création d'un projet avec importation".

  4. Si vous devez ajouter un tube, le type d'alignement doit être indiqué. Ce choix est fait dans les propriétés d'alignement du tube. Pour des détails sur les alignements, voir la rubrique "Application d'un alignement".

  5. Avant la création de points, de droites, de cercles ou de logements oblongs, vous devez créer un élément plan (plan, cylindre ou sphère) à des fins de projection.

    6. Cliquez sur l'élément à créer dans la barre d'éléments. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles et, selon l'élément, modifiables. La zone à bascule de valeurs mesurées est uniquement disponible après la mesure de l'élément.

    Vous pouvez saisir les valeurs, cliquer sur la CAO pour placer le nouvel élément ou apprendre cet élément avec la méthode Apprentissage d'éléments. Pour des détails sur l'apprentissage d'un élément, voir la rubrique "Apprentissage d'éléments".

    Vérifiez que les vecteurs du plan sont correctement définis pour la projection souhaitée de l'élément.

    Remarque : pour les éléments non tubes, vous pouvez cliquer sur la CAO afin de mettre à jour les zones de valeurs nominales de l'élément.

  6. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est. Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    7. Remarque : si un modèle CAO de tube a été importé dans votre projet, ses valeurs nominales sont automatiquement extraites.

  7. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

    8. Remarque : les tolérances d'éléments sont par défaut Off pour tout élément qui ne possède pas d'alignement. Sinon, elles sont par défaut On.

  8. Cliquez sur le bouton Ajouter au rapport [image] pour ajouter ce nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  9. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  10. Une fois les valeurs nominales de l'élément entrées, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Si vous apprenez un élément, ses valeurs nominales et de mesure sont mises à jour en fonction des résultats des nouvelles mesures.

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Apprentissage d'éléments

Vous pouvez effectuer un apprentissage d'élément dès que vous cliquez sur un type d'élément dans la barre d'éléments. Les éléments tubes sont appris par ingénierie inverse. Pour des détails sur l'ingénierie inverse d'un élément tube, voir la rubrique "Création d'un tube par ingénierie inverse".

Pour effectuer un apprentissage d'éléments :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

  3. Sélectionnez un élémet dans la barre d'éléments.

    4. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  4. Prenez le nombre de palpages nécessaire à l'emplacement souhaité sur votre tube. Un invite s'affiche au bas de l'écran pour vous informer du nombre minimum de palpages requis qu'il reste à effectuer. Plus de palpages peuvent être pris mais un nombre minimum est requis.

  5. Une fois terminé, cliquez sur le bouton approprié sur votre bras ROMER pour terminer le processus d'apprentissage pour l'élément sélectionné. Pour des détails sur les boutons du bras ROMER, voir la rubrique "Boutons du bras ROMER".

    6. Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  8. Modifiez les valeurs nominales si besoin est.

  9. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  10. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour changer les valeurs nominales en sélectionnant un emplacement pour le nouvel élément sur le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  11. Si vous devez mesurer à nouveau le nouvel élément, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un projet

Création d'un projet avec importation

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément tube

Vous pouvez créer un tube à partir du panneau Vue programme slide-out dans l'espace de travail du nouveau projet. Vous ne pouvez pas créer un tube si un est déjà défini.

  1. Cliquez sur le bouton Nouveau projet en bas à gauche de l'écran principal de TubeShaper pour créer un projet sans élément tube. L'espace de travail du nouveau projet apparaît quand vous faites l'ingénierie inverse d'un élément tube. Pour des détails sur l'ingénierie inverse d'un tube, voir la rubrique "Création d'un tube par ingénierie inverse".

  2. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  3. Si la barre d'éléments n'est pas visibles, cliquez sur le bouton Éléments [image].

    4. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  4. Cliquez sur le bouton Ajouter un tube [image] pour ouvrir la boîte de dialogue Créer un tube. Pour des détails sur l'ingénierie inverse d'un élément tube, voir la rubrique "Création d'un tube par ingénierie inverse".

    5. Vous pouvez aussi créer un tube en important un modèle CAO. Pour ce faire, cliquez sur le bouton Ajouter un tube avec importation [image] pour ouvrir la boîte de dialogue Rechercher un fichier. Pour des détails sur la création d'un projet, voir la rubrique "Création d'un projet avec importation".

    Remarque : si un modèle CAO de tube a été importé dans votre projet, ses valeurs nominales sont automatiquement extraites.

Pour créer un tube quand un autre existe déjà, vous devez supprimer le tube existant du projet. Vous pouvez ensuite créer un tube de l'une des deux façons décrites.

Pour supprimer un élément tube existant :

  1. Cliquez sur l'élément se trouvant dans la liste de programmes du panneau Vue programme slide-out.

  2. Pour supprimer l'élément tube, cliquez sur le bouton Supprimer l'élément [image]. Le tube est supprimé du programme. Tous les autres éléments sont conservés.

  3. Cliquez sur l'un des boutons décrits ci-dessus pour créer un élément tube.

Rubriques associées :

Création d'un projet

Création d'un projet avec importation

Apprentissage d'éléments

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément point

Pour créer un élément point :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Cliquez sur le bouton Point [image] dans la barre d'élément. Les zones de valeurs nominales et de tolérance sont au départ disponibles et modifiables. La zone à bascule de valeurs mesurées est uniquement disponible après la mesure de l'élément.

  4. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est.

    5. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  5. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  6. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  7. Entrez manuellement les valeurs d'emplacement X, Y, Z et de vecteur I, J, K du point.

  8. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  9. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  10. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouveau point. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément droite

Remarque : les droites, les cercles et les logements oblongs sont toujours projetés sur leur plan de référence et donc toujours en 2D. Lors de la création d'une droite, d'un cercle ou d'un logement oblong construits, la projection ne se fait pas sur un plan de référence car ils en sont dépourvus et sont donc toujours en 3D.

Pour créer un élément droite :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Avant la création d'une droite, vous devez créer un plan à des fins de projection. Pour des détails sur la création d'un plan, voir la rubrique "Création d'un plan". Vérifiez que les vecteurs du plan sont correctement définis pour la projection souhaitée de la droite.

    4. Cliquez sur le bouton Droite [image] dans la barre d'élément. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles et modifiables. La zone à bascule de valeurs mesurées est disponible après la mesure de l'élément.

  4. Sélectionnez le plan approprié sur lequel projeter votre droite dans la liste déroulante Projet. L'élément est immédiatement projeté sur le plan sélectionné.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est.

    6. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  8. Entrez manuellement les valeurs de point de départ de la droite (X, Y, Z), son vecteur (I, J, K), sa longueur et son vecteur d'arête (I2, J2, K2).

  9. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  10. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  11. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouvelle droite. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément plan

Les plans sont requis à des fins de projection quand vous créez certains types d'éléments.

Pour créer un élément plan :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Cliquez sur le bouton Plan [image] dans la barre d'élément. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles et modifiables. La zone à bascule de valeurs mesurées est disponible après la mesure de l'élément.

  4. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est. Vérifiez que les vecteurs du plan sont correctement définis pour la projection souhaitée d'un élément dépendant.

    5. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  5. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  6. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  7. Entrez manuellement les valeurs d'emplacement X, Y, Z, de vecteur I, J, K et de diamètre du plan.

  8. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  9. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  10. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouvelle droite. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément cercle

Remarque : les droites, les cercles et les logements oblongs sont toujours projetés sur leur plan de référence et donc toujours en 2D. Lors de la création d'une droite, d'un cercle ou d'un logement oblong construits, la projection ne se fait pas sur un plan de référence car ils en sont dépourvus et sont donc toujours en 3D.

Pour créer un élément cercle :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Avant la création d'un cercle, vous devez créer un plan à des fins de projection. Pour des détails sur la création d'un plan, voir la rubrique "Création d'un plan". Vérifiez que les vecteurs du plan sont correctement définis pour la projection souhaitée du cercle.

  4. Cliquez sur le bouton Cercle [image] dans la barre d'élément. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles et modifiables. La zone à bascule de valeurs mesurées est disponible après la mesure de l'élément.

  5. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  6. Sélectionnez le plan approprié sur lequel projeter votre cercle dans la liste déroulante Projet. L'élément est immédiatement projeté sur le plan sélectionné.

  7. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est.

    8. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  8. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  9. Entrez manuellement les valeurs d'emplacement X, Y, Z, de vecteur I, J, K et de diamètre du cercle, puis sélectionnez l'option Int/Ext dans la liste.

  10. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  11. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  12. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouvelle droite. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cylindre

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément cylindre

Pour créer un élément cylindre :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Cliquez sur le bouton Cylindre [image] dans la barre d'élément. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles et modifiables. La zone à bascule de valeurs mesurées est disponible après la mesure de l'élément.

  4. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est. Vérifiez que les vecteurs du cylindre sont correctement définis pour la projection souhaitée d'un élément dépendant.

    5. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  5. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  6. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  7. Entrez manuellement les valeurs d'emplacement X, Y, Z, de vecteur I, J, K, de diamètre et de longueur du cylindre, puis sélectionnez l'option Int/Ext dans la liste.

  8. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  9. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  10. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouveau cylindre. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément logement oblong

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément logement oblong

Remarque : les droites, les cercles et les logements oblongs sont toujours projetés sur leur plan de référence et donc toujours en 2D. Lors de la création d'une droite, d'un cercle ou d'un logement oblong construits, la projection ne se fait pas sur un plan de référence car ils en sont dépourvus et sont donc toujours en 3D.

Pour créer un élément logement oblong:

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Avant la création d'un logement oblong, vous devez créer un plan à des fins de projection. Pour des détails sur la création d'un plan, voir la rubrique "Création d'un plan". Vérifiez que les vecteurs du plan sont correctement définis pour la projection souhaitée du logement oblong.

  4. Cliquez sur le bouton Logement oblong [image] dans la barre d'élément. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles. La zone à bascule de valeurs mesurées est disponible après la mesure de l'élément.

  5. Sélectionnez le plan approprié sur lequel projeter votre logement oblong dans la liste déroulante Projet. L'élément est immédiatement projeté sur le plan sélectionné.

  6. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est.

    7. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  7. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  8. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  9. Entrez manuellement les valeurs d'emplacement X, Y, Z, de vecteur I2, J2, K2, de diamètre, de largeur et de longueur du logement oblong, puis sélectionnez l'option Int/Ext dans la liste.

  10. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  11. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  12. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouvelle droite. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément sphère

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Création d'un élément sphère

Pour créer un élément sphère :

  1. Avec un projet ouvert dans l'espace de travail, cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Éléments [image] pour afficher la barre d'éléments.

    3. Tous les éléments ne sont pas disponibles à tout moment. Seuls les points, les plans, les cylindres et les sphères sont activés si un plan a été créé. Si le projet de tube est nouveau et qu'aucun élément de tube n'a encore été créé, les options Ajouter un tube et Ajouter un tube avec importation sont également activées.

  3. Cliquez sur le bouton Sphère [image] dans la barre d'élément. Les zones à bascule de valeurs nominales et de tolérance sont au départ disponibles. La zone à bascule de valeurs mesurées est disponible après la mesure de l'élément.

  4. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Mesuré, Tol+ et Tol- en mettant à jour les zone respectives si besoin est. Vérifiez que les vecteurs du cylindre sont correctement définis pour la projection souhaitée d'un élément dépendant.

    5. Remarque : vous pouvez également apprendre le nouvel élément en effectuant immédiatement les palpages nécessaires sur le tube. Pour plus de détails sur l'apprentissage d'éléments, voir la rubrique "Apprentissage d'éléments".

    Pour mieux le reconnaître, l'élément sélectionné est affiché en rouge dans le graphique.

    Chaque nouvel élément est ajouté juste après ce qui est sélectionné dans la liste de programmes.

  5. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  6. Dans la liste Alignement, sélectionnez le type d'alignement pour l'élément.

  7. Entrez manuellement les valeurs d'emplacement X, Y, Z et de diamètre de la sphère, puis sélectionnez l'option Int/Ext dans la liste.

  8. Cliquez sur le bouton Ajouter au rapport [image] pour ajouter ce nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  9. Cliquez sur le bouton Activer/Désactiver la sélection CAO [image] pour permettre la sélection des valeurs nominales dans le modèle CAO. Le bouton est désactivé quand il apparaît grisé.

  10. Quand vous êtes prêt, cliquez sur le bouton Mesurer l'élément [image] et suivez les instructions au bas de l'écran pour mesurer votre nouveau cylindre. Pour supprimer l'élément sélectionné, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Apprentissage d'éléments

Création d'un élément tube

Création d'un élément point

Création d'un élément droite

Création d'un élément plan

Création d'un élément cercle

Création d'un élément cylindre

Création d'un élément logement oblong

Ajout d'un invite de palpeur à une routine de mesure

Ajout de commentaires à une routine de mesure


Ajout d'un invite de palpeur à une routine de mesure

Vous povez inclure un invite de palpeur à tout moment dans votre routine de mesure. De cette façon, vous pouvez par exemple recevoir un invite pour changer de type de palpeur si besoin est.

Remarque : comme il vous faut un palpeur mécanique pour mesurer des éléments, un invite de palpeur est inutile. TubeShaper vous demande automatiquement de passer à un palpeur mécanique. Un invite doit toutefois être ajouté si vous passez de mesures d'éléments à des mesures de tubes avec un palpeur tube.

Pour créer un invite de palpeur :

  1. Sélectionnez l'élément dans la mesure de routine où l'invite est requis. Cet invite doit être ajouté avant la mesure de l'élément.

  2. Cliquez sur le bouton Utilitaires [image]. Les boutons Ajouter un commentaire [image] et Ajouter un palpeur [image] apparaissent sous l'élément sélectionné.

  3. Cliquez sur le bouton Ajouter un palpeur. La boîte de dialogue Définition d'invite de palpeur s'affiche.

  4. Sélectionnez le type de palpeur approprié dans la liste Type de palpeur.

  5. Cliquez sur le bouton Mesurer [image] pour tester l'invite.

Pour supprimer l'invite, cliquez sur le bouton Supprimer l'élément [image].

Une option Invite de palpeur est désormais visible dans votre routine de mesure.

Pour la modifier, cliquez dessus et faites les changements nécessaires.

Rubriques associées :

Création d'éléments

Ajout de commentaires à une routine de mesure


Ajout de commentaires à une routine de mesure

Vous povez inclure un commentaire à tout moment dans votre routine de mesure. La commande de commentaire est ajoutée immédiatement en dessous de l'élément sélectionné.

Pour créer un commentaire :

  1. Sélectionnez l'élément dans la mesure de routine où un commentaire est requis.

  2. Cliquez sur le bouton Utilitaires [image]. Les boutons Ajouter un commentaire [image] et Ajouter un palpeur [image] apparaissent sous l'élément sélectionné.

  3. Cliquez sur le bouton Ajouter un commentaire. La boîte de dialogue Définition de commentaire s'affiche.

  4. Entrez le texte approprié pour l'invite à afficher.

  5. Cliquez sur le bouton Mesurer [image] pour tester l'invite.

Pour supprimer le commentaire, cliquez sur le bouton Supprimer l'élément [image].

Une commande de commentaire est désormais visible dans votre routine de mesure.

Pour la modifier, cliquez dessus et faites les changements nécessaires.

Rubriques associées :

Création d'éléments

Ajout d'un invite de palpeur à une routine de mesure


Création d'alignements

TubeShaper offre une grande flexibilité en matière d'alignements.

Remarque : les tolérances d'éléments sont par défaut Off pour tout élément qui ne possède pas d'alignement. Sinon, elles sont par défaut On.

Le logiciel fournit quatre types d'alignements prédéfinis basés sur le tube :

  • Alignement Best Fit de point de tangente (PT)

  • Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion

  • Alignement de point fixe

  • Alignement Best Fit point à point

Les alignements prédéfinis basés sur le tube utilisent uniquement des points sur le tube.

TubeShaper fournit aussi d'autres alignements basés sur des éléments et qui sont disponibles dans le panneau slide-out Vue projet. Grâce à ces types d'alignements, vous sélectionnez les éléments requis pour effectuer divers alignements prismatiques. Par exemple, si certains points d'un tube vous intéressent, les points peuvent être sélectionnés dans le menu.

Pour effectuer l'un de ces alignements :

  1. Ouvrez un projet avec des données nominales et mesurez le tube.

  2. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau slide-out Vue projet.

  3. Cliquez sur le bouton Alignements [image] pour afficher ces options d'alignement :

    • Alignement Plan-Droite-Point (PDP)

    • Alignement Plan-Droite-Cercle (PDC)

    • Alignement Plan-Droite-Droite (PDD)

    • Alignement Plan-Cercle-Cercle (PCC)

    • Alignement Plan-Plan-Plan (PPP)

    • Alignement Best Fit

  4. Cliquez sur l'alignement à effectuer et suivez les instructions.

Ceux-ci sont surtout utilisés avec des éléments prismatiques (Point, Plan, Cylindre et Sphère). Pour plus de détails sur ces alignements, voir la rubrique "Création d'alignements prismatiques".

Rubriques associées :

Création d'alignements basés sur le tube

Création d'alignements prismatiques


Création d'alignements basés sur le tube

Un alignement peut être appliqué à un tube avant ou après sa mesure. Vous pouvez dans ce cas déterminer rapidement si le tube a été correctement aligné à la CAO et inspecter immédiatement le tube.

TubeShaper fournit les options d'alignement suivantes basées sur le tube (pour des détails sur la création d'alignements basés sur les éléments, voir la rubrique "Création d'alignements basés sur les éléments") :

  • Point de tangente (PT) Best Fit - Alignements les plus souvent utilisés pour les tubes. Pour des détails sur les alignements Best Fit de point de tangente et comment les appliquer à votre tube, voir la rubrique "Alignement Best Fit de point de tangente (PT)".

  • Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion - Cet alignement se sert de tous les points de tangente du tube (sauf les extrémités A et B) pour aligner les données de tube mesurées à celles nominales. Il utilise pour ce faire un calcul "Best Fit" qui fait intervenir les valeurs de distorsion saisies. Si une valeur de distorsion est augmentée pour une droite, l'erreur sur cette droite a plus de poids lors du processus d'optimisation. Pour des détails, voir la rubrique "Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion".

  • Point fixe - L'alignement de point fixe est important pour aligner le tube mesuré au tube nominal à l'aide de point basés sur un tube (points de tangente, points du milieu, etc.). Pour des détails sur les alignements de point fixe et comment les appliquer à votre tube, voir la rubrique "Alignement de point fixe".

  • Alignement Best Fit point à point -

Les types d'alignement se trouvent dans la vue programme, sous le nœud "Tube".

Rubriques associées :

Alignement Best Fit de point de tangente (PT)

Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion

Alignement de point fixe

Alignement Best Fit point à point


Alignement Best Fit de point de tangente (PT)

L'alignement Best Fit de point de tangente (PT) est le type le plus courant d'alignement utilisé pour des tubes. Il est très simple à implémenter et automatiquement appliqué par défaut à votre projet.

L'alignement se sert de tous les points de tangente du tube (sauf les extrémités A et B) pour aligner les données de tube mesurées à celles nominales. Il utilise pour ce faire un calcul "Best Fit".

Après la mesure d'un tube avec des données nominales, l'alignement Best Fit de point de tangente (PT) est appliqué.

Pour appliquer ce type d'alignement :

  1. Mesurez un tube comportant des données nominales.

  2. Dans l'espace de travail du projet, cliquez sur le bouton Vue programme [image] qui se trouve dans la barre d'outils du panneau Slide-out. Le panneau slide-out de la vue programme apparaît.

  3. Dans la liste déroulante Alignement, sélectionnez l'option Best Fit PT. Après sélection, l'alignement est automatiquement appliqué et inséré dans la liste d'éléments comme transformation.

    4. Quand le tube est mesuré, un alignement Best Fit de point de tangente est appliqué aux données mesurées.

Rubriques associées :

Création d'alignements basés sur le tube

Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion

Alignement de point fixe

Alignement Best Fit point à point


Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion

Les facteurs de distorsion sont des facteurs de pondération imposés à une droite. Pour l'option d'alignement Best Fit standard, le logiciel traite chaque droite de la même façon avec un poids de 1, ce qui est le plus souvent acceptable.

S'il faut mettre plus d'emphase sur certaines droites, l'alignement Best Fit de point de tangente (PT) avec facteurs de distorsion est disponible.

L'alignement se sert de tous les points de tangente du tube (sauf les extrémités A et B) pour aligner les données de tube mesurées à celles nominales. Il utilise pour ce faire un calcul "Best Fit" qui fait intervenir les valeurs de distorsion saisies. Si une valeur de distorsion est augmentée pour une droite, l'erreur sur cette droite a plus de poids lors du processus d'optimisation.

Pour effectuer ce type d'alignement :

  1. Après la mesure d'un tube avec des données nominales, sélectionnez l'option d'alignement Best Fit de point de tangente avec facteurs de distorsion.

  2. Dans l'espace de travail du projet, cliquez sur le bouton Vue programme [image] qui se trouve dans la barre d'outils du panneau Slide-out. Le panneau slide-out de la vue programme apparaît.

  3. Dans la liste déroulante Alignement, sélectionnez l'option Best Fit PT avec facteurs de distorsion. Après sélection, l'alignement est automatiquement appliqué et inséré dans la liste d'éléments comme transformation.

  4. Si besoin est, mettez à jour les différentes zones de facteurs de distorsion.

    5. Quand le tube est mesuré, un alignement Best Fit de point de tangente avec les valeurs de facteurs de distorsion mises à jour est appliqué aux données mesurées.

Rubriques associées :

Création d'alignements basés sur le tube

Alignement Best Fit de point de tangente (PT)

Alignement de point fixe

Alignement Best Fit point à point


Alignement de point fixe

L'alignement de point fixe est souvent utilisé quand un point spécifique sur un tube doit être aligné après une mesure (par exemple, l'extrémité A ou B du tube.) Il utilise quatre points et repose sur le calcul de l'alignement Plan-Droite-Point, où :

  • les trois premiers points définissent un plan d'alignement,

  • les deux premiers points définissent une droite d'alignement,

  • Le quatrième point correspond au point d'alignement. Ce point est parfaitement aligné sans aucune erreur.

Pour effectuer un alignement de point fixe :

  1. Mesurez le tube comportant des données nominales.

  2. Dans l'espace de travail du projet, cliquez sur le bouton Vue programme [image] qui se trouve dans la barre d'outils du panneau Slide-out. Le panneau slide-out de la vue programme apparaît.

  3. Sélectionnez Point fixe dans la liste déroulante Alignement. La grille de point fixe apparaît. TubeShaper détermine les sélections de points par défaut à partir des valeurs nominales fournies. L'exemple ci-dessus se base sur un tube avec trois droites. Les sélections par défaut sont définies comme suit :

    • Le premier point est l'extrémité A, comme illustré dans l'exemple ci-dessus : le premier point de tangente (PT1) sur la première droite (Droite 1).

    • Le deuxième point est l'extrémité B, comme illustré dans l'exemple ci-dessus : le dernier point de tangente (PT2) sur la dernière droite (Droite 3).

    • Le troisième point est le point du milieu sur l'une des droites centrales, comme illustré dans l'exemple ci-dessus : le point médian de Droite 1.

    • Le dernier point répète le premier point et correspond à l'extrémité A.

    Ceci crée une erreur d'alignement 0 (zéro) à l'extrémité A. Pour que l'erreur d'alignement soit 0 (zéro) à l'extrémité B, sélectionnez la droite #n (la dernière droite, n=3 dans cet exemple) et PT2 pour le point final.

    Les deux premiers points définissent la droite, les trois premiers points définissent le plan, le dernier point définit le point d'origine pour l'alignement.

    Si vous devez changer les sélections par défaut :

    1. Cliquez sur la liste déroulante Droite à modifier et sélectionnez la droite correcte.

    2. Cliquez sur le type de point correspondant dans la liste déroulante Type.

    3. Répétez l'opération pour les autres droites par défaut.

En théorie, vous pouvez choisir n'importe lequel des quatre points sur le tube. Toutefois, les règles suivantes sont normalement respectées pour une erreur d'alignement de 0 (zéro) à l'extrémité A :

  • Le point 1 est le point de tangente 1 sur la première droite (D1-PT1 - extrémité A).

  • Le point 2 est le point de tangente 2 sur la dernière droite (Dn-PT2 où "n" est la dernière droite - extrémité B).

  • Le point 3 est le point médian sur une droite au milieu.

  • Le point 4, qui est le point d'ancrage, est identique au point 1 ou au point 2.

Une fois les points fixes définis, l'alignement se produit automatiquement et est immédiatement appliqué au tube la prochaine fois qu'il est mesuré.

Vous pouvez aussi passer entre le Best-Fit de point de tangente et l'alignement de point fixe en sélectionnant l'alignement sous le nœud "Tube" dans le panneau Vue programme slide-out. De cette façon, vous voyez comment les résultats de la mesure changent en observant les erreurs du point de tangente ou du point d'intersection dans les grilles de données correspondantes.

Rubriques associées :

Création d'alignements basés sur le tube

Alignement Best Fit de point de tangente (PT)

Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion

Alignement Best Fit point à point


Alignement Best Fit point à point

L'alignement Best Fit point à point est uniquement utilisé quand vous voulez comparer la distance directe des points de tangente entre le tube nominal et le tube mesuré. Il est considéré comme un type d'alignement de cas spécial.

L'option d'alignement Best Fit point à point utilise tous les points de tangent du tube, sauf le PT1 de la première droite et le PT2 de la dernière droite. Comme il requiert un nombre minimum de points, il n'est PAs disponible sur les tubes avec deux droites seulement.

Pour effectuer un alignement Best Fit point à point :

  1. Mesurez un tube avec des données nominales.

    2. Remarque : le tube doit avoir au moins trois droites afin d'effectuer ce type d'alignement.

  2. Dans l'espace de travail du projet, cliquez sur le bouton Vue programme [image] qui se trouve dans la barre d'outils du panneau Slide-out. Le panneau slide-out de la vue programme apparaît.

  3. Sélectionnez l'option d'alignement Best Fit point à point. Après sélection, l'alignement est automatiquement appliqué et inséré dans la liste d'éléments comme transformation.

    4. Quand le tube est à nouveau mesuré, un alignement Best Fit point à point est appliqué aux données mesurées.

Rubriques associées :

Création d'alignements basés sur le tube

Alignement Best Fit de point de tangente (PT)

Alignement Best Fit de point de tangente (PT) avec facteurs de distorsion

Alignement de point fixe


Création d'alignements prismatiques

Une fois vos éléments mesurés, un système de coordonnées (ou alignement) peut être créé. TubeShaper propose plusieurs outils pour la création et la gestion de systèmes de coordonnées. Pour accéder aux outils permettant d'utiliser des alignements basés sur les éléments, cliquez sur le bouton Alignements [image] dans le panneau Vue programme slide-out.

Les principales rubriques de ce chapitre présentent l’utilisation des outils en vue de créer et de gérer efficacement des alignements basés sur des éléments dans votre routine de mesure. Ces rubriques sont les suivantes :

  • Création d'un alignement Plan-Droite-Point (PDP)

  • Création d'un alignement Plan-Droite-Cercle (PDC)

  • Création d'un alignement Plan-Droite-Droite (PDD)

  • Création d'un alignement Plan-Cercle-Cercle (PCC)

  • Création d'un alignement Plan-Plan-Plan (PPP)

  • Création d’un alignement Best Fit

Rubriques associées :

Création d'alignements prismatiques : Présentation

Création d'un alignement Plan-Droite-Point (PDP)

Création d'un alignement Plan-Droite-Cercle (PDC)

Création d'un alignement Plan-Droite-Droite (PDD)

Création d'un alignement Plan-Cercle-Cercle (PCC)

Création d'un alignement Plan-Plan-Plan (PPP)

Création d’un alignement Best Fit


Création d'alignements prismatiques : Présentation

Création d'élément

Quand des éléments sont créés mais qu'il n'y a pas d'alignement prismatique, l'option "Aucun" est par défaut définie. Le nouvel élément n'a donc pas d'alignement associé.

Point créé avec l'option d'alignement "Aucun" sélectionnée par défaut quand aucun alignement prismatique n'est disponible

Une fois l'alignement prismatique créé, tous les éléments sont placés dans cet alignement et l'option "Aucun" disparaît des choix d'alignements.

Point montrant aucune option sélectionnée par défaut quand un alignement prismatique est disponible

Alignement d'éléments

Chaque élément dans la vue programme a un alignement associé indiqué dans la ^zone combo Alignement. Quand un tube est inclus dans la routine de mesure, une autre option "Tube" apparaît. Quand vous sélectionnez cette option, l'élément se sert de n'importe quel alignement associé au tube.

Point montrant l'option d'alignement Tube

Exécution d'éléments

Lors d'une mesure, l'exécution d'un élément commence en haut de la routine de mesure (le nœud Démarrer). La routine de mesure est exécutée selon un parcours linéaire en descendant à la liste de mesure.

TubeShaper prend en charge une exécution dans le désordre. Les éléments et les alignements dépendants ne doivent donc pas être mesurés dans un ordre linéaire (de haut en bas). Les éléments pour un alignement peuvent venir après l'alignement en question. L'exécution se déroule toutefois mieux (les éléments sont mis à jour et tracés correctement lors de l'exécution) si le programme est dans un ordre linéaire.

Il est par ailleurs conseillé de ne pas avoir d'éléments à signaler qui soient utilisés comme entrées dans un alignement. Sinon, certaines données seront identiques à celles servant à créer un alignement. Le mieux est d'avoir des éléments utilisés pour créer un alignement, et de placer dans cet alignement ceux devant être signalés. Par exemple, un plan utilisé comme entrée dans un alignement aura une valeur Z de 0, à savoir là où l'alignement est créé.

Rubriques associées :

Création d'un alignement Plan-Droite-Point (PDP)

Création d'un alignement Plan-Droite-Cercle (PDC)

Création d'un alignement Plan-Droite-Droite (PDD)

Création d'un alignement Plan-Cercle-Cercle (PCC)

Création d'un alignement Plan-Plan-Plan (PPP)

Création d’un alignement Best Fit

Création d'alignements prismatiques


Création d'un alignement Plan-Droite-Point (PDP)

Les informations présentées ici décrivent comment créer un alignement Plan-Droite-Point (PDP).

Conseil : cliquez sur le bouton Alignements [image] dans le panneau Vue programme slide-out pour accéder au bouton Ajouter un alignement PDP [image].

L'alignement Plan-Droite-Point est calculé en :

  1. nivelant le plan et en utilisant le vecteur perpendiculaire comme direction pour l'axe Z.

  2. projetant la droite sur le plan et en pivotant autour pour établir l'axe X.

  3. projetant le point sur la droite pour établir une origine.

Rubriques associées :

Niveau, rotation et translation vers les éléments PDP

Création d'alignements prismatiques


Niveau, rotation et translation vers les éléments PDP

Utilisez la boîte de dialogue Alignement PDP pour niveler, pivoter et translater vers les éléments sélectionnés.

Pour créer un alignement PDP :

  1. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Alignements pour accéder au bouton Ajouter un alignement PDP.

  3. Cliquez dans votre routine de mesure à l'endroit où vous voulez insérer l'alignement.

  4. Cliquez sur le bouton Ajouter un alignement PDP [image] pour ouvrir la boîte de dialogue Alignement PDP. La liste de sélection d'élément montre au départ les plans disponibles dans votre routine de mesure pouvant permettre de niveler le tube.

    5. Boîte de dialogue Alignement PDP

  5. Dans la liste de sélection d'élément, cliquez sur le plan à utiliser comme composant de niveau pour l'alignement. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour l'alignement. Servez-vous de la barre de défilement vertical si besoin est.

  6. Après sélection, cliquez sur le bouton Suivant [image] pour définir la droite pour la rotation.

  7. La liste d'éléments montre à présent les droites possibles dans votre routine de mesure que vous pouvez sélectionner. Cliquez sur la droite à utiliser comme composant de rotation pour l'alignement. Après sélection, cliquez sur le bouton Suivant pour définir le point pour la translation.

  8. Dans la liste d'éléments, cliquez sur le point à utiliser comme composant de translation pour l'alignement.

  9. Une fois le plan, la droite et le point sélectionnés pour l'alignement, cliquez sur le bouton Suivant.

    10. TubeShaper nivelle, fait pivoter et translate automatiquement le nouvel alignement. Ce dernier figure désormais dans votre liste de routine de mesure. La droite est projetée sur le plan et le point est projeté sur la droite pour déterminer l'origine.

  10. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de l'alignement. Pour supprimer l'alignement, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un alignement Plan-Droite-Point (PDP)


Création d'un alignement Plan-Droite-Cercle (PDC)

Les informations présentées ici décrivent comment créer un alignement Plan-Droite-Cercle (PDC).

Conseil : cliquez sur le bouton Alignements [image] dans le panneau slide-out Vue programme pour accéder au bouton Ajouter un alignement PDC [image].

L'alignement Plan-Droite-Cercle est calculé en :

  1. nivelant le plan et en utilisant le vecteur perpendiculaire comme direction pour l'axe Z.

  2. projetant la droite sur le plan et en pivotant autour pour établir l'axe X.

  3. Le centre du cercle sert d'origine.

Rubriques associées :

Niveau, rotation et translation vers les éléments PDC

Création d'alignements prismatiques


Niveau, rotation et translation vers les éléments PDC

Utilisez la boîte de dialogue Alignement PDC pour niveler, pivoter et translater vers les éléments sélectionnés.

Pour créer un alignement PDC :

  1. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Alignements pour accéder au bouton Ajouter un alignement PDC.

  3. Cliquez dans votre routine de mesure à l'endroit où vous voulez insérer l'alignement.

  4. Cliquez sur le bouton Ajouter un alignement PDC [image] pour ouvrir la boîte de dialogue Alignement PDC. La liste de sélection d'élément montre au départ les plans disponibles dans votre routine de mesure pouvant permettre de niveler le tube.

    5. Boîte de dialogue Alignement PDC

  5. Dans la liste de sélection d'élément, cliquez sur le plan à utiliser comme composant de niveau pour l'alignement. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour l'alignement. Servez-vous de la barre de défilement vertical si besoin est.

  6. Après sélection, cliquez sur le bouton Suivant [image] pour définir la droite pour la rotation.

  7. La liste d'éléments montre à présent les droites possibles dans votre routine de mesure que vous pouvez sélectionner. Cliquez sur la droite à utiliser comme composant de rotation pour l'alignement. Après sélection, cliquez sur le bouton Suivant pour définir le cercle pour la translation.

  8. Dans la liste d'éléments, cliquez sur le cercle à utiliser comme composant de translation pour l'alignement.

  9. Une fois le plan, la droite et le cercle sélectionnés pour l'alignement, cliquez sur le bouton Suivant.

    10. TubeShaper nivelle, fait pivoter et translate automatiquement le nouvel alignement. Ce dernier figure désormais dans votre liste de routine de mesure.

  10. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de l'alignement. Pour supprimer l'alignement, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un alignement Plan-Droite-Cercle (PDC)


Création d'un alignement Plan-Droite-Droite (PDD)

Les informations présentées ici décrivent comment créer un alignement Plan-Droite-Droite (PDD).

Conseil : cliquez sur le bouton Alignements [image] dans le panneau slide-out Vue programme pour accéder au bouton Ajouter un alignement PDD [image].

L'alignement Plan-Droite-Droite est calculé en :

  1. nivelant le plan et en utilisant le vecteur perpendiculaire comme direction pour l'axe Z.

  2. projetant la première droite sur le plan et en pivotant autour pour établir l'axe X.

  3. La seconde droite est coupée par la première pour obtenir le point servant d'origine.

Rubriques associées :

Niveau, rotation et translation vers les éléments PDD

Création d'alignements prismatiques


Niveau, rotation et translation vers les éléments PDD

Utilisez la boîte de dialogue Alignement PDD pour niveler, pivoter et translater vers les éléments sélectionnés.

Pour créer un alignement PDD :

  1. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Alignements pour accéder au bouton Ajouter un alignement PDD.

  3. Cliquez dans votre routine de mesure à l'endroit où vous voulez insérer l'alignement.

  4. Cliquez sur le bouton Ajouter un alignement PDD [image] pour ouvrir la boîte de dialogue Alignement PDD. La liste de sélection d'élément montre au départ les plans disponibles dans votre routine de mesure pouvant permettre de niveler le tube.

    5. Boîte de dialogue Alignement PDD

  5. Dans la liste de sélection d'élément, cliquez sur le plan à utiliser comme composant de niveau pour l'alignement. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour l'alignement. Servez-vous de la barre de défilement vertical si besoin est.

  6. Après sélection, cliquez sur le bouton Suivant [image] pour définir la droite pour la rotation.

  7. La liste d'éléments montre à présent les droites possibles dans votre routine de mesure que vous pouvez sélectionner. Cliquez sur la droite à utiliser comme composant de rotation pour l'alignement. Après sélection, cliquez sur le bouton Suivant pour définir la droite pour la translation.

  8. Dans la liste d'éléments, cliquez sur la droite à utiliser comme composant de translation pour l'alignement.

  9. Une fois le plan et deux droites sélectionnés pour l'alignement, cliquez sur le bouton Suivant.

    10. TubeShaper nivelle, fait pivoter et translate automatiquement le nouvel alignement. Ce dernier figure désormais dans votre liste de routine de mesure. La rotation se fait autour de l'axe X et l'origine est définie comme l'intersection des deux droites.

  10. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de l'alignement. Pour supprimer l'alignement, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un alignement Plan-Droite-Droite (PDD)


Création d'un alignement Plan-Cercle-Cercle (PCC)

Les informations présentées ici décrivent comment créer un alignement Plan-Cercle-Cercle (PCC).

Conseil : cliquez sur le bouton Alignements [image] dans le panneau slide-out Vue programme pour accéder au bouton Ajouter un alignement PCC [image].

L'alignement Plan-Cercle-Cercle est calculé en :

  1. nivelant le plan et en utilisant le vecteur perpendiculaire comme direction pour l'axe Z.

  2. créant une droite à l'aide du centre des deux cercles, puis en pivotant autour pour établir l'axe X.

  3. Le centre du premier cercle sert d'origine.

Rubriques associées :

Niveau, rotation et translation vers les éléments PCC

Création d'alignements prismatiques


Niveau, rotation et translation vers les éléments PCC

Utilisez la boîte de dialogue Alignement PCC pour niveler, pivoter et translater vers les éléments sélectionnés.

Pour créer un alignement PCC :

  1. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Alignements pour accéder au bouton Ajouter un alignement PCC.

  3. Cliquez dans votre routine de mesure à l'endroit où vous voulez insérer l'alignement.

  4. Cliquez sur le bouton Ajouter un alignement PCC [image] pour ouvrir la boîte de dialogue Alignement PCC. La liste de sélection d'élément montre au départ les plans disponibles dans votre routine de mesure pouvant permettre de niveler le tube.

    5. Boîte de dialogue Alignement PCC

  5. Dans la liste de sélection d'élément, cliquez sur le plan à utiliser comme composant de niveau pour l'alignement. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour l'alignement. Servez-vous de la barre de défilement vertical si besoin est.

  6. Après sélection, cliquez sur le bouton Suivant [image] pour définir le cercle pour la rotation.

  7. La liste d'éléments montre à présent les cercles possibles dans votre routine de mesure que vous pouvez sélectionner. Cliquez sur le cercle à utiliser comme composant de rotation pour l'alignement. Après sélection, cliquez sur le bouton Suivant pour définir le cercle pour la translation.

  8. Dans la liste d'éléments, cliquez sur le cercle à utiliser comme composant de translation pour l'alignement.

  9. Une fois le plan et deux cercles sélectionnés pour l'alignement, cliquez sur le bouton Suivant.

    10. TubeShaper nivelle, fait pivoter et translate automatiquement le nouvel alignement. Ce dernier figure désormais dans votre liste de routine de mesure. La rotation se fait autour de l'axe X et l'origine est définie comme centre du premier cercle.

  10. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de l'alignement. Pour supprimer l'alignement, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un alignement Plan-Cercle-Cercle (PCC)


Création d'un alignement Plan-Plan-Plan (PPP)

Les informations présentées ici décrivent comment créer un alignement Plan-Plan-Plan (PPP).

Conseil : cliquez sur le bouton Alignements [image] dans le panneau slide-out Vue programme pour accéder au bouton Ajouter un alignement PPP [image].

L'alignement Plan-Plan-Plan est calculé en :

  1. nivelant le plan et en utilisant le vecteur perpendiculaire comme direction pour l'axe Z.

  2. Les deux premiers plans sont coupés pour obtenir une droite autour de laquelle pivoter afin qu'un axe X soit établi.

  3. Les trois plans sont coupés pour obtenir le point d'origine.

Rubriques associées :

Niveau, rotation et translation vers les éléments PPP

Création d'alignements prismatiques


Niveau, rotation et translation vers les éléments PPP

Utilisez la boîte de dialogue Alignement PPP pour niveler, pivoter et translater vers les éléments sélectionnés.

Pour créer un alignement PPP :

  1. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  2. Cliquez sur le bouton Alignements pour accéder au bouton Ajouter un alignement PPP.

  3. Cliquez dans votre routine de mesure à l'endroit où vous voulez insérer l'alignement.

  4. Cliquez sur le bouton Ajouter un alignement PPP [image] pour ouvrir la boîte de dialogue Alignement PPP. La liste de sélection d'élément montre au départ les plans disponibles dans votre routine de mesure pouvant permettre de niveler le tube.

    5. Boîte de dialogue Alignement PPP

  5. Dans la liste de sélection d'élément, cliquez sur le plan à utiliser comme composant de niveau pour l'alignement. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour l'alignement. Servez-vous de la barre de défilement vertical si besoin est.

  6. Après sélection, cliquez sur le bouton Suivant [image] pour définir le deuxième plan pour la rotation.

  7. La liste d'éléments montre à présent les plans possibles restants dans votre routine de mesure que vous pouvez sélectionner. Cliquez sur le plan à utiliser comme composant de rotation pour l'alignement. Après sélection, cliquez sur le bouton Suivant pour définir le plan pour la translation.

  8. Dans la liste d'éléments, cliquez sur le troisième plan à utiliser comme composant de translation pour l'alignement.

  9. Une fois les trois plans sélectionnés pour l'alignement, cliquez sur le bouton Suivant.

    10. TubeShaper nivelle, fait pivoter et translate automatiquement le nouvel alignement. Ce dernier figure désormais dans votre liste de routine de mesure. Les deux premiers plans sont coupés pour créer une droite autour de laquelle pivoter et pour établir l'axe X. Les trois plans sont coupés pour définir l'origine.

  10. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de l'alignement. Pour supprimer l'alignement, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un alignement Plan-Plan-Plan (PPP)


Création d’un alignement Best Fit

Les informations présentées ici décrivent comment créer un alignement Best Fit.

L'alignement Best Fit utilise tous ses points d'entrée et s'en sert pour calculer un alignement. Attention : n'utilisez pas de points prismatiques, de points de fin de droite et de points de centre de plan, car ces points varient lors de la mesure puisque vous ne pouvez pas prendre un point exactement dans la même position. Il est fortement recommandé d'utiliser des points pouvant être répétés. Par exemple, des centres de cercle, sachant que les cercles ne bougent pas d'une mesure à l'autre et donc leur centre reste identique.

Conseil : cliquez sur le bouton Alignements [image] dans le panneau slide-out Vue programme pour accéder au bouton Ajouter un alignement Best Fit [image].

Pour créer un alignement Best Fit :

  1. Vous avez besoin de trois points dans votre routine de mesure. Créez-les si besoin est. Vous pouvez utiliser des éléments autres que des points, mais ils seront convertis en points lors du calcul de l'alignement.

  2. Cliquez sur le bouton Vue programme [image] afin d'afficher le panneau Vue programme slide-out.

  3. Cliquez sur le bouton Alignements pour accéder au bouton Ajouter un alignement Best Fit.

  4. Cliquez dans votre routine de mesure à l'endroit où vous voulez insérer l'alignement.

  5. Cliquez sur le bouton Ajouter un alignement Best Fit pour ouvrir la boîte de dialogue Alignement Best Fit. La liste de sélection d'élément montre tous les éléments valides disponibles dans votre routine de mesure pour l'alignement.

    6. Boîte de dialogue Alignement Best Fit

  6. Dans la liste de sélection d'élément, sélectionnez au moins trois des éléments répertoriés. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour l'alignement. Servez-vous de la barre de défilement vertical si besoin est.

  7. Cliquez sur le bouton Suivant [image] une fois terminé.

    8. TubeShaper ajoute automatiquement l'alignement best fit comme élément de transformation et le nouvel alignement est désormais inclus dans votre liste de routine de mesure.

  8. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de l'alignement. Pour supprimer l'alignement, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'alignements prismatiques


Éléments construits

Les éléments construits sont souvent utilisés quand il est impossible ou très compliqué de prendre des mesures physiques. Chaque type d'élément construit peut être créé d'une ou plusieurs façons. Pour ces méthode de création, des éléments spécifiques doivent être disponibles avant de générer l'élément construit sélectionné.

Les méthodes de construction pour chaque type sont détaillées dans ce tableau :

Type de construction | Méthodes de construction
Point | Plan, Plan, Plan Droite, Intersection de droitet Droite, Intersection de plan
Droite | À partir de N points Plan, Intersection de plan Droite projetée sur un plan
Cercle | À partir de N points
Plan | À partir de N points Plan médian Décaler le plan

Des descriptions et des exemples de chaque construction sont fournis dans les rubriques suivantes.

Rubriques associées :

Création d'un point construit

Création d'une droite construite

Création d'un cercle construit

Création d'un plan construit


Création d'un point construit

Deux méthodes permettent de créer un point construit :

  • Construction d'un point - méthode Plan, Plan, Plan

  • Construction d'un point - méthode Droite, Intersection de droite

  • Construction d'un point - méthode Droite, Intersection de plan

Rubriques associées :

Construction d'un point - méthode Plan, Plan, Plan

Construction d'un point - méthode Droite, Intersection de droite

Construction d'un point - méthode Droite, Intersection de plan


Construction d'un point - méthode Plan, Plan, Plan

Pour construire un point à l'aide de la méthode Plan, Plan, Plan :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez le plan requis pour générer votre construction de point.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un point construit [image]. La boîte de dialogue Point construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Plan, Pla, Plan et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez le premier plan pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Répétez pour la deuxième et le troisième plans. Quand vous cliquez sur Suivant après la sélection du troisième plan, le point construit est créé.

    12. Les éléments servant à créer la construction apparaissent dans la liste Plan, Plan, Plan.

  12. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du point construit.

  13. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  14. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un point construit

Construction d'un point - méthode Droite, Intersection de plan

Construction d'un point - méthode Droite, Intersection de plan


Construction d'un point - méthode Droite, Intersection de droite

Pour construire un point à l'aide de la méthode Droite, Intersection de droite :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les éléments requis pour générer votre construction de point.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un point construit [image]. La boîte de dialogue Point construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Droite, Intersection de droite et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez la première droite pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Répétez pour la seconde droite. Quand vous cliquez sur Suivant après la sélection du second plan, le point construit est créé.

    12. Les éléments servant à créer la construction apparaissent dans la liste Droite, Intersection de droite.

  12. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du point construit.

  13. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  14. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un point construit

Construction d'un point - méthode Plan, Intersection de plan

Construction d'un point - méthode Droite, Intersection de plan


Construction d'un point - méthode Droite, Intersection de plan

Pour construire un point à l'aide de la méthode Droite, Intersection de plan :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez la droite et le plan requis pour générer votre construction de point.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un point construit [image]. La boîte de dialogue Point construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Droite, Intersection de plan et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez la droite pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Répétez pour le plan. Quand vous cliquez sur Suivant après la sélection du plan, le point construit est créé.

    12. La droite et le plan servant à créer la construction apparaissent dans la liste Droite, Intersection de plan.

  12. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du point construit.

  13. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  14. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un point construit

Construction d'un point - méthode Plan, Intersection de plan

Construction d'un point - méthode Droite, Intersection de plan


Création d'une droite construite

TubeShaper : Home | Éléments construits | Création d'une droite construite

Construction d'un élément droite

Remarque : les droites, les cercles et les logements oblongs sont toujours projetés sur leur plan de référence et donc toujours en 2D. Lors de la création d'une droite, d'un cercle ou d'un logement oblong construits, la projection ne se fait pas sur un plan de référence car ils en sont dépourvus et sont donc toujours en 3D.

Deux méthodes permettent de créer un élément point construit :

  • Construction d'une droite - méthode À partir de N points

  • Construction d'une droite - méthode Plan, Intersection de plan

  • Construction d'une droite - méthode Droite projetée sur un plan

Rubriques associées :

Construction d'une droite - méthode À partir de N points

Construction d'une droite - méthode Plan, Intersection de plan

Construction d'une droite - méthode Droite projetée sur un plan


Construction d'une droite - méthode À partir de N points

Pour construire une droite à l'aide de la méthode À partir de N points :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les points requis pour générer votre construction de droite.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter une droite construite [image]. La boîte de dialogue Droite construite apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option À partir de N points et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez les points à utiliser pour la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est. Au moins trois points sont nécessaires.

  10. Cliquez sur le bouton Suivant pour afficher la droite construite.

    11. Les éléments servant à créer la construction apparaissent dans la liste À partir de N points.

  11. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de la droite construite.

  12. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  13. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'une droite construite

Construction d'une droite - méthode Plan, Intersection de plan

Construction d'une droite - méthode Droite projetée sur un plan


Construction d'une droite - méthode Plan, Intersection de plan

Pour construire une droite à l'aide de la méthode Plan, Intersection de plan :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les éléments requis pour générer votre construction de droite.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter une droite construite [image]. La boîte de dialogue Droite construite apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Plan, Intersection de plan et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez le premier plan pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Répétez pour le second plan. Quand vous cliquez sur Suivant après la sélection du second plan, la droite construite est créée.

    12. Les éléments servant à créer la construction apparaissent dans la liste Plan, Intersection de plan.

  12. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de la droite construite.

  13. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  14. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'une droite construite

Construction d'une droite - méthode À partir de N points

Construction d'une droite - méthode Droite projetée sur un plan


Construction d'une droite - méthode Droite projetée sur un plan

Pour construire une droite à l'aide de la méthode Droite projetée sur un plan :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les éléments requis pour générer votre construction de droite.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter une droite construite [image]. La boîte de dialogue Droite construite apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Droite projetée sur un plan et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez la droite pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Sélectionner le plan. Quand vous cliquez sur Suivant après la sélection du plan, la droite construite est créée.

    12. Les éléments servant à créer la construction apparaissent dans la liste Droite projetée sur un plan.

  12. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de la droite construite.

  13. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  14. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'une droite construite

Construction d'une droite - méthode À partir de N points

Construction d'une droite - méthode Plan, Intersection de plan


Création d'un cercle construit

La méthode employée pout créer un cercle construit est :

  • Construction d'un cercle - méthode À partir de N points

Rubriques associées :

Éléments construits

Construction d'un cercle - méthode À partir de N points


Construction d'un cercle - méthode À partir de N points

Pour construire un cercle à l'aide de la méthode À partir de N points :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les points requis pour générer votre construction de cercle.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un cercle construit [image]. La boîte de dialogue Cercle construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option À partir de N points et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez les points pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est. Au moins trois points sont nécessaires.

  10. Cliquez sur le bouton Suivant pour afficher le cercle construit.

    11. Les éléments servant à créer la construction apparaissent dans la liste À partir de N points.

  11. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du cercle construit.

  12. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  13. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un cercle construit


Création d'un plan construit

Deux méthodes permettent de créer un élément plan construit :

  • Construction d'un plan - méthode À partir de N points

  • Construction d'un plan - méthode Plan médian

  • Construction d'un plan - méthode Plan de décalage

Rubriques associées :

Éléments construits

Construction d'un plan - méthode À partir de N points

Construction d'un plan - méthode Plan médian

Construction d'un plan - méthode Plan de décalage


Construction d'un plan - méthode À partir de N points

Pour construire un plan à l'aide de la méthode À partir de N points :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les points requis pour générer votre construction de plan.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un plan construit [image]. La boîte de dialogue Plan construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option À partir de N points et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez les points pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est. Au moins trois points sont nécessaires.

  10. Cliquez sur le bouton Suivant pour afficher le plan construit.

    11. Les éléments servant à créer la construction apparaissent dans la liste À partir de N points.

  11. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du plan construit.

  12. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  13. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un plan construit

Construction d'un plan - méthode Plan médian

Construction d'un plan - méthode Plan de décalage


Construction d'un plan - méthode Plan médian

Pour construire un plan à l'aide de la méthode Plan médian :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les éléments requis pour générer votre construction de plan.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un plan construit [image]. La boîte de dialogue Plan construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Plan médian et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez le premier plan pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Répétez pour le second plan. Quand vous cliquez sur Suivant après la sélection du second plan, le plan construit est créé.

    12. Les éléments servant à créer la construction apparaissent dans la liste Plan médian.

  12. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du plan construit.

  13. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  14. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un plan construit

Construction d'un plan - méthode À partir de N points

Construction d'un plan - méthode Plan de décalage


Construction d'un plan - méthode Plan de décalage

Pour construire un plan à l'aide de la méthode Plan médian :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Si ce n'est pas déjà fait, créez les éléments requis pour générer votre construction de plan.

  3. Cliquez sur le bouton Construction [image] pour afficher la barre de construction. La barre de construction vous permet de créer des éléments (points, droites, cercles, etc.) à partir d'éléments existants (déjà mesurés ou construits).

  4. Cliquez sur le bouton Ajouter un plan construit [image]. La boîte de dialogue Plan construit apparaît dans la liste de programmes.

  5. Cliquez sur les boutons Naviguer à gauche [image] et Naviguer à droite [image] pour naviguer entre les vues Nominal, Tol+ et Tol-.

  6. Activez ou désactivez les tolérances pour une zone donnée (X, Y, Z, Diamètre, Largeur, Longueur, etc.).

    • Quand elles sont désactivées, les tolérances pour la zone ne sont pas utilisées. L'intitulé de la zone apparaît en gris pour signaler qu'aucune tolérance n'est employée.

    • Quand elles sont activées, les tolérances sont utilisées et l'intitulé de la zone apparaît en rouge (hors tolérance) ou en vers (dans la tolérance) en fonction de la valeur mesurée.

    Pour ce faire :

    1. Après avoir sélectionné l'élément dans la barre d'éléments, cliquez sur le bouton Naviguer à gauche ou Naviguer à droite jusqu'à ce que la vue de tolérance s'affiche.

    2. Cliquez sur la flèche déroulante pour chaque zone et sélectionnez l'option appropriée afin d'activer ou de désactiver les tolérances pour cette zone.

    3. Cliquez sur le bouton Naviguer à gauche ou Naviguer à droite pour afficher ou modifier les valeurs des tolérances activées.

  7. Dans la liste Alignement, sélectionnez le type d'alignement pour la construction.

  8. Dans la liste Choisir une méthode, sélectionnez l'option Plan de décalage et cliquez sur le bouton Suivant [image].

  9. Dans la liste de sélection d'élément, sélectionnez le plan pour commencer la construction. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser pour la construction. Servez-vous de la barre de défilement vertical si besoin est.

  10. Cliquez sur le bouton Suivant.

  11. Dans la zone Entrer le décalage, entrez les valeurs de décalage X, Y, Z.

  12. Cliquez sur le bouton Suivant. Quand vous cliquez sur Suivant après la sélection du plan, le plan construit est créé.

    13. Les éléments servant à créer la construction apparaissent dans la liste Plan de décalage.

  13. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés du plan construit.

  14. Le nouvel élément est par défaut ajouté au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  15. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer l'élément construit, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Création d'un plan construit

Construction d'un plan - méthode À partir de N points

Construction d'un plan - méthode Plan médian


Dimensions

Une fois des éléments mesurés ou construits, vous pouvez calculer les dimensions entre eux.

Tous les éléments et toutes les constructions sont réduits à un point : leur origine ou l'emplacement XYZ figurant dans la boîte de dialogue Dimension. Tous les dimensions se basent par conséquent sur des distances 3D à l'aide d'une ligne droite depuis le barycentre du premier élément (ou construction) sélectionné jusqu'au second.

Les rubriques principales de ce chapitre sont :

  • Dimension de distance

  • Dimension d'angle

Rubriques associées :

Création d'une dimension de distance

Création d'une dimension d'angle


Création d'une dimension de distance

Pour calculer la dimension de distance entre deux éléments :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Créez ou construisez les éléments requis s'il n'en existe pas déjà.

  3. Cliquez sur le bouton Dimensions [image] pour afficher la barre de dimension. La barre de dimension vous permet de calculer la distance ou la dimension d'angle entre deux éléments.

  4. Cliquez sur le bouton Dimension de distance [image]. La boîte de dialogue Dimension de distance apparaît dans la liste de programmes.

  5. Dans la liste de sélection d'élément, sélectionnez le premier élément. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser. Servez-vous de la barre de défilement vertical si besoin est.

  6. Cliquez sur le bouton Suivant [image].

  7. Répétez pour l'élément suivant. Quand vous cliquez sur le bouton Suivant après la sélection du second élément, la distance calculée est affichée dans la zone Distance 3D.

    8. Les éléments utilisés pour calculer la distance apparaissent dans la liste Éléments d'entrée.

  8. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de dimension de distance.

  9. La nouvelle dimension de distance est par défaut ajoutée au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  10. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer la dimension de distance, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Dimensions

Création d'une dimension d'angle


Création d'une dimension d'angle

Pour calculer la dimension d'angle entre deux éléments :

  1. Ouvrez un projet et cliquez sur le bouton Vue programme afin d'afficher le panneau slide-out de cette vue.

  2. Créez ou construisez les éléments requis s'il n'en existe pas déjà.

  3. Cliquez sur le bouton Dimensions [image] pour afficher la barre de dimension. La barre de dimension vous permet de calculer la distance ou la dimension d'angle entre deux éléments.

  4. Cliquez sur le bouton Dimension d'angle [image]. La boîte de dialogue Dimension d'angle apparaît dans la liste de programmes.

  5. Dans la liste de sélection d'élément, sélectionnez le premier élément. Cliquez sur le bouton déroulant Tube pour afficher les propriétés de tube à utiliser. Servez-vous de la barre de défilement vertical si besoin est.

  6. Cliquez sur le bouton Suivant [image].

  7. Répétez pour l'élément suivant. Quand vous cliquez sur le bouton Suivant après la sélection du second élément, l'angle calculé est affiché dans la zone Angle.

    8. Les éléments utilisés pour calculer l'angle apparaissent dans la liste Éléments d'entrée.

  8. Cliquez sur le bouton Modifier [image] pour apporter des modifications aux propriétés de dimension d'angle.

  9. La nouvelle dimension de distance est par défaut ajoutée au rapport. Cliquez sur le bouton Inclure dans le rapport [image] pour choisir d'ajouter ou non le nouvel élément dans votre rapport. Le bouton est désactivé quand il apparaît grisé.

  10. Quand vous êtes prêt, cliquez sur le bouton Exécuter [image] pour recalculer les éléments si besoin est. Pour supprimer la dimension d'angle, cliquez sur le bouton Supprimer l'élément [image].

Rubriques associées :

Dimensions

Création d'une dimension de distance


Rapports

Pour afficher la vue Rapport, double-cliquez sur l'un des projets dans la zone Liste des projets de l'écran principal de TubeShaper et cliquez sur l'onglet Rapport.

Pour afficher un rapport existant pour un projet spécifique :

  1. Cliquez sur Rapports dans l'écran principal de TubeShaper pour afficher la vue principale Rapport.

  2. Cliquez sur un projet de tube dans la zone Liste des rapports sur la gauche. Tous les rapports pour le projet de tube sélectionné sont répertoriés dans la zone de détails sur la droite.

  3. Double-cliquez sur le rapport pour l'ouvrir dans la vue Rapport.

Cliquez sur le bouton Options du rapport [image] pour modifier le rapport.

Une fois termné, cliquez sur le bouton Menu Enregistrer/Exporter [image] afin d'enregistrer votre rapport en tant que fichier de rapport TubeShaper ou l'exporter comme fichier PDF ou CSV. Vous pouvez aussi imprimer le rapport à l'aide du bouton Imprimer [image]. Ces boutons se trouvent en bas à droite de la vue Rapport.

Pour des détails sur l'enregistrement, l'exportation ou l'impression de rapports, voir le chapitre "Enregistrement, exportation et impression de rapports".

Rubriques associées :

Créer un rapport

Modification d'un rapport existant

Enregistrement, exportation et impression de rapports


Créer un rapport

Pour créer un rapport :

  1. Double-cliquez sur un projet de tube dans la zone Liste des projets de l'écran principal pour afficher le projet en mode édition.

  2. Cliquez sur l'onglet Rapport pour afficher le rapport pour le projet de tube sélectionné.

  3. Cliquez sur le bouton Options de rapport [image] qui figure dans la zone en haut à droite de l'écran d'édition pour afficher le panneau coulissant Options de rapport s'il nest pas déjà visible. Voir la rubrique "Options de rapport" pour des détails.

  4. Mettez à jour les options de rapport si besoin est. Le rapport est immédiatement mis à jour dans l'espace de travail de rapport en fonction des changements effectués.

  5. Réorganisez les sections dans le rapport en cliquant et en faisant glisser les options dans la boîte de dialogue Options de rapport. Le rapport est immédiatement mis à jour dans l'espace de travail de rapport en fonction des changements effectués.

  6. Une fois toutes les options de rapport définies et le rapport organisé à votre goût, cliquez sur l'onglet Espace de travail pour afficher la barre d'action au bas de l'écran.

  7. Cliquez sur le bouton Menu Enregistrer/Exporter [image] pour terminer votre nouveau rapport.

Rubriques associées :

Options de rapport

Modification d'un rapport existant


Options de rapport

Cochez la case à droite de chaque option de rapport pour l'activer. Dans ce cas, le logiciel insère ces options dans votre rapport dans leur ordre d'apparition.

Les groupes d'options de rapport avec plusieurs choix ont trois réglages :

  • Quand la case du haut est cochée [image], toutes les options dans le groupe sont sélectionnées.

  • Quand la case est de couleur [image], seules certaines options dans le groupe sont sélectionnées.

  • Quand la case est vide [image], aucune option dans le groupe n'est sélectionnée.

Pour modifier les options pour un rapport :

  1. Double-cliquez sur un projet de tube dans la zone Liste des projets de l'écran principal pour afficher le projet en mode édition.

  2. Cliquez sur le bouton Options de rapport [image] pour afficher le panneau Options de rapport slide-out s'il n'est pas déjà visible.

  3. Mettez à jour les options souhaitées dans le rapport en cochant les cases appropriées à droite de chaque option.

  4. Cliquez et déplacez des sections dans le panneau Options de rapport afin de les réorganiser. Le logiciel met immédiatement à jour la vue dans l'espace de travail de rapport en fonction des changements effectués.

  5. Une fois toutes les options de rapport définies et le rapport organisé à votre goût, cliquez sur l'onglet Espace de travail pour afficher la barre d'action au bas de l'écran.

  6. Cliquez sur le bouton Menu Enregistrer/Exporter [image] pour enregistrer toutes les modifications apportées. Pour des détails sur l'enregistrement, l'exportation et l'impression de rapports, voir le chapitre "Enregistrement, exportation et impression de rapports".

Les options de rapport suivantes sont disponibles :

Rubriques associées :

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

Option de rapport Statistiques de fin

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Logo de l'entreprise

L'option Logo de l'entreprise sert à importer un fichier image du logo de votre entreprise qui est ajouté en haut de votre rapport.

Pour changer le logo dans votre rapport :

  1. Cochez la case Logo de l'entreprise pour que l'image du logo soit ajoutée à votre rapport.

  2. Cliquez sur le bouton Parcourir [image] pour ouvrir la boîte de dialogue Rechercher un fichier image.

  3. Naviguez et sélectionnez le fichier image du logo de votre entreprise à ajouter au rapport. Vous pouvez aussi entrer manuellement l'emplacement du fichier.

  4. Cliquez sur Ouvrir pour importer le fichier dans votre rapport.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (Longueur, Rayon, Angle corrigés)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Vue CAO

Cochez la case Vue CAO pour ouvrir l'image CAD dans votre rapport.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (Longueur, Rayon, Angle corrigés)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Données de point de tangente

TubeShaper : Home | Rapports | Créer un rapport | Options de rapport | Option de rapport Données TP

Option de rapport Données PT (point de tangente)

Cochez la case Données PT insère les données de point de tangente dans votre rapport.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

End Statistic Statistiques de fin

Option de rapport Données CLRA (Longueur, Rayon, Angle corrigés)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Statistiques de fin

TubeShaper : Home | Rapports | Créer un rapport | Options de rapport | Option de rapport Statistiques de fin

Statistiques de fin

Cochez la case Statistiques de fin pour insérer des données statistiques incluant la longueur, l'angle et les erreurs de décalage pour les extrémités A et B.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Données LRA corrigées

TubeShaper : Home | Rapports | Créer un rapport | Options de rapport | Option de rapport Données LRA corrigées

Option de rapport Données CLRA (LRA corrigées)

Cochez la case Données CLRA pour insérer les données LRA corrigées dans votre rapport.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Données LRA

TubeShaper : Home | Rapports | Créer un rapport | Options de rapport | Option de rapport Données LRA

Option de rapport LRA (Longueur, Rayon, Angle)

Cochez la case Données LRA pour insérer les données LRA dans votre rapport.

Par ailleurs, vous pouvez inclure les données nominales, mesurées ou d'écart dans votre rapport en cochant les cases correspondantes.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Données LRA absolues

TubeShaper : Home | Rapports | Créer un rapport | Options de rapport | Option de rapport LRA absolues

Option de rapport ALRA (LRA absolues)

Cochez la case Données ALRA pour insérer les données LRA absolues dans votre rapport.

Par ailleurs, vous pouvez inclure les données nominales, mesurées ou d'écart dans votre rapport en cochant les cases correspondantes.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données XYZ

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Données XYZ

Cochez la case Données XYZ pour insérer les données XYZ dans votre rapport.

Par ailleurs, vous pouvez inclure les données nominales, mesurées ou d'écart dans votre rapport en cochant les cases correspondantes.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (LRA absolues)

Option de rapport Éléments

Option de rapport Propriétés du tube


Option de rapport Éléments

Cochez la case Éléments pour insérer dans votre rapport les données provenant de tous les éléments définis.

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Propriétés du tube


Option de rapport Propriétés du tube

Cochez la case Propriétés du tube [image] pour insérer toutes les propriétés du tube dans votre rapport.

Remarque : si vous cochez la case Propriétés du tube pour une sélection individuelle [image], vous pouvez sélectionner les options séparément.

    Général - Si elle est cochée, tous les détails sur les propriétés générales du projet sont incluses dans le rapport. Voir la rubrique "Propriétés générales" pour des détails.

    Unités - Si elle est cochée, les unités de mesure du projet sont incluses dans le rapport.

    Propriétés physiques - Si elle est cochée, les détails sur les propriétés physiques liés au tube sont inclus dans le rapport. Voir la rubrique "Propriétés physiques" pour des détails.

    Tolérances - Si elle est cochée, toutes les valeurs de tolérances sont incluses dans le rapport. Pour des détails, voir la rubrique "Propriétés de tolérances".

    Options d'inspection - Si elle est cochée, les détails d'inspection sont inclus dans le rapport. Pour des détails, voir la rubrique "Propriétés des options d'inspection".

    Options de correction - Si elle est cochée, les détails de correction sont inclus dans le rapport. Pour des détails, voir la rubrique "Propriétés des options de correction".

Rubriques associées :

Créer un rapport

Options de rapport

Option de rapport Logo de l'entreprise

Option de rapport Vue CAO

Option de rapport Données PT (point de tangente)

End Statistic Statistiques de fin

Option de rapport Données CLRA (LRA corrigées)

Option de rapport Données LRA (Longueur, Rayon, Angle)

Option de rapport Données ALRA (Longueur, Rayon, Angle absolus)

Option de rapport Données XYZ

Option de rapport Éléments


Modification d'un rapport existant

Pour modifier un rapport existant :

  1. Double-cliquez sur un projet de tube dans la zone Liste des projets l'écran principal de projet pour afficher l'espace de travail du projet.

  2. Cliquez sur Rapport pour afficher le rapport existant pour le projet ouvert.

  3. Cliquez sur le bouton Options de rapport [image] en haut à droite de l'écran d'édition pour afficher le panneau slide-out Options de rapport s'il n'est pas déjà visible. Voir la rubrique "Options de rapport" pour des détails.

  4. Servez-vous des contrôles Zoom avant et Zoom arrière [image] pour afficher le rapport. Cliquez sur la flèche à droite de la zone Pourcentage de zoom pour afficher la liste des options de zoom disponibles.

  5. Mettez à jour les options de rapport si besoin est.

  6. Cliquez et faites glisser les différentes sections dans le panneau Options de rapport slide-out afin de les repositionner comme souhaité.

    7. Le rapport est mis à jour dans la vue Rapport en fonction des options sélectionnées et de la position de chaque section dans le panneau slide-out Options de rapport.

    Pour des détails sur l'enregistrement, l'exportation et l'impression de rapports, voir le chapitre "Enregistrement, exportation et impression de rapports".

Rubriques associées :

Rapports

Créer un rapport

Options de rapport

Enregistrement, exportation et impression de rapports


Enregistrement, exportation et impression de rapports

Une fois un rapport modifié pour le projet de tube en cours, vous pouvez facilement l'enregistrer, l'exporter comme fichier PDF ou CSV ou l'imprimer.

TubeShaper offre ces options via les boutons Menu Enregistrer/Exporter [image] et Imprimer [image] en bas à droite de l'espace de travail de rapport.

Les rubriques suivantes décrivent comment enregistrer, exporter et imprimer votre rapport.

Rubriques associées :

Enregistrement d'un rapport

Exportation d'un rapport

Impression d'un rapport

Rapports

Créer un rapport

Modification d'un rapport existant


Enregistrement d'un rapport

Les rapports peuvent être enregistrés dans le réglage d'unité en cours, ou vous pouvez changer l'unité avant la sauvegarde. Pour changer les unités du rapport :

  1. Avec un rapport ouvert, cliquez sur le bouton Réglages d'application [image].

  2. Dans l'onglet Général, cliquez sur les unités souhaitées.

  3. Cliquez sur OK pour définir les nouvelles unités pour le rapport.

  4. Enregistrez votre rapport avec le nouveau réglages d'unité comme décrit ci-dessous.

Pour enregistrer le rapport en cours :

  1. Cliquez sur le bouton Menu Enregistrer/Exporter [image]. Le menu contextuel Enregistrer/Exporter apparaît.

  2. Cliquez sur l'option Enregistrer pour enregistrer le rapport.

    3. Le rapport est enregistré comme suit :

    • Sauf si l'emplacement par défaut a été modifié dans Réglages d'application, les rapports sont enregistrés sous le nom du projet dans le dossier "C:\Users\Public\Documents\WAI\TubeShaper\Reports".

    • Si le dossier n'existe pas, un dossier est créé.

    • Tous les rapports sont enregistrés sous le nom du projet de tube suivi d'un horodatage ajouté par défaut sous la forme "_aaaa-mm-jj-hh-mm-ss".

    • Les rapports ont l'extension ".htr" de TubeShaper.

Rubriques associées :

Exportation d'un rapport

Impression d'un rapport

Rapports

Créer un rapport

Modification d'un rapport existant


Exportation d'un rapport

Pour exporter le rapport actuel :

  1. Cliquez sur le bouton Menu Enregistrer/Exporter [image] pour enregistrer un rapport TubeShaper en bas à droite de l'écran Rapports. Le menu contextuel Enregistrer/Exporter apparaît.

  2. Cliquez sur l'option Exporter pour exporter le rapport. La boîte de dialogue Exporter le rapport s'ouvre.

  3. Le chemin d'accès par défaut aux rapport s'affiche dans la zone Parcours. Cliquez sur la flèche vers le bas dans cette zone et sélectionnez un autre emplacement dans la liste déroulante. Vous pouvez aussi vous servir de la fenêtre de navigation sur la gauche de la boîte de dialogue pour choisir un nouvel emplacement d'exportation.

  4. Les rapports exportés sont enregistrés sous le nom du projet de tube suivi d'un horodatage ajouté par défaut sous la forme "_aaaa-mm-jj-hh-mm-ss". Vous pouvez les renommer en cliquant dans la zone Nom de fichier et en entrant le nom de votre choix ou en modifiant celui par défaut.

  5. Cliquez sur la flèche déroulante de Filtre de fichier pour sélectionner le type de fichier pour le rapport exporté. TubeShaper exporte les rapports au format PDF ou CSV.

  6. Cliquez sur Enregistrer une fois terminé pour exporter le fichier selon vos sélections. Cliquez sur Annuler pour fermer la boîte de dialogue.

Rubriques associées :

Enregistrement d'un rapport

Impression d'un rapport

Rapports

Créer un rapport

Modification d'un rapport existant


Impression d'un rapport

Pour imprimer le rapport actuel :

  1. Cliquez sur le bouton Imprimer [image] en bas à droite de l'écran Rapport pour ouvrir la boîte de dialogue Configuration de l'impression.

  2. Sélectionnez l'imprimante dans la liste déroulante Imprimante. L'imprimante par défaut est automatiquement sélectionnée.

  3. Sélectionnez Tout pour imprimer le rapport entier, ou Plage pour entrer les pages à imprimer.

  4. Entrez le nombre de copies à imprimer.

  5. Cliquez sur Imprimer pour lancer l'impression du rapport en fonction des options sélectionnées. Cliquez sur Annuler pour quitter la boîte de dialogue.

Rubriques associées :

Enregistrement d'un rapport

Exportation d'un rapport

Rapports

Créer un rapport

Modification d'un rapport existant


Mode atelier

Le mode atelier de TubeShaper permet d'accéder à des fonctions plus limitées.

Pour passer en mode atelier, cliquez sur le bouton Mode atelier [image] sur le côté droite de la barre du menu principal.

Dans ce mode, la barre de titre change pour "(Mode atelier)" et le texte et les icônes dans l'écran sont plus grands.

Revenez au mode ingénierie en cliquant à nouveau sur le bouton Mode atelier. Si un mot de passe est appliqué, la boîte de dialogue Connexion s'ouvre.

Boîte de dialogue Connexion

Entrez le mot de passe pour revenir au mode ingénierie, puis cliquez sur OK.

Le titre de la page est mis à jour et "(Mode atelier)" disparaît. Le texte et les icônes reviennent à l'affichage normal.

Rubriques associées :

Mode atelier : présentation

Mode atelier : espace de travail de projet

Mode atelier : écran Cintreuses

Mode atelier : écran Rapports

Mode atelier : mesure d'un tube


Mode atelier : présentation

Le mode atelier est utilisé quand une fonctionnalité minimale est nécessaire pour :

  • mesurer un tube avec des projets existants, avec la possibilité de faire des changements dans les propriétés

  • consulter et modifier des projets existants de cintreuses

  • consulter, enregistrer, exporter et imprimer des rapports

À la première ouverture de TubeShaper en mode atelier, l'écran principal Projets s'affiche.

Exemple d'écran principal Projets en mode atelier

La liste des projets sur la gauche peut être affichée dans une vue mosaïque comme illustré ci-dessus en cliquant sur le bouton Vue mosaïque [image]. Cliquez sur le bouton Vue détaillée [image] pour afficher les projets de tube dans une vue détaillée.

Exemples montrant les boutons du menu principal en mode ingénierie (haut) comparé au mode atelier (bas)

Le logiciel désactive certaines options dans Réglages d'application quand il est en mode atelier. Pour des détails, voir la rubrique "Réglages d'application - Mode atelier".

Pour des détails sur les fonctions complètes du mode ingénierie du menu de TubeShaper Réglages d'application, voir le chapitre "Réglages d'application".

La barre Menu Projet disparaît de l'écran principal quand vous ête sen mode atelier. Elle est remplacée par le bouton Mesurer/Arrêter le programme [image]. Vous pouvez ensuite sélectionner le projet de tube et mesurer le tube associé. Le logiciel empêche la création, la copie, la suppression et la modification de projets.

Pour des détails sur les fonctions complètes du mode ingénierie de la barre de TubeShaper Menu Projet, voir la rubrique "Barre Menu Projet".

Pour des détails sur la mesure d'un tube en mode atelier dans TubeShaper, voir le chapitre "Mode atelier : mesure d'un tube".

Les rubriques suivantes décrivent l'espace de travail de projet, les écrans Cintreuses et Rapports, ainsi que la mesure d'un tube en mode atelier.

Rubriques associées :

Mode atelier

Mode atelier : espace de travail de projet

Mode atelier : écran Cintreuses

Mode atelier : écran Rapports

Mode atelier : mesure d'un tube


Réglages d'application - mode atelier

Vous avez accès à toutes les options dans les onglet Général, Visibilité et Affichage, sauf pour la section Valeurs par défaut du nouveau projet dans l'onglet Général. Les onglets Parcours, Éléments et Avancé ne sont pas disponibles.

Pour des détails sur les options dans l'onglet Général, voir la rubrique "Réglages d'application - onglet Général".

Pour des détails sur les options dans l'onglet Visibilité, voir la rubrique "Réglages d'application - onglet Visibilité".

Pour des détails sur les options dans l'onglet Affichage, voir la rubrique "Réglages d'application - onglet Affichage".

Rubriques associées :

Mode atelier : présentation


Mode atelier : espace de travail de projet

L'espace de travail de projet est uniquement accessible en mode atelier lorsque vous travaillez en ligne et qu'un bras de mesure est attaché.

Exemple d'un projet ouvert dans l'espace de travail en mode atelier

Vous pouvez effectuer ce qui suit dans l'espace de travail de projet quand le mode atelier est actif :

  • mesurer un tube

  • recalculer les données de tube

  • sélectionner une cintreuse

  • récupérer les données de tube d'une cintreuse

  • envoyer des données de tube à une cintreuse

  • Toutes les options Enregistrer/Exporter sont activées.

  • Les options Afficher le sélecteur sont activées pour afficher une vue graphique de la CAO (vue nominale ou mesurée).

Le panneau slide-out suivant est différent quand le mode atelier est actif :

Panneau slide-out Vue de données

  • Vous pouvez faire votre sélection dans les vues XYZ, LRA et ALRA mais aucune modification n'est possible.

Panneau slide-out Points de tangente

  • Vous pouvez afficher les données de point de tangente.

Panneau slide-out CLRA

  • Vous pouvez afficher les données CLRA mais aucune modification n'est autorisée.

  • Vous pouvez modifier ou sélectionner la valeur Longueur de coupe du tube si besoin est.

  • Vous pouvez modifier la valeur Balise de différence de l'extrémité B si besoin est.

  • Vous pouvez modifier la valeur Pourcentage de diff extrémité B si besoin est.

  • Vous pouvez modifier le curseur % extrémité B si besoin est.

Panneau slide-out Vue programme

  • Vous pouvez afficher le programme chargé mais aucune option n'est modifiable.

Panneau slide-out Propriétés du projet/tube

  • Vous pouvez afficher les propriétés du projet ouvert et du tube, mais aucune option n'est modifiable.

Panneau slide-out Retour élastique

  • Vous pouvez afficher les propriétés de retour élastique pour le projet ouvert, mais aucune option n'est modifiable.

Panneau slide-out Options de rapport

  • Vous pouvez afficher les propriétés du rapport, mais aucune option n'est modifiable.

Pour une description détaillée de chaque zone de l'espace de travail de projet en mode ingénierie, voir le chapitre "Interface du nouveau projet".

Rubriques associées :

Mode atelier

Mode atelier : présentation

Mode atelier : écran Cintreuses

Mode atelier : écran Rapports

Mode atelier : mesure d'un tube


Mode atelier : écran Cintreuses

Cliquez sur l'onglet Cintreuses dans le panneau de sélection de la vue principale pour accéder à l'écran Cintreuses.

Exemple d'écran Cintreuses en mode atelier

La liste des projets sur la gauche peut être affichée dans une vue mosaïque comme illustré ci-dessus en cliquant sur le bouton Vue mosaïque [image]. Cliquez sur le bouton Vue détaillée [image] pour afficher les projets dans une vue détaillée.

En mode atelier, l'écran Cintreuses vous permet de télécharger des données de tube depuis une machine de cintrage. Une fois les données disponibles en local, ouvrez un projet de tube et sélectionnez la cintreuse dans la liste. Pour des détails sur l'ouverture d'un projet de tube et la mesure d'un tube en mode atelier, voir la rubrique "Mode atelier : mesure d'un tube".

Pour rappeler les données de tube depuis une machine de cintrage, procédez de l'une des façons suivantes :

  • Double-cliquez sur un projet de cintreuse pour lancer le rappel.

  • Cliquez sur un projet de cintreuse existant, puis sur le bouton Rappeler en bas à droite de l'écran.

Pour des détails sur le rappel des données de tube depuis une cintreuse, voir la rubrique "Rappel des données de tube depuis une machine de cintrage".

Pour une description détaillée de chaque zone dans l'écran Cintreuses quand vous êtes en mode ingénierie, voir la rubrique "Détails sur l'écran Cintreuses".

Rubriques associées :

Mode atelier

Mode atelier : présentation

Mode atelier : espace de travail de projet

Mode atelier : écran Rapports

Mode atelier : mesure d'un tube


Mode atelier : écran Rapports

Cliquez sur l'onglet Rapports dans le panneau de sélection de la vue principale pour accéder à l'écran Rapports.

Exemple d'écran Rapports en mode atelier

La liste des projets de rapport sur la gauche peut être affichée dans une vue mosaïque comme illustré ci-dessus en cliquant sur le bouton Vue mosaïque [image]. Cliquez sur le bouton Vue détaillée [image] pour afficher les projets de rapport dans une vue détaillée.

L'écran principal Rapport vous permet d'afficher un rapport sélectionné dans la vue Rapport. Vous pouvez ensuite consulter, enregistrer et exporter le rapport ouvert.

Pour ouvrir un rapport de tube dans la vue Rapport, procédez de l'une des façons suivantes :

  • Double-cliquez sur un projet de rapport.

  • Cliquez sur un projet de rapport existant, puis sur le bouton Ouvrir en bas à droite de l'écran.

Pour des détails sur les options disponibles quand un rapport est ouvert dans la vue Rapport, voir la rubrique "Mode atelier : vue Rapport".

Rubriques associées :

Mode atelier

Mode atelier : présentation

Mode atelier : espace de travail de projet

Mode atelier : écran Cintreuses

Mode atelier : mesure d'un tube


Mode atelier : vue Rapport

Accédez à l'écran Vue Rapport en double-cliquant sur un rapport dans la liste des projets ou en cliquant sur Ouvrir. Cliquez sur Rapports pour afficher le rapport pour le projet ouvert.

Pour afficher un rapport existant pour un projet spécifique :

  1. Cliquez sur Rapports dans l'écran principal de TubeShaper pour afficher la vue principale Rapport.

  2. Cliquez sur un projet de tube dans la zone Liste des rapports sur la gauche. Tous les rapports pour le projet de tube sélectionné sont répertoriés dans la zone de détails sur la droite.

  3. Double-cliquez sur le rapport pour l'ouvrir dans la vue Rapport.

Ces options sont disponibles quand un rapport est affiche en mode atelier :

    Options de rapport - Quand elle est sélectionnée, le panneau Options de rapport s'affiche. Il montre l'ordre de la sortie du rapport et n'est pas modifiable.

    Zoom du rapport - Cliquez sur le boutons +/- pour un zoom avant ou arrière du rapport, ou utilisez la liste pour sélectionner une préférence de zoom.

    Enregistrer/Exporter - Cliquez pour exporter le rapport au format PDF. L'option Enregistrer n'est pas disponible en mode atelier.

    Imprimer - Cliquez dessus pour imprimer une copie du rapport. Une boîte de dialogue Imprimer s'ouvre pour :

    • sélectionner une imprimante

    • définir le nombre de copies à imprimer

    • Les options permettent d'imprimer le rapport entier ou seulement certaines pages.

Cliquez sur l'onglet Espace de travail pour afficher le projet associé au rapport.

Rubriques associées :

Mode atelier : écran Rapports


Mode atelier : mesure d'un tube

En mode atelier, vous pouvez mesurer un tube de l'une de ces façons :

Remarque : pour le deux premières méthodes, un bras absolu ROMER doit être configuré et connecté pour que TubeShaper puisse effectuer des mesures.

Mesurer un tube depuis l'écran principal de TubeShaper

  1. Sélectionnez un projet dans la zone Liste des projets.

  2. Cliquez sur le bouton Mesurer [image]. Le projet sélectionné est ouvert dans l'espace de travail de projet. Suivez les instructions dans la barre d'action pour mesurer le tube.

Mesure d'un tube depuis l'espace de travail du projet

  1. Double-cliquez sur un projet dans la zone Liste des projets pour ouvrir le projet dans l'espace de travail.

  2. Cliquez sur le bouton Mesurer/Arrêter [image] en bas à gauche de la barre d'action. Suivez les instructions affichées dans la barre d'action pour mesurer le tube.

Mesure d'un tube rappelé depuis une machine de cintrage

Remarque : une machine de cintrage de tubes CNC doit être configurée et connectée à TubeShaper avant d'effectuer ces mesures.

  1. Dans l'écran Vue du projet, cliquez sur l'onglet Cintreuses dans le panneau de sélection.

  2. Sélectionnez la machine de cintrage contenant le projet de tube concerné dans la zone Liste des cintreuses.

  3. Cliquez sur le bouton Rappeler depuis la cintreuse [image] dans la barre d'action de la cintreuse. La boîte de dialogue Entrée utilisateur s'ouvre.

  4. Entrez le numéro de pièce du projet et cliquez sur Terminé pour charger le projet depuis la machine de cintrage.

  5. L'espace de travail du projet s'affiche avec le projet de tube rappelé. Cliquez sur le bouton Mesurer/Arrêter en bas à gauche de la barre d'action.

  6. Suivez les instructions affichées dans la barre d'action pour mesurer le tube.

Une fois toutes les mesures terminées, consultez les données.

  • Si les résultats des mesures ne sont pas acceptables, cliquez sur le bouton Nouveau calcul [image] et déterminez si les données recalculées doivent être renvoyées à la machine de cintrage. Dans ce cas, cliquez sur le bouton Envoyer à la cintreuse [image] pour renvoyer les données de tube recalculées à la machine de cintrage.

  • Si les résultats des mesures sont acceptables, le processus de cintrage l'est également et aucune autre action n'est nécessaire.

Rubriques associées :

Mode atelier

Mode atelier : présentation

Mode atelier : espace de travail de projet

Mode atelier : écran Cintreuses

Mode atelier : écran Rapports